(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14260,        557]
NotebookOptionsPosition[     10025,        416]
NotebookOutlinePosition[     11317,        460]
CellTagsIndexPosition[     11274,        457]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["\n",
  FontFamily->"Times",
  FontSize->24],
 StyleBox["S",
  FontFamily->"Times New Roman",
  FontSize->32],
 StyleBox["ta je ",
  FontFamily->"Times",
  FontSize->24],
 StyleBox["Mathematica ",
  FontFamily->"Times",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["?",
  FontFamily->"Times",
  FontSize->24]
}], "Title",
 CellChangeTimes->{{3.5123979376381683`*^9, 3.512397937718173*^9}},
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Numericki i simbolicki kalkulator", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["2*3", "Input",
 AspectRatioFixed->True],

Cell["2^3", "Input",
 AspectRatioFixed->True],

Cell["N[2/3,16]", "Input",
 AspectRatioFixed->True],

Cell["N[Pi,36]", "Input",
 AspectRatioFixed->True],

Cell["Integrate[Sin[x],x]", "Input",
 CellChangeTimes->{{3.5123983856745195`*^9, 3.512398386784583*^9}},
 AspectRatioFixed->True],

Cell["D[Log[x^2],x]", "Input",
 CellChangeTimes->{{3.512398010873357*^9, 3.5123980119304175`*^9}},
 AspectRatioFixed->True]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Inverse", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sqrt", "[", "x", "]"}], "*", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"1", "+", "x"}], "]"}]}], ",", "x"}], "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Alat za graficki prikaz ", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Plot[Exp[-1/x^2],{x,-10,10}]", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "+", 
    RowBox[{"Sin", "[", 
     RowBox[{"1.6", "x"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "40"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"x", " ", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell["\<\
Plot3D[Sin[x+Cos[y]],{x,0,4Pi},{y,0,4Pi},
      PlotPoints->25]\
\>", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alat za rjesavanje jednacina", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 CellChangeTimes->{{3.5123980898238726`*^9, 3.512398091073944*^9}},
 AspectRatioFixed->True],

Cell["Solve[x^3-2x+1==0]", "Input",
 AspectRatioFixed->True],

Cell["Solve[{2x-3y==5,-x+4y==-2},{x,y}]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Ne ide ba",
 StyleBox["s ",
  CharacterEncoding->"Custom"],
 "sve od prve"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Solve[Exp[-x^2]==2x,x]", "Input",
 AspectRatioFixed->True],

Cell["Imamo zato drugi nacin:", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["FindRoot[Exp[-x^2]==2x,{x,0.5}]", "Input",
 AspectRatioFixed->True],

Cell["{x0,y0}={x/.%,2 x/.%}", "Input",
 AspectRatioFixed->True],

Cell["\<\
Plot[{Exp[-x^2],2x},{x,-2,2},
        Ticks->{{x0},{y0}}]\
\>", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[BoxData[
 RowBox[{"DSolve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
     RowBox[{
      RowBox[{"y", "'"}], "[", "x", "]"}], "+", 
     RowBox[{"x", " ", 
      RowBox[{"y", "[", "x", "]"}]}]}], "\[Equal]", "0"}], ",", 
   RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Programski jezik", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Hilbert[n_]:=Table[1/(i+j-1),{i,n},{j,n}]", "Input",
 AspectRatioFixed->True],

Cell["Do[Print[Hilbert[n]],{n,1,3}]", "Input",
 PageBreakBelow->True,
 AspectRatioFixed->True]
}, Open  ]],

Cell["I jos mnogo toga :", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Pet osnovnih pravila:", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["1. Argumenti funkcija stavljaju se u uglaste zagrade  [ ... ].\n   \
Obicne zagrade  ( ... )  sluze za grupiranje.\n   U viticaste zagrade  { ... \
}  stavljaju se liste.\n   Dvostruke uglate zagrade  [[ ... ]]  sluze za \
indeksiranje lista.\n   \n2. Imena ugradjenih funkcija pocinju Velikim \
slovom, a ako je ime\n    funkcije sastavljeno od vise rijeci, \
SvakaPocinjeVelikimSlovom.\n    \n3. Mnozenje se oznacava sa  *  ili \
razmakom.\n\n4. Potencija se oznacava sa  ^.\n\n5. Ako se nakon Shift-Enter \
ne dogodi nista, ili se dogodi nesto  neocekivano,\n    vjerojatno smo \
upisali krivu \[NonBreakingSpace]naredbu. \n    Zna se dogoditi da u tom \
slucaju ",
  FontSize->18,
  FontWeight->"Bold"],
 StyleBox["Mathematica",
  FontSize->18,
  FontWeight->"Bold",
  FontSlant->"Italic"],
 StyleBox[" (i citav PC) crkne.",
  FontSize->18,
  FontWeight->"Bold"]
}], "Text",
 CellMargins->{{Inherited, -21}, {Inherited, Inherited}},
 Evaluatable->False,
 CellChangeTimes->{3.512398130466197*^9},
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " paketi (packages)"
}], "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Neke stvari nisu ugradjene u jezgri (kernelu), nego ih treba ucitati \
naknadno:
Sume kao sto su ove\
\>", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Sum[k^3,{k,1,n}]", "Input",
 AspectRatioFixed->True],

Cell["Sum[(1/3)^k,{k,1,Infinity}]", "Input",
 AspectRatioFixed->True],

Cell["Sum[1/k!,{k,0,Infinity}]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "sadasnja ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " zna. U ranijim verzijama, vec je za ove sume trebalo ucitati paket  ",
 StyleBox["Algebra`SymbolicSum`",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ".  Isto tako je i sa nekim limesima.\nLimes"
}], "Text"],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "/", 
      RowBox[{"x", "^", "2"}]}], "]"}], "/", 
    RowBox[{"x", "^", "5"}]}], ",", 
   RowBox[{"x", "->", "0"}]}], "]"}]], "Input"],

Cell["zna, ali vec", "Text"],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "/", 
      RowBox[{"x", "^", "2"}]}], "]"}], "/", 
    RowBox[{"x", "^", "7"}]}], ",", 
   RowBox[{"x", "->", "0"}]}], "]"}]], "Input"],

Cell["ili opcenito", "Text"],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "/", 
      RowBox[{"x", "^", "2"}]}], "]"}], "/", 
    RowBox[{"x", "^", "n"}]}], ",", 
   RowBox[{"x", "->", "0"}]}], "]"}]], "Input"],

Cell["ne zna. Neke pak stvari zna samo dopola:", "Text"],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"1", "/", "k"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "-", 
    RowBox[{"Log", "[", "n", "]"}]}], ",", 
   RowBox[{"n", "->", "Infinity"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input"],

Cell["A neke uopce ne zna:", "Text"],

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", 
      RowBox[{"Log", "[", "k", "]"}]}], ")"}], "^", "k"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "1", ",", "Infinity"}], "}"}]}], "]"}]], "Input"],

Cell["\<\
Niti ako joj pomognemo Cauchyjevim kondenzacijskim kriterijem (clanovi reda \
monotono teze nuli)\
\>", "Text"],

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"2", "^", "k"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Log", "[", 
        RowBox[{"2", "^", "k"}], "]"}]}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"2", "^", "k"}], ")"}]}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"k", ",", " ", "1", ",", " ", "Infinity"}], "}"}]}], 
  "]"}]], "Input"],

Cell["\<\
Medjutim, mnoge stvari se nalaze u dodatnim paketima (packages, ad-ons).\
\>", "Text",
 CellChangeTimes->{{3.512140839131543*^9, 3.512140839490344*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ako pogrijesite ", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["hilbert[3]", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"hilbert", "[", "3", "]"}]], "Output"]
}, Open  ]],

Cell["Plot3D[xy(x+y),{x,-1,1},{y,-1,1}]", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ako zatrebate pomoc ", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["?Cos", "Input",
 AspectRatioFixed->True],

Cell["?Cos*", "Input",
 AspectRatioFixed->True],

Cell["??Plot", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[TextData[{
 "Koristan je cesto upit  ?",
 StyleBox["@",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " koji daje popis varijabli koje je definirao korisnik\n(od casa kada je \
pokrenuo Kernel!)."
}], "Text",
 Evaluatable->False,
 CellChangeTimes->{{3.5121409905234194`*^9, 3.5121409908198195`*^9}},
 AspectRatioFixed->True],

Cell["?@", "Input",
 AspectRatioFixed->True]
},
ScreenStyleEnvironment->"Presentation",
PrintingStyleEnvironment->"Printout",
WindowToolbars->{"RulerBar", "EditBar"},
CellGrouping->Manual,
WindowSize->{1008, 505},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, 1},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {
  "Praktikum 3 - 1. dio", Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {56.6875, 56.6875}}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowSelection->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
CharacterEncoding->"MacintoshAutomaticEncoding",
Magnification->1,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 469, 20, 125, "Title"],
Cell[CellGroupData[{
Cell[1039, 44, 98, 2, 130, "Section",
 Evaluatable->False],
Cell[1140, 48, 45, 1, 61, "Input"],
Cell[1188, 51, 45, 1, 61, "Input"],
Cell[1236, 54, 51, 1, 61, "Input"],
Cell[1290, 57, 50, 1, 61, "Input"],
Cell[1343, 60, 129, 2, 61, "Input"],
Cell[1475, 64, 123, 2, 61, "Input"]
}, Open  ]],
Cell[1613, 69, 209, 7, 61, "Input"],
Cell[1825, 78, 201, 6, 61, "Input"],
Cell[CellGroupData[{
Cell[2051, 88, 117, 3, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[2171, 93, 70, 1, 61, "Input"],
Cell[2244, 96, 251, 8, 61, "Input"],
Cell[2498, 106, 266, 8, 61, "Input"],
Cell[2767, 116, 113, 4, 84, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2917, 125, 189, 4, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[3109, 131, 60, 1, 61, "Input"],
Cell[3172, 134, 75, 1, 61, "Input"],
Cell[3250, 137, 150, 7, 47, "Text",
 Evaluatable->False],
Cell[3403, 146, 64, 1, 61, "Input"],
Cell[3470, 149, 113, 3, 47, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[3586, 154, 73, 1, 61, "Input"],
Cell[3662, 157, 63, 1, 61, "Input"],
Cell[3728, 160, 107, 4, 84, "Input"]
}, Open  ]],
Cell[3850, 167, 352, 11, 61, "Input"],
Cell[CellGroupData[{
Cell[4227, 182, 109, 3, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[4339, 187, 83, 1, 61, "Input"],
Cell[4425, 190, 94, 2, 61, "Input",
 PageBreakBelow->True]
}, Open  ]],
Cell[4534, 195, 83, 2, 130, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4642, 201, 86, 2, 83, "Section",
 Evaluatable->False],
Cell[4731, 205, 1051, 24, 405, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[5819, 234, 175, 7, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[5997, 243, 170, 6, 79, "Text",
 Evaluatable->False],
Cell[6170, 251, 58, 1, 61, "Input"],
Cell[6231, 254, 69, 1, 61, "Input"],
Cell[6303, 257, 66, 1, 61, "Input"],
Cell[6372, 260, 293, 9, 113, "Text"],
Cell[6668, 271, 262, 9, 61, "Input"],
Cell[6933, 282, 28, 0, 47, "Text"],
Cell[6964, 284, 262, 9, 61, "Input"],
Cell[7229, 295, 28, 0, 47, "Text"],
Cell[7260, 297, 262, 9, 61, "Input"],
Cell[7525, 308, 56, 0, 47, "Text"],
Cell[7584, 310, 319, 10, 61, "Input"],
Cell[7906, 322, 54, 1, 61, "Input"],
Cell[7963, 325, 36, 0, 47, "Text"],
Cell[8002, 327, 254, 8, 61, "Input"],
Cell[8259, 337, 121, 3, 79, "Text"],
Cell[8383, 342, 402, 14, 61, "Input"],
Cell[8788, 358, 162, 3, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8987, 366, 109, 3, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[CellGroupData[{
Cell[9121, 373, 52, 1, 61, "Input"],
Cell[9176, 376, 61, 1, 60, "Output"]
}, Open  ]],
Cell[9252, 380, 75, 1, 61, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9364, 386, 113, 3, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[9480, 391, 46, 1, 61, "Input"],
Cell[9529, 394, 47, 1, 61, "Input"],
Cell[9579, 397, 48, 1, 61, "Input"]
}, Open  ]],
Cell[9642, 401, 332, 10, 80, "Text",
 Evaluatable->False],
Cell[9977, 413, 44, 1, 61, "Input"]
}
]
*)

(* End of internal cache information *)
