(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     52273,       1300]
NotebookOptionsPosition[     49209,       1193]
NotebookOutlinePosition[     49573,       1209]
CellTagsIndexPosition[     49530,       1206]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Sortiranje (uvod)", "Title",
 CellChangeTimes->{{3.407652874453125*^9, 3.40765288253125*^9}}],

Cell[TextData[{
 StyleBox["Sortiranje je jedan od fundamentalnih algoritama u kompjuterskoj \
nauci, bez kojega je skoro pa nemoguc rad na bazama podataka, raznim \
strukturama podataka, procesorima teksta itd itd. Stoga je jako bitno sto \
vise ubrzati rad ovog algoritma. Ovdje cemo se pozabaviti samo sa prva dva, \
najjednostavnija primjera sortiranja - sortiranje selekcijom i sortiranje \
umetanjem (selection i instertion sort)",
  FontSize->16],
 "\n"
}], "Text",
 CellChangeTimes->{{3.40765288975*^9, 3.4076529959375*^9}}],

Cell[CellGroupData[{

Cell["Sortiranje selekcijom", "Subtitle",
 CellChangeTimes->{{3.40765302809375*^9, 3.4076530311875*^9}}],

Cell[TextData[StyleBox["Ovo je najjednostavniji algoritam sortiranja, koji se \
zasniva na biranju najmanjeg elementa i stavljanjem istog na odgovarajucu \
poziciju - nesto kao kada prosjecna osoba slaze karte pri igranju remija.",
 FontSize->16]], "Text",
 CellChangeTimes->{{3.407653037796875*^9, 3.40765311109375*^9}}],

Cell[CellGroupData[{

Cell["Pseudo - code", "Subsubtitle",
 CellChangeTimes->{{3.407653120703125*^9, 3.407653127453125*^9}}],

Cell[TextData[{
 StyleBox["Algorithm SELECTION_SORT (L, n)\nInput : Lista elemenata\nOutput : \
Sortirana lista",
  FontSize->16],
 "\n",
 Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Graphics",
  ImageSize->{327, 217},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}}],
 "\n",
 StyleBox["Primjedba - ovaj pseudocode radi tako sto bira NAJVECI element i \
stavlja ga na kraj liste. Mi cemo ga implementirati obratno, jer je \
prirodnije.",
  FontSize->16]
}], "Text",
 CellChangeTimes->{{3.407653508484375*^9, 3.407653526328125*^9}, {
  3.407656464515625*^9, 3.407656464515625*^9}, {3.40765651153125*^9, 
  3.407656546921875*^9}, {3.407656603796875*^9, 3.40765660728125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Implementacija", "Subsubtitle",
 CellChangeTimes->{{3.4076535586875*^9, 3.4076535613125*^9}}],

Cell[TextData[StyleBox["Ovdje radimo najjednostavniju implementaciju ovoga \
algoritma, pri tome samo pamteci poziciju najveceg elementa",
 FontSize->16]], "Text",
 CellChangeTimes->{{3.407653567453125*^9, 3.407653611078125*^9}, {
  3.40765370390625*^9, 3.40765371059375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SelectionSort", "[", "l_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "j", ",", "tmp", ",", "min", ",", "lista"}], "}"}], 
    ",", " ", 
    RowBox[{"(*", 
     RowBox[{"lokalne", " ", "promjenjljive", " ", "su", " ", "ovdje"}], 
     "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"lista", "=", "l"}], ";", " ", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "kreiramo", " ", "privremenu", " ", "listu", " ", "koju", " ", "cemo", 
        " ", "i", " ", "vratiti"}], ",", " ", 
       RowBox[{
       "kako", " ", "ne", " ", "bi", " ", "promjenili", " ", "original"}]}], 
      "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "<", 
        RowBox[{"Length", "[", "lista", "]"}]}], ",", 
       RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"min", "=", "i"}], ";", " ", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "min", " ", "je", " ", "pozicija", " ", "najmanjeg", " ", 
           "elementa", " ", "u", " ", "listi"}], ",", " ", 
          RowBox[{
          "za", " ", "pocetak", " ", "stavljeno", " ", "na", " ", "i"}]}], 
         "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", 
           RowBox[{"i", "+", "1"}]}], ",", 
          RowBox[{"j", "<=", 
           RowBox[{"Length", "[", "lista", "]"}]}], ",", 
          RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"lista", "[", 
              RowBox[{"[", "j", "]"}], "]"}], "<", 
             RowBox[{"lista", "[", 
              RowBox[{"[", "min", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"min", "=", "j"}]}], "   ", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
             "Ako", " ", "je", " ", "element", " ", "na", " ", "poziciji", 
              " ", "j", " ", "manji", " ", "od", " ", "dosadasnjeg", " ", 
              "najmanjeg", " ", "elementa"}], ",", " ", "\[IndentingNewLine]", 
             RowBox[{
             "promjeni", " ", "vrijednost", " ", "min", " ", "na", " ", "tu", 
              " ", "poziciju"}]}], "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "]"}]}], 
         RowBox[{"(*", 
          RowBox[{"kraj", " ", "if"}], "*)"}], "\[IndentingNewLine]", "]"}], 
        ";", " ", 
        RowBox[{"(*", 
         RowBox[{"kraj", " ", "j", " ", "petlje"}], "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmp", "=", 
         RowBox[{"lista", "[", 
          RowBox[{"[", "min", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"lista", "[", 
          RowBox[{"[", "min", "]"}], "]"}], "=", 
         RowBox[{"lista", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"lista", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "=", "tmp"}], ";"}]}], "     ", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "ova", " ", "3", " ", "reda", " ", "mijenjaju", " ", "elementa", " ", 
        "na", " ", "pozicijama", " ", "\"\<min\>\"", " ", "i", " ", 
        "\"\<i\>\""}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "]"}], ";", " ", 
     RowBox[{"(*", 
      RowBox[{"kraj", " ", "i", " ", "petlje"}], "*)"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "lista", "]"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"kraj", " ", "modula"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.407653626*^9, 3.407653700390625*^9}, {3.407653736375*^9,
    3.407654234359375*^9}, {3.407654281328125*^9, 3.4076544215625*^9}, {
   3.4076545186875*^9, 3.40765451921875*^9}, {3.4076546905625*^9, 
   3.407654700359375*^9}, 3.4076551223125*^9, 3.407655163625*^9, {
   3.407655195609375*^9, 3.407655226203125*^9}, {3.40765529325*^9, 
   3.40765529334375*^9}, {3.407655325078125*^9, 3.4076554154375*^9}, {
   3.407655449828125*^9, 3.407655712921875*^9}, {3.40765598646875*^9, 
   3.407655987140625*^9}}],

Cell[TextData[StyleBox["\nSada cemo napisati kod koji ilustruje rad ovog \
algoritma",
 FontSize->16]], "Text",
 CellChangeTimes->{{3.40765471203125*^9, 3.4076547225*^9}, 
   3.407655736140625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SelectionSortTest", "[", "l_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "j", ",", "tmp", ",", "min", ",", "lista"}], "}"}], 
    ",", " ", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"lista", "=", "l"}], ";", " ", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "<", 
        RowBox[{"Length", "[", "lista", "]"}]}], ",", 
       RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<Na koraku \>\"", ",", "i", ",", "\"\< stanje liste je \>\"", 
          ",", "lista"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"min", "=", "i"}], ";", " ", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", 
           RowBox[{"i", "+", "1"}]}], ",", 
          RowBox[{"j", "<=", 
           RowBox[{"Length", "[", "lista", "]"}]}], ",", 
          RowBox[{"j", "++"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"lista", "[", 
              RowBox[{"[", "j", "]"}], "]"}], "<", 
             RowBox[{"lista", "[", 
              RowBox[{"[", "min", "]"}], "]"}]}], ",", 
            RowBox[{"min", "=", "j"}]}], " ", "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Slijedeci najmanji element je \>\"", ",", 
          RowBox[{"lista", "[", 
           RowBox[{"[", "min", "]"}], "]"}], ",", "\"\< na poziciji \>\"", 
          ",", "min"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<Mijenjam elemente na pozicijama \>\"", ",", "min", ",", 
          "\"\< i \>\"", ",", "i"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"tmp", "=", 
         RowBox[{"lista", "[", 
          RowBox[{"[", "min", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"lista", "[", 
          RowBox[{"[", "min", "]"}], "]"}], "=", 
         RowBox[{"lista", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"lista", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "=", "tmp"}], ";", "  ", 
        "\[IndentingNewLine]", 
        RowBox[{
        "Print", "[", 
         "\"\<---------------------------------------------------------------\
\>\"", "]"}]}]}], "]"}], ";", " ", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "lista", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.40765473003125*^9, 3.407654806453125*^9}, {
   3.40765485534375*^9, 3.407654995625*^9}, 3.407655057921875*^9, {
   3.407655276421875*^9, 3.40765528621875*^9}, {3.40765576746875*^9, 
   3.407655878234375*^9}, {3.40765593915625*^9, 3.40765597265625*^9}, {
   3.407656005640625*^9, 3.40765600628125*^9}, {3.4076560626875*^9, 
   3.40765607028125*^9}, {3.407656174875*^9, 3.407656178453125*^9}, {
   3.40765627625*^9, 3.407656282390625*^9}, {3.407656339171875*^9, 
   3.407656390546875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fubar", "=", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2", ",", 
     RowBox[{"-", "9"}], ",", "6", ",", "1", ",", 
     RowBox[{"-", "2"}], ",", "47", ",", "12", ",", "115", ",", "5", ",", 
     "10", ",", "7", ",", "8"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"SelectionSortTest", "[", "fubar", "]"}]}], "Input",
 CellChangeTimes->{{3.40765481021875*^9, 3.407654823625*^9}, {
  3.407655427796875*^9, 3.407655428296875*^9}, {3.407655882375*^9, 
  3.407655929734375*^9}, {3.407656106703125*^9, 3.4076561491875*^9}}],

Cell[BoxData[
 RowBox[{"SelectionSortTest", "[", 
  RowBox[{"{", 
   RowBox[{"4", ",", "2", ",", 
    RowBox[{"-", "9"}], ",", "6", ",", "1", ",", 
    RowBox[{"-", "2"}], ",", "47", ",", "12", ",", "115", ",", "5", ",", "10",
     ",", "7", ",", "8"}], "}"}], "]"}]], "Output",
 CellChangeTimes->{3.477040896546875*^9, 3.4771160696636953`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sortiranje umetanjem", "Subtitle",
 CellChangeTimes->{{3.407656646875*^9, 3.40765664971875*^9}}],

Cell[TextData[StyleBox["Ovaj algoritam je takodjer jednostavan i ne bas \
efikasan, a radi na nacin da ne biramo najmanji ili najveci element, vec \
uzimamo prvi slijedeci i stavljamo ga na odgovarajuce mjesto u vec sortiranom \
dijelu liste.",
 FontSize->16]], "Text",
 CellChangeTimes->{{3.47703962171875*^9, 3.477039632515625*^9}, 
   3.477039946921875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Pseudocode Algoritam InsertSort(lista A)", "Subtitle",
 CellChangeTimes->{{3.477040314078125*^9, 3.4770403160625*^9}, {
  3.47704052828125*^9, 3.4770405389375*^9}}],

Cell[TextData[{
 StyleBox["1\tfor  ", "Section 1"],
 StyleBox["j ", "Section 1",
  FontWeight->"Plain"],
 StyleBox["\[ShortLeftArrow]",
  FontSize->24],
 StyleBox[" ", "Section 1",
  FontSize->24,
  FontWeight->"Plain"],
 StyleBox["2 ", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["to ", "Section 1",
  FontSize->16],
 StyleBox["length(A)\n", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["2\t\tdo ", "Section 1",
  FontSize->16],
 StyleBox["key ", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["\[ShortLeftArrow]",
  FontSize->24],
 StyleBox[" A(j)\n", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["3\t\t(* ubaci element A(j) u sortiranu listu A(1, 2, ...., j-1) *)\
\n4\t\t\t", "Section 1",
  FontSize->16],
 StyleBox["i ", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["\[ShortLeftArrow]",
  FontSize->24],
 StyleBox[" j -1\n", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["5\t\t\twhile ", "Section 1",
  FontSize->16],
 StyleBox["i > 0  & A(i) > key\n", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["6", "Section 1",
  FontSize->16],
 StyleBox["\t\t\t\t", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["do ", "Section 1",
  FontSize->16],
 StyleBox["A(i+1) ", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["\[ShortLeftArrow]",
  FontSize->24],
 StyleBox[" A(i)\n", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["7 \t\t\t\t   ", "Section 1",
  FontSize->16],
 StyleBox["i ", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["\[ShortLeftArrow]",
  FontSize->24],
 StyleBox[" i -1\n", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["8\t\t\t", "Section 1",
  FontSize->16],
 StyleBox["A(i+1) ", "Section 1",
  FontSize->16,
  FontWeight->"Plain"],
 StyleBox["\[ShortLeftArrow]",
  FontSize->24],
 StyleBox[" ", "Section 1",
  FontSize->16],
 StyleBox["key", "Section 1",
  FontSize->16,
  FontWeight->"Plain"]
}], "Program",
 CellChangeTimes->{{3.47704033090625*^9, 3.477040370921875*^9}, {
  3.477040404078125*^9, 3.477040404078125*^9}, {3.477040460375*^9, 
  3.4770405223125*^9}, {3.477040569015625*^9, 3.477040736890625*^9}, {
  3.477041813109375*^9, 3.477041813359375*^9}, {3.477115721159695*^9, 
  3.4771157290844955`*^9}}],

Cell[CellGroupData[{

Cell["Implementacija", "Subsubtitle",
 CellChangeTimes->{{3.4076568690625*^9, 3.407656870875*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"InsertSort", "[", "l_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lista", ",", "i", ",", "j", ",", "key"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lista", "=", "l"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"j", "=", "2"}], ",", 
        RowBox[{"j", "\[LessEqual]", 
         RowBox[{"Length", "[", "lista", "]"}]}], ",", 
        RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"key", "=", 
          RowBox[{"lista", "[", 
           RowBox[{"[", "j", "]"}], "]"}]}], ";", " ", 
         RowBox[{"(*", 
          RowBox[{"ovo", " ", "je", " ", "element", " ", 
           RowBox[{"koji", " ", "'"}], 
           RowBox[{"insertujemo", "'"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"i", "=", 
          RowBox[{"j", "-", "1"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "while", " ", "petlja", " ", "u", " ", "stvari", " ", "radi", " ", 
           "sav", " ", "posao"}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"i", ">", "0"}], " ", "&&", " ", 
            RowBox[{
             RowBox[{"lista", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ">", "key"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"lista", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}], "=", 
             RowBox[{"lista", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"i", "--"}]}]}], "\[IndentingNewLine]", "]"}], ";", " ", 
         RowBox[{"(*", 
          RowBox[{"kraj", " ", "while", " ", "petlje"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"lista", "[", 
           RowBox[{"[", 
            RowBox[{"i", "+", "1"}], "]"}], "]"}], "=", "key"}], ";"}]}], " ", 
       RowBox[{"(*", 
        RowBox[{
        "Ovo", " ", "je", " ", "trenutak", " ", "umetanja", " ", "na", " ", 
         "pravo", " ", "mjesto", " ", "datog", " ", "elementa"}], "*)"}], 
       "\[IndentingNewLine]", "]"}], " ", ";", 
      RowBox[{"(*", 
       RowBox[{"kraj", " ", "for", " ", "petlje"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "lista", "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.407656881578125*^9, 3.407657069671875*^9}, {
   3.4076571428125*^9, 3.40765718796875*^9}, {3.40765754940625*^9, 
   3.407657591078125*^9}, {3.47704077728125*^9, 3.477040874671875*^9}, 
   3.477041528265625*^9, {3.477041614671875*^9, 3.47704162215625*^9}, {
   3.477041666046875*^9, 3.477041714140625*^9}, {3.47704179975*^9, 
   3.4770418260625*^9}, {3.477041872625*^9, 3.477041888453125*^9}, {
   3.477041943640625*^9, 3.477041947375*^9}}],

Cell[TextData[StyleBox["Evo ilustracije rada ovog algoritma",
 FontSize->16]], "Text",
 CellChangeTimes->{{3.407657605484375*^9, 3.40765761240625*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"InsertSortTest", "[", "l_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lista", ",", "i", ",", "j", ",", "tmp"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lista", "=", "l"}], ";", "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "2"}], ",", 
        RowBox[{"i", "\[LessEqual]", 
         RowBox[{"Length", "[", "lista", "]"}]}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{"\"\<Na koraku \>\"", ",", 
           RowBox[{"i", "-", "1"}], ",", " ", "\"\< stanje liste je \>\"", 
           ",", "lista"}], "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"tmp", "=", 
          RowBox[{"lista", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<Element koji 'umecemo' je \>\"", ",", "tmp", ",", " ", 
           "\"\< i lista se mijenja na slijedeci nacin:\>\""}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"j", "=", "i"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{"\"\<Umetanje:\>\"", ",", "lista"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"lista", "[", 
             RowBox[{"[", 
              RowBox[{"j", "-", "1"}], "]"}], "]"}], ">", "tmp"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"lista", "[", 
              RowBox[{"[", "j", "]"}], "]"}], "=", 
             RowBox[{"lista", "[", 
              RowBox[{"[", 
               RowBox[{"j", "-", "1"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Print", "[", 
             RowBox[{"\"\<Umetanje:\>\"", ",", "lista"}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"j", "--"}]}]}], "\[IndentingNewLine]", "]"}], ";", " ", 
         RowBox[{"(*", 
          RowBox[{"kraj", " ", "while", " ", "petlje"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"lista", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "=", "tmp"}], ";", " ", 
         RowBox[{"(*", 
          RowBox[{
          "Ovo", " ", "je", " ", "trenutak", " ", "umetanja", " ", "na", " ", 
           "pravo", " ", "mjesto", " ", "datog", " ", "elementa"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{"\"\<Umetanje:\>\"", ",", "lista"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
         "Print", "[", 
          "\"\<---------------------------------------------------------------\
--------------\>\"", "]"}]}]}], "\[IndentingNewLine]", "]"}], " ", ";", 
      RowBox[{"(*", 
       RowBox[{"kraj", " ", "for", " ", "petlje"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "lista", "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.407657193421875*^9, 3.407657343203125*^9}, {
  3.407657400296875*^9, 3.40765740046875*^9}, {3.407657648890625*^9, 
  3.40765766909375*^9}, {3.477041865375*^9, 3.4770418691875*^9}}],

Cell[CellGroupData[{

Cell[BoxData["lista"], "Input",
 CellChangeTimes->{{3.4770414268125*^9, 3.47704142721875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "64", ",", "27", ",", "54", ",", "1", ",", "79", ",", "53", ",", "10", ",", 
   "60", ",", "10", ",", "2", ",", "67", ",", "97", ",", "75", ",", "45", ",",
    "10", ",", "33", ",", "27", ",", "65", ",", "24", ",", "13"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.477041427640625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InsertSort", "[", 
  RowBox[{"{", 
   RowBox[{"3", ",", "2", ",", "1"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.477041563875*^9, 3.47704160803125*^9}, {
  3.477041648796875*^9, 3.477041655875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Kljuc je \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Kljuc je ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4770417176875*^9, {3.4770417844375*^9, 3.47704180325*^9}, 
   3.4770418444375*^9, {3.47704187596875*^9, 3.477041891046875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"mjesto za umetanje je\"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["mjesto za umetanje je", 1],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4770417176875*^9, {3.4770417844375*^9, 3.47704180325*^9}, 
   3.4770418444375*^9, {3.47704187596875*^9, 3.477041891046875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Kljuc je \"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["Kljuc je ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4770417176875*^9, {3.4770417844375*^9, 3.47704180325*^9}, 
   3.4770418444375*^9, {3.47704187596875*^9, 3.477041891046875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"mjesto za umetanje je\"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["mjesto za umetanje je", 2],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4770417176875*^9, {3.4770417844375*^9, 3.47704180325*^9}, 
   3.4770418444375*^9, {3.47704187596875*^9, 3.477041891046875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"mjesto za umetanje je\"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["mjesto za umetanje je", 1],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4770417176875*^9, {3.4770417844375*^9, 3.47704180325*^9}, 
   3.4770418444375*^9, {3.47704187596875*^9, 3.4770418910625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4770416563125*^9, 3.47704171771875*^9, {3.477041784515625*^9, 
   3.477041803265625*^9}, 3.47704184446875*^9, {3.477041876*^9, 
   3.477041891078125*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"test1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Random", "[", 
      RowBox[{"Integer", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1000"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", "1000", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"test2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Random", "[", 
      RowBox[{"Integer", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1000"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", "2000", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"test3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Random", "[", 
      RowBox[{"Integer", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1000"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", "3000", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.477116267955295*^9, 3.477116274756895*^9}, {
  3.4771163331320953`*^9, 3.4771163687468953`*^9}, {3.477116400352495*^9, 
  3.477116411397295*^9}, {3.477116454390895*^9, 3.477116457214495*^9}, {
  3.4771167014636955`*^9, 3.477116718966895*^9}, {3.4771168125668955`*^9, 
  3.477116816607295*^9}},
 FontSize->18],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SelectionSort", "[", "test1", "]"}]], "Input",
 CellChangeTimes->{{3.477116424782095*^9, 3.4771164291344953`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "13", ",", "19", ",", "22", ",", "35", ",", "35", ",", "54", ",", "55", ",",
    "75", ",", "76", ",", "85", ",", "105", ",", "115", ",", "116", ",", 
   "122", ",", "130", ",", "135", ",", "140", ",", "150", ",", "161", ",", 
   "162", ",", "169", ",", "172", ",", "174", ",", "200", ",", "207", ",", 
   "208", ",", "210", ",", "217", ",", "228", ",", "237", ",", "242", ",", 
   "261", ",", "268", ",", "273", ",", "276", ",", "305", ",", "305", ",", 
   "309", ",", "328", ",", "337", ",", "351", ",", "359", ",", "382", ",", 
   "389", ",", "393", ",", "396", ",", "401", ",", "402", ",", "413", ",", 
   "420", ",", "429", ",", "436", ",", "440", ",", "457", ",", "461", ",", 
   "469", ",", "489", ",", "509", ",", "513", ",", "546", ",", "556", ",", 
   "564", ",", "580", ",", "591", ",", "592", ",", "621", ",", "624", ",", 
   "652", ",", "654", ",", "657", ",", "670", ",", "673", ",", "676", ",", 
   "686", ",", "695", ",", "696", ",", "703", ",", "719", ",", "740", ",", 
   "772", ",", "775", ",", "804", ",", "809", ",", "861", ",", "881", ",", 
   "884", ",", "893", ",", "899", ",", "905", ",", "909", ",", "913", ",", 
   "916", ",", "920", ",", "925", ",", "927", ",", "937", ",", "945", ",", 
   "951", ",", "966", ",", "973"}], "}"}]], "Output",
 CellChangeTimes->{3.4771164297584953`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InsertSort", "[", "test1", "]"}]], "Input",
 CellChangeTimes->{{3.4771164335024953`*^9, 3.477116437308895*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "13", ",", "19", ",", "22", ",", "35", ",", "35", ",", "54", ",", "55", ",",
    "75", ",", "76", ",", "85", ",", "105", ",", "115", ",", "116", ",", 
   "122", ",", "130", ",", "135", ",", "140", ",", "150", ",", "161", ",", 
   "162", ",", "169", ",", "172", ",", "174", ",", "200", ",", "207", ",", 
   "208", ",", "210", ",", "217", ",", "228", ",", "237", ",", "242", ",", 
   "261", ",", "268", ",", "273", ",", "276", ",", "305", ",", "305", ",", 
   "309", ",", "328", ",", "337", ",", "351", ",", "359", ",", "382", ",", 
   "389", ",", "393", ",", "396", ",", "401", ",", "402", ",", "413", ",", 
   "420", ",", "429", ",", "436", ",", "440", ",", "457", ",", "461", ",", 
   "469", ",", "489", ",", "509", ",", "513", ",", "546", ",", "556", ",", 
   "564", ",", "580", ",", "591", ",", "592", ",", "621", ",", "624", ",", 
   "652", ",", "654", ",", "657", ",", "670", ",", "673", ",", "676", ",", 
   "686", ",", "695", ",", "696", ",", "703", ",", "719", ",", "740", ",", 
   "772", ",", "775", ",", "804", ",", "809", ",", "861", ",", "881", ",", 
   "884", ",", "893", ",", "899", ",", "905", ",", "909", ",", "913", ",", 
   "916", ",", "920", ",", "925", ",", "927", ",", "937", ",", "945", ",", 
   "951", ",", "966", ",", "973"}], "}"}]], "Output",
 CellChangeTimes->{3.477116437870495*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{"InsertSort", "[", "test1", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.477116488898095*^9, 3.477116530378495*^9}}],

Cell[BoxData["1.966000000000001`"], "Output",
 CellChangeTimes->{{3.4771165094276953`*^9, 3.4771165340288954`*^9}, 
   3.477116677018495*^9, 3.477116774690095*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{"SelectionSort", "[", "test1", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.477116551407295*^9, 3.477116552702095*^9}}],

Cell[BoxData["2.481`"], "Output",
 CellChangeTimes->{3.4771165567268953`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{"InsertSort", "[", "test2", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.477116724504895*^9, 3.4771167653456955`*^9}}],

Cell[BoxData["7.862`"], "Output",
 CellChangeTimes->{{3.4771167367352953`*^9, 3.477116784736495*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{"InsertSort", "[", "test3", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4771168514888954`*^9, 3.4771168515668955`*^9}}],

Cell[BoxData["17.768`"], "Output",
 CellChangeTimes->{3.477116870021695*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{"SelectionSort", "[", "test1", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{"SelectionSort", "[", "test2", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{"SelectionSort", "[", "test3", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.477117124956895*^9, 3.4771171653140955`*^9}}],

Cell[BoxData["2.481`"], "Output",
 CellChangeTimes->{3.477117168761695*^9}],

Cell[BoxData["9.967999999999998`"], "Output",
 CellChangeTimes->{3.477117178964095*^9}],

Cell[BoxData["22.682999999999996`"], "Output",
 CellChangeTimes->{3.4771172019116955`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rezultati", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", "100", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox["For",
   FontSize->18], 
  StyleBox["[",
   FontSize->18], 
  RowBox[{
   StyleBox[
    RowBox[{"i", "=", "10"}],
    FontSize->18], 
   StyleBox[",",
    FontSize->18], 
   RowBox[{
    StyleBox["i",
     FontSize->18], 
    StyleBox["\[LessEqual]",
     FontSize->18], "1000"}], 
   StyleBox[",",
    FontSize->18], 
   StyleBox[
    RowBox[{"i", "=", 
     RowBox[{"i", "+", "10"}]}],
    FontSize->18], 
   StyleBox[",",
    FontSize->18], 
   StyleBox["\[IndentingNewLine]",
    FontSize->18], 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"test1", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1000"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", "i", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"rezultati", "[", 
        RowBox[{"[", 
         RowBox[{"i", "/", "10"}], "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"Timing", "[", 
         RowBox[{"InsertSort", "[", "test1", "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "i", "]"}]}],
    FontSize->18]}], 
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  StyleBox["]",
   FontSize->18]}]}], "Input",
 CellChangeTimes->{{3.477117251472895*^9, 3.477117414633295*^9}, {
  3.477117565953295*^9, 3.477117594282895*^9}, {3.477117629398495*^9, 
  3.477117651441295*^9}}],

Cell[CellGroupData[{

Cell[BoxData["rezultati"], "Input",
 CellChangeTimes->{{3.477117585016495*^9, 3.4771175864516954`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.015000000000000001`", ",", "8.944667923005412`*^-19", ",", 
   "8.944667923005412`*^-19", ",", "8.944667923005412`*^-19", ",", 
   "8.944667923005412`*^-19", ",", "0.016`", ",", "5.421010862427522`*^-19", 
   ",", "0.015000000000000001`", ",", "0.016`", ",", "0.016`", ",", 
   "0.015000000000000001`", ",", "0.031`", ",", "0.03199999999999999`", ",", 
   "0.030999999999999986`", ",", "0.030999999999999986`", ",", 
   "0.046999999999999986`", ",", "0.047`", ",", "0.06200000000000001`", ",", 
   "0.047000000000000014`", ",", "0.07799999999999997`", ",", 
   "0.06199999999999996`", ",", "0.09400000000000001`", ",", 
   "0.07800000000000004`", ",", "0.09299999999999997`", ",", "0.125`", ",", 
   "0.14100000000000001`", ",", "0.156`", ",", "0.14000000000000007`", ",", 
   "0.15599999999999994`", ",", "0.17200000000000004`", ",", 
   "0.2020000000000001`", ",", "0.21899999999999992`", ",", 
   "0.20299999999999985`", ",", "0.23399999999999999`", ",", "0.234`", ",", 
   "0.265`", ",", "0.2649999999999999`", ",", "0.2960000000000002`", ",", 
   "0.28099999999999997`", ",", "0.31199999999999983`", ",", 
   "0.34299999999999997`", ",", "0.34400000000000003`", ",", 
   "0.3899999999999997`", ",", "0.343`", ",", "0.405`", ",", 
   "0.4059999999999998`", ",", "0.4370000000000001`", ",", 
   "0.45199999999999985`", ",", "0.46799999999999986`", ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.477117587013295*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"rezultati", ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.477117605936095*^9, 3.477117611973295*^9}, {
  3.477117727335295*^9, 3.4771177346672955`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxdlHlIFGEYxoetKKJCQsI/1EwqzE61MtPyyTNvd9XdzSLCDCSiQ1QsIiYo
C6JDIpIiMiq1FJNOCzGpsOjCIhHRrNQOKzWzy7yaefcJRj9Ydn/7+573/b6Z
b2ZG2jbLJpOiKOnaR/92jG/Bjq9XQfwDI3nCKHZCTGnPy7i0Y46c4gxlxHAZ
xa6Id9v/xVx5hPM9RnlPnC8x1puJoenG+bMxcEn3hWQvFLkbvTdKl11/lFN9
ljwPlsvG+QtQlh74JuFwMXkRrN817VRC9oEygn1hD9DrXSH7wdRj9ItRljet
8fnva+QlUNounn7gUUFeCtMBo/dHmeQryctQ7q1PuEUOQMPao/d+elWRl2Oh
9L9LDkSI1LtPDkJnnpFXwF6VddxlbC15JRZMmX/1TPdDcjD2jWCgMbdjts+E
pw5WgdQToYe2fHxCvwqnHp8Lv9n7jH4VJsuPOvoQjJmzTlswWQ1BgR7vf0Ef
inIjq6HYqZF2C+nD8EAvP/iKPgyzKjIz8jvJSjguSv96+nC8H9ZHA30EAmU/
ZDUCO4ysRGLAXKmdkEb6SPiuvxM1ydREvxolWvPcjhZ6jaXfa/oobHMuj3y3
6y19FMbJfslKNKL11ee+o49GoeyXrMTASQ5QK30MNryv82zqIyuxaO7bs7kq
q40+FjnSr50+Dl+99H5kNQ5uUu8DfTwOyvUkq/HIkPr/fQL85Lx8pE/Abf10
Zn6iT0S31CcjEcM2vf5nzk9EjVyPDgfXJGKu1PvCvBm1sn4yzMhZMbHh/PZO
5s0YL+vtYt6MVpnfzbwFbtrTeHIrPSzoM3rVghvyfPO9VGPBYKlranpgD/NJ
8JL1kJHE/X9nPglF3cW1Mf69zCehWurRK8nY69gg88mYKuv9wXwyLst8ck0y
smX+T+ZTsFzuPxkpKJB+ZDUFXXJ9fzGfAnep/4d5K2LT9BNChhXZ+Z27g5eQ
VSvr9zFvxUbxf5m3YavcfzJsaJd+ZNWGC7K9fuZt8JV+A8zbYZL1kGFHi1z/
QebtcK3XXxBDzNvRLPXolTVI8NPHcPA/nhbxfA==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 100.}, {0., 1.9500000000000062`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.477117612753295*^9, {3.477117722109295*^9, 3.4771177353068953`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "test1", "]"}]], "Input",
 CellChangeTimes->{{3.477117826722895*^9, 3.4771178300456953`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxd2zlsu/FdgHELloweGDIwGISqCCFk7nD25Q63KVc4a/5QSKGlhlII5aj5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     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 1000.}, {0., 999.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.4771178308100953`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1144, 762},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Report.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 99, 1, 69, "Title"],
Cell[669, 25, 531, 10, 90, "Text"],
Cell[CellGroupData[{
Cell[1225, 39, 104, 1, 39, "Subtitle"],
Cell[1332, 42, 321, 4, 52, "Text"],
Cell[CellGroupData[{
Cell[1678, 50, 102, 1, 28, "Subsubtitle"],
Cell[1783, 53, 7941, 137, 311, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9761, 195, 99, 1, 28, "Subsubtitle"],
Cell[9863, 198, 276, 4, 31, "Text"],
Cell[10142, 204, 4519, 103, 614, "Input"],
Cell[14664, 309, 197, 4, 52, "Text"],
Cell[14864, 315, 3117, 71, 274, "Input"],
Cell[CellGroupData[{
Cell[18006, 390, 561, 11, 54, "Input"],
Cell[18570, 403, 344, 7, 47, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18975, 417, 102, 1, 39, "Subtitle"],
Cell[19080, 420, 360, 6, 52, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19477, 431, 170, 2, 39, "Subtitle"],
Cell[19650, 435, 2333, 85, 212, "Program"],
Cell[CellGroupData[{
Cell[22008, 524, 98, 1, 28, "Subsubtitle"],
Cell[22109, 527, 3077, 73, 471, "Input"],
Cell[25189, 602, 151, 2, 31, "Text"],
Cell[25343, 606, 3340, 79, 633, "Input"],
Cell[CellGroupData[{
Cell[28708, 689, 94, 1, 33, "Input"],
Cell[28805, 692, 327, 7, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29169, 704, 228, 5, 33, "Input"],
Cell[29400, 711, 306, 7, 38, "Print"],
Cell[29709, 720, 330, 7, 38, "Print"],
Cell[30042, 729, 306, 7, 38, "Print"],
Cell[30351, 738, 330, 7, 38, "Print"],
Cell[30684, 747, 328, 7, 38, "Print"],
Cell[31015, 756, 262, 6, 47, "Output"]
}, Open  ]],
Cell[31292, 765, 1196, 33, 93, "Input"],
Cell[CellGroupData[{
Cell[32513, 802, 138, 2, 33, "Input"],
Cell[32654, 806, 1354, 20, 105, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34045, 831, 135, 2, 33, "Input"],
Cell[34183, 835, 1352, 20, 105, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35572, 860, 218, 5, 33, "Input"],
Cell[35793, 867, 163, 2, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35993, 874, 221, 5, 33, "Input"],
Cell[36217, 881, 77, 1, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36331, 887, 220, 5, 33, "Input"],
Cell[36554, 894, 101, 1, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36692, 900, 222, 5, 33, "Input"],
Cell[36917, 907, 76, 1, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37030, 913, 537, 13, 74, "Input"],
Cell[37570, 928, 75, 1, 47, "Output"],
Cell[37648, 931, 87, 1, 47, "Output"],
Cell[37738, 934, 90, 1, 47, "Output"]
}, Open  ]],
Cell[37843, 938, 1751, 62, 154, "Input"],
Cell[CellGroupData[{
Cell[39619, 1004, 103, 1, 33, "Input"],
Cell[39725, 1007, 1470, 24, 109, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41232, 1036, 251, 5, 33, "Input"],
Cell[41486, 1043, 1521, 31, 256, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43044, 1079, 133, 2, 33, "Input"],
Cell[43180, 1083, 5977, 104, 253, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
