(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26099,       1074]
NotebookOptionsPosition[     18113,        823]
NotebookOutlinePosition[     19354,        865]
CellTagsIndexPosition[     19311,        862]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Numericko racunanje i ugradjene funkcije", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Numericko racunanje", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["5*7", "Input",
 AspectRatioFixed->True],

Cell["5 7", "Input",
 AspectRatioFixed->True],

Cell["5^7", "Input",
 AspectRatioFixed->True],

Cell["5^(1/7)", "Input",
 AspectRatioFixed->True],

Cell["FullForm[5^(1/7)]", "Input",
 AspectRatioFixed->True],

Cell["N[%]", "Input",
 AspectRatioFixed->True],

Cell["5.^(1/7)", "Input",
 AspectRatioFixed->True],

Cell["N[5^(1/7),20]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  ",
 StyleBox["obicno",
  FontWeight->"Bold"],
 " zaokrucuje, ali ne uvijek:"
}], "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["2/3", "Input",
 AspectRatioFixed->True],

Cell["N[2/3]", "Input",
 AspectRatioFixed->True],

Cell["N[2/3,20]", "Input",
 AspectRatioFixed->True],

Cell["N[2/3,16]", "Input",
 AspectRatioFixed->True],

Cell["(-5)^121", "Input",
 AspectRatioFixed->True],

Cell["N[%]", "Input",
 AspectRatioFixed->True],

Cell["a=(-5)^(1/3)", "Input",
 AspectRatioFixed->True],

Cell["N[a]", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ugradjene konstante", "Subsection",
 Evaluatable->False,
 PageBreakAbove->True,
 AspectRatioFixed->True],

Cell["E", "Input",
 AspectRatioFixed->True],

Cell["N[E,30]", "Input",
 AspectRatioFixed->True],

Cell["Sin[Pi/4]", "Input",
 AspectRatioFixed->True],

Cell["Sqrt[-16]", "Input",
 AspectRatioFixed->True],

Cell["Ima i kojekakvih drugih matematickih konstanti", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Limit[Sum[1/k,{k,1,n}]-Log[n], n->Infinity]  
N[%]\
\>", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Ugradjene funkcije \[LongDash] ima ih svakojakih\
\>", "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Mozemo crtati njihove grafove", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Plot[Abs[Exp[-x*x]-0.5],{x,-2,2}]", "Input",
 AspectRatioFixed->True],

Cell["Mozemo racunati s njima", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["1+ArcTan[1]", "Input",
 AspectRatioFixed->True],

Cell["Sinh[%]", "Input",
 AspectRatioFixed->True],

Cell["N[%]", "Input",
 AspectRatioFixed->True],

Cell["FactorInteger[1234567890]", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Oprez !", "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Sin[Pi/7]", "Input",
 AspectRatioFixed->True],

Cell["N[%]", "Input",
 AspectRatioFixed->True],

Cell["Ali", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["sin[Pi/7]", "Input",
 AspectRatioFixed->True],

Cell["N[%]", "Input",
 AspectRatioFixed->True]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Izrazi i funkcije", "Section",
 Evaluatable->False,
 PageBreakAbove->True,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Osnovne algebarske operacije s matematickim izrazima", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Factor[12x^2+27x*y-7y]", "Input",
 AspectRatioFixed->True],

Cell["Expand[(x+y)^2(3x-y)^3]", "Input",
 AspectRatioFixed->True],

Cell["Together[(x-1)/(x+1)+(x+1)/(x-1)]", "Input",
 AspectRatioFixed->True],

Cell["Simplify[%]", "Input",
 AspectRatioFixed->True],

Cell["Simplify[(x^2-1)/(x^2-2x+1)]", "Input",
 AspectRatioFixed->True],

Cell["(x^3-1)/(x^2+x+1)", "Input",
 AspectRatioFixed->True],

Cell["Cancel[(x^3-1)/(x^2+x+1)] ", "Input",
 AspectRatioFixed->True],

Cell["Apart[1/((x^3-1)(x^2+1))]", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Definiranje i izracunavanje funkcija", "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["f[x]=x^2-Exp[x]", "Input",
 AspectRatioFixed->True],

Cell["Ali da li smo time zaista definirali neku funkciju?", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
f[5]
N[%]\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
Ocito dakle nismo. 
Jedan od mogucih nacina definiranja funkcije je ovaj:\
\>", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Clear[f]
f[x_]=x^2-Exp[x]\
\>", "Input",
 AspectRatioFixed->True],

Cell["f[5]", "Input",
 AspectRatioFixed->True],

Cell["N[%]", "Input",
 AspectRatioFixed->True],

Cell["Plot[f[x],{x,-3,3}]", "Input",
 CellChangeTimes->{3.512398788843154*^9},
 AspectRatioFixed->True],

Cell["Drugi moguci nacin je ovaj:", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Clear[g]
g[x_]:=x^2-Exp[x]\
\>", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Uoci da ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " sada, za razliku od ranije kod funkcije ",
 StyleBox["f,",
  FontFamily->"Courier"],
 " ",
 StyleBox["nije",
  FontWeight->"Bold"],
 " ispisala cemu je jednaka funkcija ",
 StyleBox["g",
  FontFamily->"Courier"],
 " !"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["g[5]", "Input",
 AspectRatioFixed->True],

Cell["Plot[g[x],{x,-3,3}]", "Input",
 CellChangeTimes->{3.512398804840102*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "Koja je razlika? Pogledajmo sta o ",
 StyleBox["f",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " i ",
 StyleBox["g",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " kaze ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " "
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["??f", "Input",
 AspectRatioFixed->True],

Cell["??g", "Input",
 AspectRatioFixed->True],

Cell["Neka razlika dakle ipak postoji. ", "Text",
 Evaluatable->False,
 PageBreakBelow->True,
 AspectRatioFixed->True],

Cell[TextData[{
 "Na definiciju sa ",
 StyleBox[":=",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " je dobro gledati kao na definiciju s odgodjenim izvrsavanjem"
}], "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 CellChangeTimes->{{3.512399501011591*^9, 3.5123995011375985`*^9}},
 AspectRatioFixed->True],

Cell["\<\
Clear[f1,f2]
f1[x_] =Expand[(1+x)^2]
f2[x_]:=Expand[(1+x)^2]\
\>", "Input",
 AspectRatioFixed->True],

Cell["f1[t]", "Input",
 AspectRatioFixed->True],

Cell["f2[t]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Izgleda kao da su ",
 StyleBox["f1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " i ",
 StyleBox["f2",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " iste funkcije. Ali:"
}], "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["f1[t+1]", "Input",
 AspectRatioFixed->True],

Cell["f2[t+1]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Sto ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " kaze o funkcijama ",
 StyleBox["f1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " i ",
 StyleBox["f2",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " ?"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["?f1", "Input",
 AspectRatioFixed->True],

Cell["?f2", "Input",
 AspectRatioFixed->True],

Cell["Funkcije definirane \"odgodjeno\" nekada je teze crtati.", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Clear[f,g]
f[x_] = D[x^3*Sin[1/x],x];
g[x_]:= D[x^3*Sin[1/x],x]
Plot[f[x],{x,-0.3,0.3}]\
\>", "Input",
 CellChangeTimes->{3.512399169111662*^9},
 AspectRatioFixed->True],

Cell["Plot[g[x],{x,-0.3,0.3}]", "Input",
 CellChangeTimes->{3.5123991681158075`*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "Ali graf funkcije ",
 StyleBox["g",
  FontFamily->"Courier"],
 " ipak mozemo nacrtati sa"
}], "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Plot[Evaluate[g[x]],{x,-0.3,0.3}];", "Input",
 AspectRatioFixed->True],

Cell["\<\
Nekad je medjutim situacija bas obratna \[LongDash] bolja (ili  cak jedina \
moguca) je definicija `s odgodom'.\
\>", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Clear[f,g]
f[0]=f[1]=1;
f[n_]:=f[n-2]+f[n-1]\
\>", "Input",
 AspectRatioFixed->True],

Cell["f[5]", "Input",
 AspectRatioFixed->True],

Cell["??f", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Ali ako rekurzivnu definiciju napravimo bez \" ",
 StyleBox[":",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " \" "
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
g[0]=g[1]=1;
g[n_]=g[n-2]+g[n-1]
\
\>", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Nakon toga ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  ostane raditi u beskonacnoj petlji,  i treba izvana ubiti kernel."
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Napravimo sada ovako:", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Clear[g]
g[0]=g[1]=1;
g[n_]:=g[n]=g[n-2]+g[n-1]\
\>", "Input",
 AspectRatioFixed->True],

Cell["g[5]", "Input",
 AspectRatioFixed->True],

Cell["??g", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "U cemu je sada razlika izmedju ",
 StyleBox["f",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " i ",
 StyleBox["g",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " ? Prisjetimo se, bilo je"
}], "Text",
 Evaluatable->False,
 PageBreakAbove->True,
 AspectRatioFixed->True],

Cell["\<\
Clear[f,g]
f[0]=f[1]=1;
f[n_]:=f[n-2]+f[n-1]
f[5]\
\>", "Input",
 AspectRatioFixed->True],

Cell["??f", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Funkcije definirane \"po dijelovima\"", "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Clear[f]
f[x_]:=-x^2+2  /; x<=-0.2
f[x_]:=-20x^2  /; -0.2<x<0.2
f[x_]:=Exp[2x] /; x>=0.2
Plot[f[x],{x,-2,1}]\
\>", "Input",
 CellChangeTimes->{3.512399163804035*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "S ovako definiranim funkcijama mozemo nesto i raditi, iako ne bas",
 StyleBox[" sve",
  CharacterEncoding->"Custom"],
 "."
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["FindRoot[f[x]==0,{x,-1}]", "Input",
 AspectRatioFixed->True],

Cell["Ali", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["FindRoot[f[x]==0,{x,{-1,-0.5}}]", "Input",
 AspectRatioFixed->True],

Cell["Mozemo tako definirati i periodicke funkcije", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Clear[g]
g[x_]:=  x     /; 0<=x<1
g[x_]:=  1     /; 1<=x<2
g[x_]:= 3-x    /; 2<=x<3
g[x_]:=g[x-3]  /;  x>=3\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
Plot[g[x],{x,0,12},PlotRange->{0,2},
  Ticks->{{{1,\"\"},{2,\"\"},3,
            {4,\"\"},{5,\"\"},6,
           {7,\"\"},{8,\"\"},9,
           {10,\"\"},{11,\"\"},12},
          {1}}]\
\>", "Input",
 CellChangeTimes->{3.512399160825171*^9},
 AspectRatioFixed->True]
}, Open  ]],

Cell["\<\
Clear[f]
f[x_]:=-x^2+2 /; x<=-0.2
f[x_]:=-20x^2 /; -0.2<x<0.2
f[x_]:=-x^2+2 /; x>=0.2
Plot[f[x],{x,-2,2.2}]\
\>", "Input",
 PageBreakAbove->Automatic,
 CellChangeTimes->{3.5123991595837164`*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "A mo",
 "z",
 "e i ovako (u uvjetu ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  mora najprije ne",
 StyleBox["st",
  CharacterEncoding->"Custom"],
 "o napraviti):"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Clear[f]
f[x_]:=-x^2+2 /; Abs[x]> 0.2
f[x_]:=-20x^2 /; Abs[x]<=0.2
Plot[f[x],{x,-2,2.2}]\
\>", "Input",
 CellChangeTimes->{3.5123991585846806`*^9},
 AspectRatioFixed->True]
}, Open  ]]
}, Open  ]],

Cell["Funkcije u Mathematici mogu imati bilo koji broj argumenata", "Text",
 CellChangeTimes->{{3.512399852512594*^9, 3.512399866980705*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"grba", "[", 
   RowBox[{"x_", ",", "xmax_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", "-", "xmax"}], ")"}], "^", "2"}], "/", "xmax"}]}]], "Input"],

Cell["\<\
Sada mozete koristiti funkciju \"grba\" kao bilo koju funkciju u matematici!\
\>", "Text"],

Cell[BoxData[
 RowBox[{"2", "+", 
  RowBox[{"grba", "[", 
   RowBox[{"x", ",", "3.5"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"grba", "[", 
   RowBox[{"x_", ",", "x_max"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", "-", "xmax"}], ")"}], "^", "4"}], "  "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"?", "grba"}]], "Input"],

Cell["\<\
Ovim smo prebrisali staru funkciju grba i pripisali joj novu vrijednost!\
\>", "Text"],

Cell[BoxData[
 RowBox[{"Clear", "[", "grba", "]"}]], "Input"],

Cell["\<\
U mnogim kalkulacijama i programiranju, mnoge cete stvari pisati vise puta, \
sto moze postati zamorno - stoga mozete definisati funkcije koje vam skracuju \
posao!\
\>", "Text",
 CellChangeTimes->{{3.512399929945426*^9, 3.512399952636114*^9}}],

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Product", "[", 
   RowBox[{
    RowBox[{"x", "+", "i"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Product", "[", 
   RowBox[{
    RowBox[{"x", "+", "i"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "4"}], "}"}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"exprod", "[", "n_", "]"}], ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Product", "[", 
    RowBox[{
     RowBox[{"x", "+", "i"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"exprod", "[", "3", "]"}], " ", 
  RowBox[{"exprod", "[", "4", "]"}]}]], "Input"],

Cell["\<\
Mozete imati vise linija u svojim funkcijama, sve  dok su odvojene tacka - \
zarezima \\!\\(\\*\\\"\\\\\\\"\\\"\\)\\!\\(\\*\\\";\\\"\\)\\!\\(\\*\\\"\\\\\\\
\"\\\"\\)\
\>", "Text",
 CellChangeTimes->{{3.512399972083867*^9, 3.5123999778868446`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cex", "[", 
   RowBox[{"n_", ",", "i_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"t", "=", 
     RowBox[{"exprod", "[", "n", "]"}]}], ";", "\[IndentingNewLine]", 
    "\t\t\t", 
    RowBox[{"Coefficient", "[", 
     RowBox[{"t", ",", 
      RowBox[{"x", "^", "i"}]}], "]"}]}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"?", "cex"}]], "Input"],

Cell["\<\
Rezultat koji dobivate od cijele funkcije je jednostavno koeficient koji se \
nalazi uz clan x^i u proizvodu
(x + 1) (x + 2) ... (x + n)\
\>", "Text"],

Cell[BoxData[{
 RowBox[{"exprod", "[", "6", "]"}], "\[IndentingNewLine]", 
 RowBox[{"cex", "[", 
  RowBox[{"6", ",", "4"}], "]"}]}], "Input"],

Cell["\<\
Dobra ideja u programiranju generalno je da varijable koje samo koristite \
interno u definisanju nekih procedura ili funkcije definisete kao LOKALNE. \
Ovo mozete postici ako definisete svoje programe kao MODULE  u kojima dajete \
listu varijabli koje su lokalne\
\>", "Text",
 CellChangeTimes->{{3.5124000101526704`*^9, 3.5124000230292416`*^9}}],

Cell[BoxData["t"], "Input"],

Cell["\<\
Dakle u slucaju  funkcije \"cex\", varijabla t je \"pobjegla\" izvan \
definicije i Mathematica je pamti (sto vam itekako moze zadati glavobolje \
poslije!!!) OBAVEZNO definisite lokalne varijable takvim, osim ako nemate \
jako dobar razlog da to NE ucinite!\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ncex", "[", 
   RowBox[{"n_", ",", "i_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "u", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"u", "=", 
      RowBox[{"exprod", "[", "n", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Coefficient", "[", 
      RowBox[{"u", ",", 
       RowBox[{"x", "^", "i"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"ncex", "[", 
  RowBox[{"6", ",", "4"}], "]"}]], "Input"],

Cell["Neka transformacijska pravila za funkcije", "Subsection",
 CellChangeTimes->{{3.5124001484297876`*^9, 3.5124001486447997`*^9}}],

Cell["\<\
Primjetiti - mozemo koristiti konstrukciju \"->\" kako bismo zamijenili neki \
simbol sa nekom vrijednoscu\
\>", "Text",
 CellChangeTimes->{{3.5124000777768946`*^9, 3.51240008758889*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "+", "x"}], "/.", 
  RowBox[{"x", "\[Rule]", "3"}]}]], "Input"],

Cell["Istu stvar mozemo uraditi u funkcijama", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "+", 
   RowBox[{"f", "[", "x", "]"}], "+", 
   RowBox[{"f", "[", "y", "]"}]}], "/.", 
  RowBox[{"x", "\[Rule]", "3"}]}]], "Input"],

Cell["\<\
Takodjer mozemo napraviti transformacijsko pravilo na citav f[x] - primjetite \
da to ne utice na f[y]\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "+", 
   RowBox[{"f", "[", "x", "]"}], "+", 
   RowBox[{"f", "[", "y", "]"}]}], "/.", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], "\[Rule]", "p"}]}]], "Input"],

Cell["\<\
Ali ako ZELIMO promjeniti funckiju za SVE vrijednosti, koristimo f[t_] sto \
oznacava f sa bilo kojim argumentom\
\>", "Text",
 CellChangeTimes->{{3.5124001124854326`*^9, 3.5124001128174515`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "+", 
   RowBox[{"f", "[", "x", "]"}], "+", 
   RowBox[{"f", "[", "y", "]"}]}], "/.", 
  RowBox[{
   RowBox[{"f", "[", "q_", "]"}], "\[Rule]", 
   RowBox[{"q", "^", "2"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "+", 
   RowBox[{"f", "[", "x", "]"}], "+", 
   RowBox[{"f", "[", "y", "]"}]}], "/.", 
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "\[Rule]", "t"}]}]], "Input"]
},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
CellGrouping->Manual,
WindowSize->{1904, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{9, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {
  "Praktikum 3 - 2. dio", Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {56.6875, 56.6875}}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
CharacterEncoding->"MacintoshAutomaticEncoding",
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (April 28, 2007)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 105, 2, 107, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[720, 29, 87, 2, 60, "Subsection",
 Evaluatable->False],
Cell[810, 33, 45, 1, 57, "Input"],
Cell[858, 36, 45, 1, 57, "Input"],
Cell[906, 39, 45, 1, 57, "Input"],
Cell[954, 42, 49, 1, 57, "Input"],
Cell[1006, 45, 59, 1, 57, "Input"],
Cell[1068, 48, 46, 1, 57, "Input"],
Cell[1117, 51, 50, 1, 57, "Input"],
Cell[1170, 54, 55, 1, 57, "Input"],
Cell[1228, 57, 231, 10, 38, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[1462, 69, 45, 1, 57, "Input"],
Cell[1510, 72, 48, 1, 57, "Input"],
Cell[1561, 75, 51, 1, 57, "Input"],
Cell[1615, 78, 51, 1, 57, "Input"],
Cell[1669, 81, 50, 1, 57, "Input"],
Cell[1722, 84, 46, 1, 57, "Input"],
Cell[1771, 87, 54, 1, 57, "Input"],
Cell[1828, 90, 46, 1, 57, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1911, 96, 110, 3, 60, "Subsection",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[2024, 101, 43, 1, 57, "Input"],
Cell[2070, 104, 49, 1, 57, "Input"],
Cell[2122, 107, 51, 1, 57, "Input"],
Cell[2176, 110, 51, 1, 57, "Input"],
Cell[2230, 113, 108, 2, 37, "Text",
 Evaluatable->False],
Cell[2341, 117, 100, 4, 84, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2478, 126, 152, 5, 60, "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[2633, 133, 91, 2, 37, "Text",
 Evaluatable->False],
Cell[2727, 137, 75, 1, 57, "Input"],
Cell[2805, 140, 85, 2, 37, "Text",
 Evaluatable->False],
Cell[2893, 144, 53, 1, 57, "Input"],
Cell[2949, 147, 49, 1, 57, "Input"],
Cell[3001, 150, 46, 1, 57, "Input"],
Cell[3050, 153, 67, 1, 57, "Input"],
Cell[CellGroupData[{
Cell[3142, 158, 106, 3, 39, "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[3251, 163, 51, 1, 57, "Input"],
Cell[3305, 166, 46, 1, 57, "Input"],
Cell[3354, 169, 65, 2, 37, "Text",
 Evaluatable->False],
Cell[3422, 173, 51, 1, 57, "Input"],
Cell[3476, 176, 46, 1, 57, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3583, 184, 105, 3, 107, "Section",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[CellGroupData[{
Cell[3713, 191, 120, 2, 60, "Subsection",
 Evaluatable->False],
Cell[3836, 195, 64, 1, 57, "Input"],
Cell[3903, 198, 65, 1, 57, "Input"],
Cell[3971, 201, 75, 1, 57, "Input"],
Cell[4049, 204, 53, 1, 57, "Input"],
Cell[4105, 207, 70, 1, 57, "Input"],
Cell[4178, 210, 59, 1, 57, "Input"],
Cell[4240, 213, 68, 1, 57, "Input"],
Cell[4311, 216, 67, 1, 57, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4415, 222, 132, 3, 60, "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[4550, 227, 57, 1, 57, "Input"],
Cell[4610, 230, 113, 2, 37, "Text",
 Evaluatable->False],
Cell[4726, 234, 59, 4, 84, "Input"],
Cell[4788, 240, 143, 5, 63, "Text",
 Evaluatable->False],
Cell[4934, 247, 75, 4, 84, "Input"],
Cell[5012, 253, 46, 1, 57, "Input"],
Cell[5061, 256, 46, 1, 57, "Input"],
Cell[5110, 259, 103, 2, 57, "Input"],
Cell[5216, 263, 117, 3, 37, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[5336, 268, 76, 4, 84, "Input"],
Cell[5415, 274, 357, 16, 38, "Text",
 Evaluatable->False],
Cell[5775, 292, 46, 1, 57, "Input"],
Cell[5824, 295, 103, 2, 57, "Input"],
Cell[5930, 299, 311, 15, 38, "Text",
 Evaluatable->False],
Cell[6244, 316, 45, 1, 57, "Input"],
Cell[6292, 319, 45, 1, 57, "Input"],
Cell[6340, 322, 118, 3, 37, "Text",
 Evaluatable->False,
 PageBreakBelow->True],
Cell[6461, 327, 320, 10, 38, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[6784, 339, 110, 5, 111, "Input"],
Cell[6897, 346, 47, 1, 57, "Input"],
Cell[6947, 349, 47, 1, 57, "Input"],
Cell[6997, 352, 284, 13, 38, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[7284, 367, 49, 1, 57, "Input"],
Cell[7336, 370, 49, 1, 57, "Input"],
Cell[7388, 373, 297, 15, 38, "Text",
 Evaluatable->False],
Cell[7688, 390, 45, 1, 57, "Input"],
Cell[7736, 393, 45, 1, 57, "Input"],
Cell[7784, 396, 146, 3, 37, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[7933, 401, 179, 7, 138, "Input"],
Cell[8115, 410, 109, 2, 57, "Input"],
Cell[8227, 414, 193, 8, 38, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[8423, 424, 76, 1, 57, "Input"],
Cell[8502, 427, 209, 6, 37, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[8714, 435, 94, 5, 111, "Input"],
Cell[8811, 442, 46, 1, 57, "Input"],
Cell[8860, 445, 45, 1, 57, "Input"],
Cell[8908, 448, 196, 8, 38, "Text",
 Evaluatable->False],
Cell[9107, 458, 83, 5, 111, "Input"],
Cell[9193, 465, 209, 7, 38, "Text",
 Evaluatable->False],
Cell[9405, 474, 111, 3, 37, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[9519, 479, 97, 5, 111, "Input"],
Cell[9619, 486, 46, 1, 57, "Input"],
Cell[9668, 489, 45, 1, 57, "Input"],
Cell[9716, 492, 295, 13, 38, "Text",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[10014, 507, 99, 6, 138, "Input"],
Cell[10116, 515, 45, 1, 57, "Input"],
Cell[CellGroupData[{
Cell[10186, 520, 136, 3, 39, "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[10325, 525, 200, 8, 165, "Input"],
Cell[10528, 535, 198, 7, 37, "Text",
 Evaluatable->False],
Cell[10729, 544, 66, 1, 57, "Input"],
Cell[10798, 547, 65, 2, 37, "Text",
 Evaluatable->False],
Cell[10866, 551, 73, 1, 57, "Input"],
Cell[10942, 554, 134, 3, 37, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[11079, 559, 157, 7, 165, "Input"],
Cell[11239, 568, 277, 9, 192, "Input"]
}, Open  ]],
Cell[11531, 580, 229, 9, 165, "Input",
 PageBreakAbove->Automatic],
Cell[11763, 591, 250, 12, 38, "Text",
 Evaluatable->False],
Cell[12016, 605, 182, 7, 138, "Input"]
}, Open  ]]
}, Open  ]],
Cell[12225, 616, 141, 1, 37, "Text"],
Cell[12369, 619, 214, 7, 57, "Input"],
Cell[12586, 628, 100, 2, 37, "Text"],
Cell[12689, 632, 106, 3, 57, "Input"],
Cell[12798, 637, 207, 7, 57, "Input"],
Cell[13008, 646, 47, 1, 57, "Input"],
Cell[13058, 649, 96, 2, 37, "Text"],
Cell[13157, 653, 61, 1, 57, "Input"],
Cell[13221, 656, 254, 5, 37, "Text"],
Cell[13478, 663, 203, 6, 57, "Input"],
Cell[13684, 671, 203, 6, 57, "Input"],
Cell[13890, 679, 266, 8, 57, "Input"],
Cell[14159, 689, 115, 3, 57, "Input"],
Cell[14277, 694, 257, 5, 37, "Text"],
Cell[14537, 701, 345, 11, 92, "Input"],
Cell[14885, 714, 46, 1, 57, "Input"],
Cell[14934, 717, 160, 4, 63, "Text"],
Cell[15097, 723, 141, 3, 92, "Input"],
Cell[15241, 728, 357, 6, 63, "Text"],
Cell[15601, 736, 27, 0, 57, "Input"],
Cell[15631, 738, 282, 5, 63, "Text"],
Cell[15916, 745, 469, 13, 194, "Input"],
Cell[16388, 760, 80, 2, 57, "Input"],
Cell[16471, 764, 133, 1, 60, "Subsection"],
Cell[16607, 767, 197, 4, 33, "Text"],
Cell[16807, 773, 102, 3, 57, "Input"],
Cell[16912, 778, 54, 0, 37, "Text"],
Cell[16969, 780, 170, 5, 57, "Input"],
Cell[17142, 787, 126, 3, 37, "Text"],
Cell[17271, 792, 199, 6, 57, "Input"],
Cell[17473, 800, 206, 4, 37, "Text"],
Cell[17682, 806, 224, 7, 57, "Input"],
Cell[17909, 815, 200, 6, 57, "Input"]
}
]
*)

(* End of internal cache information *)
