(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30813,       1101]
NotebookOptionsPosition[     24372,        916]
NotebookOutlinePosition[     25634,        959]
CellTagsIndexPosition[     25591,        956]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["LISTE", "Subtitle"],

Cell["\<\
Vec smo naisli na liste nao na nacin grupisanja brojeva. U ovom dijelu cemo \
nauciti kako na razlicite nacine koristiti liste, koje su jedna od \
najfleksibilnijih struktura u Mathematici.\
\>", "Text"],

Cell["Evo jedne liste brojeva", "Text"],

Cell[BoxData[
 RowBox[{"l", "=", 
  RowBox[{"{", 
   RowBox[{"2", ",", "3", ",", "4"}], "}"}]}]], "Input"],

Cell["Ovo daje listu simbolicnih izraza :", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "^", "l"}], "-", "1"}]], "Input"],

Cell["Mozemo i diferencirati ove izraze :", "Text"],

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "/.", 
  RowBox[{"x", "\[Rule]", "3"}]}]], "Input"],

Cell["\<\
Matematicke funkcije koje su ugradjene u Matematicu su vecinom modificirane \
tako da budu \"listirane\" to jest da uticu odvojeno na svaki element liste. \
Ovo medjutim nije istina za svaku funkciju u Mathematici.\
\>", "Text",
 CellChangeTimes->{{3.5124006800278115`*^9, 3.512400680365831*^9}}],

Cell["\<\
Vec smo vidjeli neke funkcije koje se koriste listama, recimo Product i Sum\
\>", "Text",
 CellChangeTimes->{{3.512400841574435*^9, 3.5124008556715937`*^9}}],

Cell[BoxData[
 RowBox[{"?", "Sum"}]], "Input"],

Cell[BoxData[
 RowBox[{"?", "Product"}]], "Input",
 CellChangeTimes->{{3.5124008703064637`*^9, 3.5124008720175095`*^9}}],

Cell["Kako praviti Tabele vrijednosti", "Subsection"],

Cell["\<\
Mozemo koristiti liste kao tabele vrijednosti.Mozemo kreirati tabele, na \
primjer, tako sto cemo evaluirati izraz za niz razlicitih vrijednosti \
parametara.\
\>", "Text"],

Cell["Ovo daje listu vrijednosti i^2, gdje i ide od 1 do 6", "Text"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"i", "^", "2"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "6"}], "}"}]}], "]"}]], "Input"],

Cell["Slicno za trigonometrijske funkcije", "Text"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"n", "/", "5"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell["Ovo nam daje numericke vrijednosti", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.19866933079506122`", ",", "0.3894183423086505`", ",", 
   "0.5646424733950354`", ",", "0.7173560908995228`"}], "}"}]], "Output"],

Cell["Takodjer mozemo napraviti listu formula", "Text",
 CellChangeTimes->{3.512400736039774*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "i"}], "+", 
    RowBox[{"2", "i"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell["\<\
Koristimo istu sistem iteratora kao kod funkcija Product i Sum\
\>", "Text"],

Cell[BoxData[
 RowBox[{"Product", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "i"}], "+", 
    RowBox[{"2", "i"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell["Ovo pravi listu korjena od 0 do 1 sa skokovima od 0.25", "Text"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1", ",", "0.25"}], "}"}]}], "]"}]], "Input"],

Cell["\<\
Mozemo izvoditi razne operacije na listama koje smo dobili iz Table\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"%", "^", "2"}], "+", "3"}]], "Input"],

Cell["Takodjer mozemo prikazati liste u tablularnoj formi", "Text"],

Cell[BoxData[
 RowBox[{"%", " ", "//", " ", "TableForm"}]], "Input"],

Cell["Takodjer mozemo praviti liste koje zavise od vise parametara", "Text"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "i"}], "+", 
    RowBox[{"y", "^", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "TableForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input"],

Cell["Ovo kreira listu koja sadrzi 4 kopije simbola x", "Text"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", "4", "}"}]}], "]"}]], "Input"],

Cell["\<\
Ovo daje listu cetiri pseudoproizvoljna broja (izmedju 0 i 1)\
\>", "Text"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Random", "[", "]"}], ",", 
   RowBox[{"{", "4", "}"}]}], "]"}]], "Input"],

Cell["Funkcije za generisanje listi", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", "imax", "}"}]}], "]"}], " ", "-", 
  StyleBox[" ", "Text"], 
  StyleBox[
   RowBox[{
   "daje", " ", "listu", " ", "imax", " ", "broja", " ", "vrijednosti", " ", 
    "od", " ", "f"}], "Text"]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "imax"}], "}"}]}], "]"}], " ", "-", " ", 
  StyleBox[
   RowBox[{
   "daje", " ", "listu", " ", "vrijednosti", " ", "f", " ", "gdje", " ", "i", 
    " ", "ide", " ", "od", " ", "1", " ", "do", " ", "imax"}], 
   "Text"]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "imin", ",", "imax"}], "}"}]}], "]"}], " ", "-", " ", 
  StyleBox[
   RowBox[{
   "daje", " ", "listu", " ", "vrijednosti", " ", "f", " ", "gdje", " ", "i", 
    " ", "ide", " ", "od", " ", "imin", " ", "do", " ", "imax"}], 
   "Text"]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "imin", ",", "imax", ",", "di"}], "}"}]}], "]"}], " ", 
  "-", 
  StyleBox[" ", "Text"], 
  StyleBox[
   RowBox[{
   "daje", " ", "listu", " ", "vrijednosti", " ", "f", " ", "gdje", " ", "i", 
    " ", "ide", " ", "od", " ", "imin", " ", "do", " ", "imax", " ", "sa", 
    " ", "skokovima", " ", "di"}], "Text"]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", " ", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "imin", ",", "imax"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "jmin", ",", "jmax"}], "}"}], ",", "..."}], "]"}], " ",
   "-", " ", 
  StyleBox[
   RowBox[{"multidimenzionalna", " ", "tabela"}], "Text"]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"TableForm", "[", "list", "]"}], " ", "-", " ", 
  StyleBox[
   RowBox[{"daje", " ", "listu", " ", "u", " ", "tabelarnoj", " ", "formi"}], 
   "Text"]}]], "Input"],

Cell["\<\

Kako dobiti neki konkretni element liste?\
\>", "Text",
 CellChangeTimes->{{3.512400971887202*^9, 3.5124009733816624`*^9}}],

Cell[BoxData[
 RowBox[{"m", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"i", "-", "j"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "2"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"m", "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input"],

Cell["Kako je i rezultat ovoga lista, nadjimo drugi element :", "Text"],

Cell[BoxData[
 RowBox[{"%", "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input"],

Cell["Ovo sve mozemo postici i na kraci nacin :", "Text"],

Cell[BoxData[
 RowBox[{"m", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2"}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"m", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TableForm", "[", "m", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Ekstrakcija elemenata iz listi", "Subtitle"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"t", "[", 
    RowBox[{"[", "i", "]"}], "]"}], "  ", "ili", "  ", 
   RowBox[{"Part", "[", 
    RowBox[{"t", ",", "i"}], "]"}]}], "  ", "-", " ", "i", "-", 
  RowBox[{"ta", " ", "podlista", " ", "liste", " ", "t"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"t", "[", 
     RowBox[{"[", 
      RowBox[{"{", 
       RowBox[{"i1", ",", "i2", ",", 
        RowBox[{"...", "."}]}], "}"}], "]"}], "]"}], "  ", "ili", "    ", 
    RowBox[{"Part", "[", 
     RowBox[{"t", ",", 
      RowBox[{"{", 
       RowBox[{"i1", ",", "i2", ",", "..."}], "}"}]}], "]"}]}], " ", "-", " ",
    
   RowBox[{"daje", " ", "listu", "  ", "i1"}], "-", "tih"}], ",", " ", 
  RowBox[{"i2", "-", "tih"}], ",", " ", 
  RowBox[{"...", " ", "dijelova", " ", "t"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"t", "[", 
    RowBox[{"[", 
     RowBox[{"i", ",", "j", ",", "..."}], "]"}], "]"}], " ", "ili", " ", 
   RowBox[{"Part", "[", 
    RowBox[{"t", ",", "i", ",", "j", ",", 
     RowBox[{"...", "."}]}], "]"}], " ", "daje", " ", "dio", " ", "t", " ", 
   "koji", " ", "odgovara", " ", 
   RowBox[{
    RowBox[{"t", "[", 
     RowBox[{"[", "i", "]"}], "]"}], "[", 
    RowBox[{"[", "j", "]"}], "]"}]}], "..."}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vektori i matrice", "Subtitle"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "Vektore", " ", "u", " ", "Mathematici", " ", "predstavljaju", " ", 
   "liste"}], ",", " ", 
  RowBox[{"a", " ", "matrice", " ", "liste", " ", 
   RowBox[{"listi", "."}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"m", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"c", ",", "d"}], "}"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"m", "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"m", "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"v", "=", 
  RowBox[{"{", 
   RowBox[{"x", ",", "y"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Ovo", " ", "je", " ", "vektor"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", " ", "v"}], "+", "q"}]], "Input"],

Cell[BoxData[
 RowBox[{"Elementi", " ", "se", " ", "dodaju", " ", "pojedinacno"}]], "Input"],

Cell[BoxData[
 RowBox[{"v", "+", 
  RowBox[{"{", 
   RowBox[{"xp", ",", "yp"}], "}"}], "+", 
  RowBox[{"{", 
   RowBox[{"xpp", ",", "ypp"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Ovo", " ", "je", " ", "skalarni", " ", "proizvod"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"x", ",", "y"}], "}"}], ".", 
  RowBox[{"{", 
   RowBox[{"xp", ",", "yp"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Proizvod", " ", "matrice", " ", "i", " ", "vektora"}]], "Input"],

Cell[BoxData[
 RowBox[{"m", ".", "v"}]], "Input"],

Cell[BoxData[
 RowBox[{"Matrice", " ", "i", " ", "matrice"}]], "Input"],

Cell[BoxData[
 RowBox[{"m", ".", "m"}]], "Input"],

Cell[BoxData[
 RowBox[{"v", ".", "m"}]], "Input"],

Cell[BoxData[
 RowBox[{"v", ".", "m", ".", "v"}]], "Input"],

Cell["\<\
Zbog nacina na koji Mathemaica radi sa vektorima, ne moramo razmisljati o \
vektorima po vrstama ili kolonama \
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Funkcije za vektore", "Subtitle"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{"f", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "n"}], "}"}]}], "]"}], "    ", "-", "  ", 
    RowBox[{
    "napravi", " ", "vektor", " ", "duzine", " ", "n", " ", "tako", " ", 
     "sto", " ", "izracunas", " ", "vrijednost", " ", "f", " ", "za", " ", 
     "i"}]}], "=", "1"}], ",", "2", ",", "3", ",", 
  RowBox[{"...", "."}], ",", "n"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Array", "[", 
   RowBox[{"a", ",", "n"}], "]"}], "   ", "-", " ", 
  RowBox[{
  "napravi", " ", "vektor", " ", "duzine", " ", "n", " ", "forme", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], ",", 
     RowBox[{"a", "[", "2", "]"}], ",", "..."}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Range", "[", "n", "]"}], "   ", "-", " ", 
  RowBox[{"napravi", " ", "listu", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", 
     RowBox[{"...", "."}], ",", "n"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Range", "[", 
   RowBox[{"n1", ",", "n2"}], "]"}], "   ", "-", " ", 
  RowBox[{"napravi", " ", "listu", " ", 
   RowBox[{"{", 
    RowBox[{"n1", ",", 
     RowBox[{"n1", "+", "1"}], ",", 
     RowBox[{"n1", "+", "2"}], ",", 
     RowBox[{"...", "."}], ",", 
     RowBox[{"n2", "-", "1"}], ",", "n2"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Range", "[", 
   RowBox[{"n1", ",", "n2", ",", "dn"}], "]"}], " ", "-", " ", 
  RowBox[{"napravi", " ", "listu", " ", 
   RowBox[{"{", 
    RowBox[{"n1", ",", 
     RowBox[{"n1", "+", "dn"}], ",", 
     RowBox[{"n1", "+", 
      RowBox[{"2", "dn"}]}], ",", 
     RowBox[{"...", "."}], ",", 
     RowBox[{"n2", "-", "dn"}], ",", "n2"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"list", "[", 
    RowBox[{"[", "i", "]"}], "]"}], " ", "ili", " ", 
   RowBox[{"Part", "[", 
    RowBox[{"list", ",", "i"}], "]"}]}], "   ", "-", " ", "i", "-", 
  RowBox[{"ti", " ", "element", " ", "vektora", " ", "list"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Length", "[", "list", "]"}], " ", "-", " ", 
  RowBox[{"broj", " ", "elemenata", " ", "u", " ", "listi"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ColumnForm", "[", "list", "]"}], "   ", "-", "  ", 
  RowBox[{
  "napravi", " ", "kolonski", " ", "vektor", " ", "od", " ", 
   "liste"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"c", " ", "v"}], " ", "-", " ", 
  RowBox[{"mnozenje", " ", "skalarom"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", ".", "b"}], " ", "-", " ", 
  RowBox[{"skalarni", " ", "produkt"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Cross", "[", 
   RowBox[{"a", ",", "b"}], "]"}], " ", "-", " ", 
  RowBox[{"vektorski", " ", "proizvod"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Norm", "[", "v", "]"}], " ", "-", " ", 
  RowBox[{"norma", " ", 
   RowBox[{"(", "intenzitet", ")"}], " ", "vektora"}]}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Funkcije za matrice", "Subtitle"],

Cell[BoxData[
 RowBox[{"s", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"i", "+", "j"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "3"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "s", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Ovo", " ", "je", " ", "zgodno", " ", "za", " ", "dokazivanje", " ", 
  "tvrdnji", " ", "gdje", " ", "radimo", " ", "s", " ", "proizvoljnim", " ", 
  "vektorima"}]], "Input"],

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{"a", ",", "4"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{"p", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "%", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"DiagonalMatrix", "[", 
  RowBox[{"{", 
   RowBox[{"a", ",", "b", ",", "c"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"8", "s"}]], "Input"],

Cell[BoxData[
 RowBox[{"q", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"i", "-", "j"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "3"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", ".", "q"}], "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"Inverse", "[", "q", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"MatrixPower", "[", 
  RowBox[{"q", ",", "3"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"q", ".", "q", ".", "q"}]], "Input"],

Cell[BoxData[
 RowBox[{"p", "=", 
  RowBox[{"(", GridBox[{
     {"1", "2", "3"},
     {
      RowBox[{"-", "1"}], "3", "2"},
     {"7", "8", "9"}
    }], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Det", "[", "p", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Tr", "[", "q", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Transpose", "[", "p", "]"}], "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"Eigenvalues", "[", "s", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Eigenvectors", "[", "s", "]"}]], "Input"]
}, Open  ]],

Cell["Jos neke funkcije vezane za liste", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Join", "MR"], 
   StyleBox["[", "MR"], 
   RowBox[{
    FormBox[
     SubscriptBox[
      StyleBox["\"\<list\>\"", "TI"], "1"],
     TraditionalForm], 
    StyleBox[",", "MR"], " ", 
    FormBox[
     SubscriptBox[
      StyleBox["\"\<list\>\"", "TI"], "2"],
     TraditionalForm], 
    StyleBox[",", "MR"], "\[Ellipsis]"}], 
   StyleBox["]", "MR"]}], " ", "sklapa", " ", "liste", " ", "u", " ", 
  RowBox[{"jednu", ".", 
   StyleBox["Join", "MR"]}], 
  StyleBox[" ", "MR"], "se", " ", "moze", " ", "koristiti", " ", "na", " ", 
  "bilo", " ", "kojem", " ", "skupu", " ", "izraza", " ", "koji", " ", 
  "imaju", " ", "istu", " ", 
  RowBox[{"glavu", "."}]}]], "Input",
 CellChangeTimes->{{3.5124011909026017`*^9, 3.512401198558914*^9}}],

Cell[BoxData[
 RowBox[{"Join", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Union", "MR"], 
   StyleBox["[", "MR"], 
   RowBox[{
    FormBox[
     SubscriptBox[
      StyleBox["\"\<list\>\"", "TI"], "1"],
     TraditionalForm], 
    StyleBox[",", "MR"], " ", 
    FormBox[
     SubscriptBox[
      StyleBox["\"\<list\>\"", "TI"], "2"],
     TraditionalForm], 
    StyleBox[",", "MR"], "\[Ellipsis]"}], 
   StyleBox["]", "MR"]}], " ", "daje", " ", "SORTIRANU", " ", "listu", " ", 
  "svih", " ", "razlicitih", " ", "elemenata", " ", "koji", " ", "se", " ", 
  "pojavljuju", " ", "u", "  ", "bilo", " ", "kojoj", " ", "od", " ", 
  RowBox[{
   FormBox[
    SubscriptBox[
     StyleBox["\"\<list\>\"", "TI"], 
     StyleBox["i", "TI"]],
    TraditionalForm], "."}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Intersection", "MR"], 
   StyleBox["[", "MR"], 
   RowBox[{
    FormBox[
     SubscriptBox[
      StyleBox["\"\<list\>\"", "TI"], "1"],
     TraditionalForm], 
    StyleBox[",", "MR"], " ", 
    FormBox[
     SubscriptBox[
      StyleBox["\"\<list\>\"", "TI"], "2"],
     TraditionalForm], 
    StyleBox[",", "MR"], "\[Ellipsis]"}], 
   StyleBox["]", "MR"]}], " ", "daje", " ", "sortiranu", " ", "listu", " ", 
  "elemenata", " ", "koji", " ", "su", " ", "zajednicki", " ", "svim", " ", 
  RowBox[{
   FormBox[
    SubscriptBox[
     StyleBox["\"\<list\>\"", "TI"], 
     StyleBox["i", "TI"]],
    TraditionalForm], "."}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Intersection", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Complement", "MR"], 
   StyleBox["[", "MR"], 
   RowBox[{
    StyleBox["universal", "MR"], 
    StyleBox[",", "MR"], " ", 
    FormBox[
     SubscriptBox[
      StyleBox["\"\<e\>\"", "TI"], "1"],
     TraditionalForm], 
    StyleBox[",", "MR"], " ", 
    FormBox[
     SubscriptBox[
      StyleBox["\"\<e\>\"", "TI"], "2"],
     TraditionalForm], 
    StyleBox[",", "MR"], "\[Ellipsis]"}], 
   StyleBox["]", "MR"]}], "daje", " ", "sve", " ", "elemente", " ", "iz", " ",
   
  StyleBox["universal", "MR"], 
  StyleBox[
   RowBox[{
    StyleBox[" ", "MR"], " "}]], "not", " ", "in", " ", "any", " ", "of", " ",
   "the", 
  RowBox[{
   FormBox[
    SubscriptBox[
     StyleBox["\"\<e\>\"", "TI"], 
     StyleBox["i", "TI"]],
    TraditionalForm], "."}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Complement", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8",
      ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Sort", "MR"], 
   StyleBox["[", "MR"], 
   StyleBox["list", "TI"], 
   StyleBox["]", "MR"]}], "sortira", " ", 
  RowBox[{"(", "slaze", ")"}], " ", "sve", " ", "elemente", " ", 
  StyleBox["list", "TI"], " ", "u", " ", "kanonicki", " ", 
  RowBox[{"red", "."}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Sort", "[", 
  RowBox[{"{", 
   RowBox[{
   "3", ",", "2", ",", "6", ",", "4", ",", "8", ",", "9", ",", "1", ",", "5", 
    ",", "7"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    StyleBox["Reverse", "MR"], 
    StyleBox["[", "MR"], 
    StyleBox["expr", "TI"], 
    StyleBox["]", "MR"]}], "obrce", " ", "redoslijed", " ", "elemenata", " ", 
   "u", " ", 
   RowBox[{
    StyleBox["expr", "TI"], "."}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Reverse", "[", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", 
    ",", "9"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Min", "MR"], 
   StyleBox["[", "MR"], "list", 
   StyleBox["]", "MR"]}], " ", "daje", " ", "minimalni", " ", "element", " ", 
  "liste", " ", 
  RowBox[{"list", "."}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Min", "[", 
  RowBox[{"{", 
   RowBox[{
   "3", ",", "2", ",", "6", ",", "4", ",", "8", ",", "9", ",", "1", ",", "5", 
    ",", "7"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Max", "MR"], 
   StyleBox["[", "MR"], "list", 
   StyleBox["]", "MR"]}], " ", "daje", " ", "maximalni", " ", "element", " ", 
  "liste", " ", 
  RowBox[{"list", "."}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Max", "[", 
  RowBox[{"{", 
   RowBox[{
   "3", ",", "2", ",", "6", ",", "4", ",", "8", ",", "9", ",", "1", ",", "5", 
    ",", "7"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Permutations", "MR"], 
   StyleBox["[", "MR"], 
   StyleBox["list", "TI"], 
   StyleBox["]", "MR"]}], "generise", " ", "listu", " ", "svih", " ", 
  "mogucih", " ", "permutacija", " ", "elemenata", " ", "u", " ", 
  RowBox[{
   StyleBox["list", "TI"], "."}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Permutations", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["Flatten", "MR"], 
   StyleBox["[", "MR"], 
   StyleBox["list", "TI"], 
   StyleBox["]", "MR"]}], "poravnava", " ", "sve", " ", "ubacene", " ", 
  "liste", " ", "u", " ", "jednoj", " ", "listi", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
    "stvara", " ", "jednodimenzionalnu", " ", "listu", " ", "od", " ", "lise",
      " ", "listi", " ", "listi", " ", "listi"}], "..."}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"{", "7", "}"}], ",", 
      RowBox[{"{", "8", "}"}], ",", 
      RowBox[{"{", "9", "}"}]}], " ", "}"}]}], " ", "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Sort", "[", "list", "]"}], " ", "-", " ", 
   RowBox[{
   "sortira", " ", "sve", " ", "elementa", " ", "liste", " ", "od", " ", 
    "najmanjeg", " ", "do", " ", "najveceg"}]}], ",", " ", 
  RowBox[{
  "ako", " ", "je", " ", "to", " ", "moguce", " ", "naravno"}]}]], "Input",
 CellChangeTimes->{{3.512401222631858*^9, 3.5124012527976637`*^9}, 
   3.5124012859908915`*^9}],

Cell[BoxData[
 RowBox[{"Sort", "[", 
  RowBox[{"{", 
   RowBox[{
   "2", ",", "1", ",", "3", ",", "9", ",", "8", ",", "7", ",", "4", ",", "6", 
    ",", "5"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.512401254780734*^9, 3.5124012718342333`*^9}}]
},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
CellGrouping->Manual,
WindowSize->{1904, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{9, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {
  "Praktikum 3 - 2. dio", Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {56.6875, 56.6875}}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
CharacterEncoding->"MacintoshAutomaticEncoding",
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (April 28, 2007)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 25, 0, 75, "Subtitle"],
Cell[596, 23, 213, 4, 37, "Text"],
Cell[812, 29, 39, 0, 37, "Text"],
Cell[854, 31, 106, 3, 57, "Input"],
Cell[963, 36, 51, 0, 37, "Text"],
Cell[1017, 38, 72, 2, 57, "Input"],
Cell[1092, 42, 51, 0, 37, "Text"],
Cell[1146, 44, 77, 2, 57, "Input"],
Cell[1226, 48, 79, 2, 57, "Input"],
Cell[1308, 52, 306, 5, 37, "Text"],
Cell[1617, 59, 167, 3, 37, "Text"],
Cell[1787, 64, 46, 1, 57, "Input"],
Cell[1836, 67, 120, 2, 57, "Input"],
Cell[1959, 71, 53, 0, 60, "Subsection"],
Cell[2015, 73, 182, 4, 33, "Text"],
Cell[2200, 79, 68, 0, 37, "Text"],
Cell[2271, 81, 154, 5, 57, "Input"],
Cell[2428, 88, 51, 0, 37, "Text"],
Cell[2482, 90, 196, 6, 57, "Input"],
Cell[2681, 98, 50, 0, 37, "Text"],
Cell[CellGroupData[{
Cell[2756, 102, 54, 1, 57, "Input"],
Cell[2813, 105, 185, 4, 52, "Output"],
Cell[3001, 111, 97, 1, 37, "Text"]
}, Open  ]],
Cell[3113, 115, 199, 7, 57, "Input"],
Cell[3315, 124, 86, 2, 37, "Text"],
Cell[3404, 128, 201, 7, 57, "Input"],
Cell[3608, 137, 70, 0, 37, "Text"],
Cell[3681, 139, 185, 5, 57, "Input"],
Cell[3869, 146, 91, 2, 37, "Text"],
Cell[3963, 150, 72, 2, 57, "Input"],
Cell[4038, 154, 67, 0, 37, "Text"],
Cell[4108, 156, 68, 1, 57, "Input"],
Cell[4179, 159, 76, 0, 37, "Text"],
Cell[4258, 161, 263, 9, 57, "Input"],
Cell[4524, 172, 58, 1, 57, "Input"],
Cell[4585, 175, 59, 1, 57, "Input"],
Cell[4647, 178, 63, 0, 37, "Text"],
Cell[4713, 180, 105, 3, 57, "Input"],
Cell[4821, 185, 85, 2, 37, "Text"],
Cell[4909, 189, 134, 4, 57, "Input"],
Cell[5046, 195, 51, 0, 60, "Subsection"],
Cell[5100, 197, 293, 9, 57, "Input"],
Cell[5396, 208, 344, 10, 57, "Input"],
Cell[5743, 220, 360, 10, 57, "Input"],
Cell[6106, 232, 436, 12, 57, "Input"],
Cell[6545, 246, 346, 10, 57, "Input"],
Cell[6894, 258, 197, 5, 57, "Input"],
Cell[7094, 265, 134, 4, 63, "Text"],
Cell[7231, 271, 242, 8, 57, "Input"],
Cell[7476, 281, 77, 2, 57, "Input"],
Cell[7556, 285, 71, 0, 37, "Text"],
Cell[7630, 287, 77, 2, 57, "Input"],
Cell[7710, 291, 57, 0, 37, "Text"],
Cell[7770, 293, 101, 3, 57, "Input"],
Cell[7874, 298, 129, 4, 57, "Input"],
Cell[8006, 304, 62, 1, 57, "Input"],
Cell[CellGroupData[{
Cell[8093, 309, 50, 0, 75, "Subtitle"],
Cell[8146, 311, 273, 7, 57, "Input"],
Cell[8422, 320, 546, 16, 57, "Input"],
Cell[8971, 338, 462, 13, 57, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9470, 356, 37, 0, 75, "Subtitle"],
Cell[9510, 358, 222, 6, 57, "Input"],
Cell[9735, 366, 198, 7, 57, "Input"],
Cell[9936, 375, 77, 2, 57, "Input"],
Cell[10016, 379, 59, 1, 57, "Input"],
Cell[10078, 382, 96, 3, 57, "Input"],
Cell[10177, 387, 67, 1, 57, "Input"],
Cell[10247, 390, 72, 2, 57, "Input"],
Cell[10322, 394, 92, 1, 57, "Input"],
Cell[10417, 397, 159, 5, 57, "Input"],
Cell[10579, 404, 86, 1, 57, "Input"],
Cell[10668, 407, 145, 5, 57, "Input"],
Cell[10816, 414, 88, 1, 57, "Input"],
Cell[10907, 417, 49, 1, 57, "Input"],
Cell[10959, 420, 71, 1, 57, "Input"],
Cell[11033, 423, 49, 1, 57, "Input"],
Cell[11085, 426, 49, 1, 57, "Input"],
Cell[11137, 429, 59, 1, 57, "Input"],
Cell[11199, 432, 134, 3, 37, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11370, 440, 39, 0, 75, "Subtitle"],
Cell[11412, 442, 446, 12, 57, "Input"],
Cell[11861, 456, 326, 9, 57, "Input"],
Cell[12190, 467, 238, 6, 57, "Input"],
Cell[12431, 475, 357, 10, 57, "Input"],
Cell[12791, 487, 391, 11, 57, "Input"],
Cell[13185, 500, 282, 7, 57, "Input"],
Cell[13470, 509, 153, 3, 57, "Input"],
Cell[13626, 514, 185, 5, 57, "Input"],
Cell[13814, 521, 119, 3, 57, "Input"],
Cell[13936, 526, 118, 3, 57, "Input"],
Cell[14057, 531, 153, 4, 57, "Input"],
Cell[14213, 537, 166, 4, 57, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14416, 546, 39, 0, 75, "Subtitle"],
Cell[14458, 548, 242, 8, 57, "Input"],
Cell[14703, 558, 63, 1, 57, "Input"],
Cell[14769, 561, 197, 3, 57, "Input"],
Cell[14969, 566, 81, 2, 57, "Input"],
Cell[15053, 570, 130, 4, 57, "Input"],
Cell[15186, 576, 63, 1, 57, "Input"],
Cell[15252, 579, 124, 3, 57, "Input"],
Cell[15379, 584, 44, 1, 57, "Input"],
Cell[15426, 587, 242, 8, 57, "Input"],
Cell[15671, 597, 82, 2, 57, "Input"],
Cell[15756, 601, 60, 1, 57, "Input"],
Cell[15819, 604, 87, 2, 57, "Input"],
Cell[15909, 608, 59, 1, 57, "Input"],
Cell[15971, 611, 172, 7, 112, "Input"],
Cell[16146, 620, 56, 1, 57, "Input"],
Cell[16205, 623, 55, 1, 57, "Input"],
Cell[16263, 626, 95, 2, 57, "Input"],
Cell[16361, 630, 64, 1, 57, "Input"],
Cell[16428, 633, 65, 1, 57, "Input"]
}, Open  ]],
Cell[16508, 637, 55, 0, 60, "Subsection"],
Cell[16566, 639, 784, 23, 57, "Input"],
Cell[17353, 664, 198, 6, 57, "Input"],
Cell[17554, 672, 746, 24, 57, "Input"],
Cell[18303, 698, 199, 6, 57, "Input"],
Cell[18505, 706, 682, 23, 57, "Input"],
Cell[19190, 731, 206, 6, 57, "Input"],
Cell[19399, 739, 811, 30, 57, "Input"],
Cell[20213, 771, 344, 10, 57, "Input"],
Cell[20560, 783, 320, 9, 57, "Input"],
Cell[20883, 794, 183, 5, 57, "Input"],
Cell[21069, 801, 292, 10, 57, "Input"],
Cell[21364, 813, 186, 5, 57, "Input"],
Cell[21553, 820, 227, 7, 57, "Input"],
Cell[21783, 829, 182, 5, 57, "Input"],
Cell[21968, 836, 227, 7, 57, "Input"],
Cell[22198, 845, 182, 5, 57, "Input"],
Cell[22383, 852, 318, 9, 57, "Input"],
Cell[22704, 863, 132, 3, 57, "Input"],
Cell[22839, 868, 445, 12, 57, "Input"],
Cell[23287, 882, 406, 12, 57, "Input"],
Cell[23696, 896, 418, 10, 57, "Input"],
Cell[24117, 908, 251, 6, 57, "Input"]
}
]
*)

(* End of internal cache information *)
