(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     76326,       4000]
NotebookOptionsPosition[     70187,       3807]
NotebookOutlinePosition[     71370,       3849]
CellTagsIndexPosition[     71327,       3846]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Crtanje i kombinovanje grafova", "Title"],

Cell[CellGroupData[{

Cell["Crtanje grafova funkcija", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Plot",
  FontFamily->"Courier"],
 " i neke opcije"
}], "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Neke smo vec crtali, pa cemo sada pogledati i koristenje nekih opcija\
\>", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Clear[f,g,h]
f[x_]=4x^3+6x^2-9x+2;

Plot[f[x],{x,-3,2},
  PlotStyle->{{Thickness[0.008],Dashing[{0.03,0.02}]}}]\
\>", "Input",
 CellChangeTimes->{3.512404210660703*^9},
 AspectRatioFixed->True],

Cell["Moze se istovremeno crtati i nekoliko funkcija", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Plot[{f[x],f'[x],f''[x]},{x,-3,3},
  PlotStyle->{{Thickness[0.008],GrayLevel[0.25]},
    {Thickness[0.004],Dashing[{0.03,0.02}]},{Hue[0.8]}}]\
\>", "Input",
 CellChangeTimes->{3.5124042165731134`*^9},
 AspectRatioFixed->True],

Cell["Druga mogucnost je ova:", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
graff=Plot[f[x],{x,-3,3},
   PlotStyle->{{Thickness[0.008],GrayLevel[0.25]}},
   DisplayFunction->Identity]
   
graff'=Plot[f'[x],{x,-3,3},
   PlotStyle->{{Thickness[0.004], Dashing[{0.03,0.02}]}},
   DisplayFunction->Identity]
   
graff''=Plot[f''[x],{x,-3,3},
   PlotStyle->{{Hue[0.8]}}, DisplayFunction->Identity]
\
\>", "Input",
 CellChangeTimes->{{3.512404229926737*^9, 3.5124042342167444`*^9}},
 AspectRatioFixed->True],

Cell["\<\
Show[graff,graff',graff'',
     DisplayFunction->$DisplayFunction]\
\>", "Input",
 CellChangeTimes->{3.5124042449027634`*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "Probajte ovo ",
 StyleBox["bez",
  FontWeight->"Bold"],
 " svih onih viti",
 "c",
 "astih zagrada u ",
 StyleBox["PlotStyle",
  FontFamily->"Courier"],
 " za ",
 StyleBox["graff'",
  FontFamily->"Courier"],
 " ."
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["ParametricPlot",
  FontFamily->"Courier"],
 " "
}], "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->True,
 AspectRatioFixed->True],

Cell["Nacrtajmo sada kruznicu", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["ParametricPlot[{Cos[t],Sin[t]},{t,0,2Pi}]", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Vi",
 StyleBox["se",
  CharacterEncoding->"Custom"],
 " slicica u jednoj"
}], "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Zelimo li dobiti naprimjer ovakvu slicicu", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.47619 0.0238095 0.47619 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
% Start of sub-graphic
p
0.0238095 0.0238095 0.477324 0.477324 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0484201 0.0359356 0.272727 0.227273 [
[(5)] .2281 .27273 0 2 Msboxa
[(10)] .40778 .27273 0 2 Msboxa
[(15)] .58745 .27273 0 2 Msboxa
[(20)] .76713 .27273 0 2 Msboxa
[(25)] .94681 .27273 0 2 Msboxa
[(PRODULJENA CIKLOIDA)] .5 1 0 -2 Msboxa
[(-1)] .03592 .04545 1 0 Msboxa
[(1)] .03592 .5 1 0 Msboxa
[(2)] .03592 .72727 1 0 Msboxa
[(3)] .03592 .95455 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
.002 w
.2281 .27273 m
.2281 .27898 L
s
P
[(5)] .2281 .27273 0 2 Mshowa
p
.002 w
.40778 .27273 m
.40778 .27898 L
s
P
[(10)] .40778 .27273 0 2 Mshowa
p
.002 w
.58745 .27273 m
.58745 .27898 L
s
P
[(15)] .58745 .27273 0 2 Mshowa
p
.002 w
.76713 .27273 m
.76713 .27898 L
s
P
[(20)] .76713 .27273 0 2 Mshowa
p
.002 w
.94681 .27273 m
.94681 .27898 L
s
P
[(25)] .94681 .27273 0 2 Mshowa
p
.001 w
.08436 .27273 m
.08436 .27648 L
s
P
p
.001 w
.12029 .27273 m
.12029 .27648 L
s
P
p
.001 w
.15623 .27273 m
.15623 .27648 L
s
P
p
.001 w
.19216 .27273 m
.19216 .27648 L
s
P
p
.001 w
.26403 .27273 m
.26403 .27648 L
s
P
p
.001 w
.29997 .27273 m
.29997 .27648 L
s
P
p
.001 w
.3359 .27273 m
.3359 .27648 L
s
P
p
.001 w
.37184 .27273 m
.37184 .27648 L
s
P
p
.001 w
.44371 .27273 m
.44371 .27648 L
s
P
p
.001 w
.47965 .27273 m
.47965 .27648 L
s
P
p
.001 w
.51558 .27273 m
.51558 .27648 L
s
P
p
.001 w
.55152 .27273 m
.55152 .27648 L
s
P
p
.001 w
.62339 .27273 m
.62339 .27648 L
s
P
p
.001 w
.65933 .27273 m
.65933 .27648 L
s
P
p
.001 w
.69526 .27273 m
.69526 .27648 L
s
P
p
.001 w
.7312 .27273 m
.7312 .27648 L
s
P
p
.001 w
.80307 .27273 m
.80307 .27648 L
s
P
p
.001 w
.839 .27273 m
.839 .27648 L
s
P
p
.001 w
.87494 .27273 m
.87494 .27648 L
s
P
p
.001 w
.91087 .27273 m
.91087 .27648 L
s
P
p
.001 w
.01248 .27273 m
.01248 .27648 L
s
P
p
.001 w
.98275 .27273 m
.98275 .27648 L
s
P
p
.002 w
0 .27273 m
1 .27273 L
s
P
[(PRODULJENA CIKLOIDA)] .5 1 0 -2 Mshowa
p
.002 w
.04842 .04545 m
.05467 .04545 L
s
P
[(-1)] .03592 .04545 1 0 Mshowa
p
.002 w
.04842 .5 m
.05467 .5 L
s
P
[(1)] .03592 .5 1 0 Mshowa
p
.002 w
.04842 .72727 m
.05467 .72727 L
s
P
[(2)] .03592 .72727 1 0 Mshowa
p
.002 w
.04842 .95455 m
.05467 .95455 L
s
P
[(3)] .03592 .95455 1 0 Mshowa
p
.001 w
.04842 .09091 m
.05217 .09091 L
s
P
p
.001 w
.04842 .13636 m
.05217 .13636 L
s
P
p
.001 w
.04842 .18182 m
.05217 .18182 L
s
P
p
.001 w
.04842 .22727 m
.05217 .22727 L
s
P
p
.001 w
.04842 .31818 m
.05217 .31818 L
s
P
p
.001 w
.04842 .36364 m
.05217 .36364 L
s
P
p
.001 w
.04842 .40909 m
.05217 .40909 L
s
P
p
.001 w
.04842 .45455 m
.05217 .45455 L
s
P
p
.001 w
.04842 .54545 m
.05217 .54545 L
s
P
p
.001 w
.04842 .59091 m
.05217 .59091 L
s
P
p
.001 w
.04842 .63636 m
.05217 .63636 L
s
P
p
.001 w
.04842 .68182 m
.05217 .68182 L
s
P
p
.001 w
.04842 .77273 m
.05217 .77273 L
s
P
p
.001 w
.04842 .81818 m
.05217 .81818 L
s
P
p
.001 w
.04842 .86364 m
.05217 .86364 L
s
P
p
.001 w
.04842 .90909 m
.05217 .90909 L
s
P
p
.002 w
.04842 0 m
.04842 1 L
s
P
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
.004 w
.04842 .04545 m
.04724 .0457 L
.04607 .04643 L
.0449 .04764 L
.04374 .04934 L
.04259 .05153 L
.04145 .05419 L
.03923 .06094 L
.03708 .06958 L
.03503 .08005 L
.0331 .09233 L
.0313 .10635 L
.02819 .13938 L
.0269 .15825 L
.02582 .17859 L
.02496 .2003 L
.02461 .21164 L
.02433 .22329 L
.0241 .23524 L
.02394 .24747 L
.02384 .25997 L
.02381 .27273 L
.02384 .28573 L
.02394 .29896 L
.02411 .31241 L
.02436 .32605 L
.02505 .35389 L
.02604 .38235 L
.02891 .44067 L
.033 .5 L
.03832 .55933 L
.04485 .61765 L
.06144 .72727 L
.07137 .77671 L
.08227 .82141 L
.09404 .86062 L
.10656 .89365 L
.1197 .91995 L
.12645 .93042 L
.13331 .93906 L
.14024 .94581 L
.14373 .94847 L
.14723 .95066 L
.15074 .95236 L
.15426 .95357 L
.15779 .9543 L
.16132 .95455 L
.16484 .9543 L
.16837 .95357 L
.17189 .95236 L
Mistroke
.1754 .95066 L
.18239 .94581 L
.18932 .93906 L
.19618 .93042 L
.20293 .91995 L
.21607 .89365 L
.22859 .86062 L
.24036 .82141 L
.26119 .72727 L
.27005 .67395 L
.27778 .61765 L
.28431 .55933 L
.28963 .5 L
.29372 .44067 L
.29531 .41132 L
.29659 .38235 L
.29758 .35389 L
.29796 .33989 L
.29827 .32605 L
.29852 .31241 L
.29869 .29896 L
.29879 .28573 L
.29882 .27273 L
.29879 .25997 L
.29869 .24747 L
.29853 .23524 L
.2983 .22329 L
.29767 .2003 L
.29727 .18928 L
.29681 .17859 L
.29573 .15825 L
.29444 .13938 L
.29297 .12206 L
.29133 .10635 L
.28953 .09233 L
.2876 .08005 L
.28555 .06958 L
.2834 .06094 L
.2823 .05733 L
.28118 .05419 L
.28004 .05153 L
.27889 .04934 L
.27773 .04764 L
.27656 .04643 L
.27539 .0457 L
.27421 .04545 L
.27303 .0457 L
.27186 .04643 L
.27069 .04764 L
.26953 .04934 L
Mistroke
.26838 .05153 L
.26724 .05419 L
.26502 .06094 L
.26287 .06958 L
.26082 .08005 L
.25889 .09233 L
.25709 .10635 L
.25545 .12206 L
.25398 .13938 L
.25269 .15825 L
.25161 .17859 L
.25115 .18928 L
.25075 .2003 L
.2504 .21164 L
.25012 .22329 L
.24989 .23524 L
.24973 .24747 L
.24963 .25997 L
.2496 .27273 L
.24963 .28573 L
.24973 .29896 L
.2499 .31241 L
.25015 .32605 L
.25084 .35389 L
.25183 .38235 L
.2547 .44067 L
.25879 .5 L
.26411 .55933 L
.27064 .61765 L
.27837 .67395 L
.28723 .72727 L
.30806 .82141 L
.31983 .86062 L
.33235 .89365 L
.33885 .90767 L
.34549 .91995 L
.35224 .93042 L
.3591 .93906 L
.36603 .94581 L
.36952 .94847 L
.37302 .95066 L
.37653 .95236 L
.38005 .95357 L
.38358 .9543 L
.38711 .95455 L
.39063 .9543 L
.39416 .95357 L
.39768 .95236 L
.40119 .95066 L
.40818 .94581 L
Mistroke
.41511 .93906 L
.42197 .93042 L
.42872 .91995 L
.44186 .89365 L
.45438 .86062 L
.46615 .82141 L
.47705 .77671 L
.48698 .72727 L
.50357 .61765 L
.5101 .55933 L
.51542 .5 L
.51951 .44067 L
.5211 .41132 L
.52238 .38235 L
.52337 .35389 L
.52406 .32605 L
.52431 .31241 L
.52448 .29896 L
.52458 .28573 L
.52461 .27273 L
.52458 .25997 L
.52448 .24747 L
.52432 .23524 L
.52409 .22329 L
.52346 .2003 L
.52306 .18928 L
.5226 .17859 L
.52023 .13938 L
.51876 .12206 L
.51712 .10635 L
.51532 .09233 L
.51339 .08005 L
.51134 .06958 L
.50919 .06094 L
.50809 .05733 L
.50697 .05419 L
.50583 .05153 L
.50468 .04934 L
.50352 .04764 L
.50235 .04643 L
.50118 .0457 L
.5 .04545 L
.49882 .0457 L
.49765 .04643 L
.49648 .04764 L
.49532 .04934 L
.49417 .05153 L
.49303 .05419 L
.49081 .06094 L
.48866 .06958 L
Mistroke
.48661 .08005 L
.48468 .09233 L
.48288 .10635 L
.48124 .12206 L
.47977 .13938 L
.47848 .15825 L
.4774 .17859 L
.47694 .18928 L
.47654 .2003 L
.47619 .21164 L
.47591 .22329 L
.47568 .23524 L
.47552 .24747 L
.47542 .25997 L
.47539 .27273 L
.47542 .28573 L
.47552 .29896 L
.47569 .31241 L
.47594 .32605 L
.47663 .35389 L
.47762 .38235 L
.48049 .44067 L
.48458 .5 L
.4899 .55933 L
.49643 .61765 L
.50416 .67395 L
.51302 .72727 L
.53385 .82141 L
.54562 .86062 L
.55814 .89365 L
.56464 .90767 L
.57128 .91995 L
.57803 .93042 L
.58489 .93906 L
.59182 .94581 L
.59531 .94847 L
.59881 .95066 L
.60232 .95236 L
.60584 .95357 L
.60937 .9543 L
.61289 .95455 L
.61642 .9543 L
.61995 .95357 L
.62347 .95236 L
.62698 .95066 L
.63397 .94581 L
.6409 .93906 L
.64776 .93042 L
.65451 .91995 L
.66765 .89365 L
Mistroke
.68017 .86062 L
.69194 .82141 L
.70284 .77671 L
.71277 .72727 L
.72163 .67395 L
.72936 .61765 L
.73589 .55933 L
.74121 .5 L
.7453 .44067 L
.74817 .38235 L
.74916 .35389 L
.74954 .33989 L
.74985 .32605 L
.7501 .31241 L
.75027 .29896 L
.75037 .28573 L
.7504 .27273 L
.75037 .25997 L
.75027 .24747 L
.75011 .23524 L
.74988 .22329 L
.74925 .2003 L
.74885 .18928 L
.74839 .17859 L
.74602 .13938 L
.74455 .12206 L
.74291 .10635 L
.74111 .09233 L
.73918 .08005 L
.73713 .06958 L
.73498 .06094 L
.73388 .05733 L
.73276 .05419 L
.73162 .05153 L
.73047 .04934 L
.72931 .04764 L
.72814 .04643 L
.72697 .0457 L
.72579 .04545 L
.72461 .0457 L
.72344 .04643 L
.72227 .04764 L
.72111 .04934 L
.71882 .05419 L
.7177 .05733 L
.7166 .06094 L
.7124 .08005 L
.71047 .09233 L
.70867 .10635 L
.70703 .12206 L
Mistroke
.70556 .13938 L
.70427 .15825 L
.70319 .17859 L
.70273 .18928 L
.70233 .2003 L
.70198 .21164 L
.7017 .22329 L
.70147 .23524 L
.70131 .24747 L
.70121 .25997 L
.70118 .27273 L
.70121 .28573 L
.70131 .29896 L
.70148 .31241 L
.70173 .32605 L
.70242 .35389 L
.70341 .38235 L
.70628 .44067 L
.71037 .5 L
.71569 .55933 L
.72222 .61765 L
.72995 .67395 L
.73881 .72727 L
.74874 .77671 L
.75964 .82141 L
.77141 .86062 L
.78393 .89365 L
.79043 .90767 L
.79707 .91995 L
.80382 .93042 L
.81068 .93906 L
.81761 .94581 L
.8211 .94847 L
.8246 .95066 L
.82811 .95236 L
.83163 .95357 L
.83516 .9543 L
.83868 .95455 L
.84221 .9543 L
.84574 .95357 L
.84926 .95236 L
.85277 .95066 L
.85976 .94581 L
.86669 .93906 L
.87355 .93042 L
.8803 .91995 L
.89344 .89365 L
.90596 .86062 L
.91773 .82141 L
.92863 .77671 L
Mistroke
.93856 .72727 L
.94742 .67395 L
.95515 .61765 L
.96168 .55933 L
.967 .5 L
.97109 .44067 L
.97396 .38235 L
.97495 .35389 L
.97533 .33989 L
.97564 .32605 L
.97589 .31241 L
.97606 .29896 L
.97616 .28573 L
.97619 .27273 L
.97616 .25997 L
.97606 .24747 L
.9759 .23524 L
.97567 .22329 L
.97504 .2003 L
.97464 .18928 L
.97418 .17859 L
.9731 .15825 L
.97181 .13938 L
.97034 .12206 L
.9687 .10635 L
.9669 .09233 L
.96497 .08005 L
.96292 .06958 L
.96077 .06094 L
.95967 .05733 L
.95855 .05419 L
.95741 .05153 L
.95626 .04934 L
.9551 .04764 L
.95393 .04643 L
.95276 .0457 L
.95158 .04545 L
Mfstroke
P
P
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.522676 0.0238095 0.97619 0.477324 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.215666 0.0226266 0.471698 0.0471698 [
[(10)] .44193 .4717 0 2 Msboxa
[(20)] .6682 .4717 0 2 Msboxa
[(30)] .89446 .4717 0 2 Msboxa
[(PRODULJENA CIKLOIDA)] .5 1 0 -2 Msboxa
[(-10)] .20317 0 1 0 Msboxa
[(-5)] .20317 .23585 1 0 Msboxa
[(5)] .20317 .70755 1 0 Msboxa
[(10)] .20317 .9434 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
.002 w
.44193 .4717 m
.44193 .47795 L
s
P
[(10)] .44193 .4717 0 2 Mshowa
p
.002 w
.6682 .4717 m
.6682 .47795 L
s
P
[(20)] .6682 .4717 0 2 Mshowa
p
.002 w
.89446 .4717 m
.89446 .47795 L
s
P
[(30)] .89446 .4717 0 2 Mshowa
p
.001 w
.03465 .4717 m
.03465 .47545 L
s
P
p
.001 w
.07991 .4717 m
.07991 .47545 L
s
P
p
.001 w
.12516 .4717 m
.12516 .47545 L
s
P
p
.001 w
.17041 .4717 m
.17041 .47545 L
s
P
p
.001 w
.26092 .4717 m
.26092 .47545 L
s
P
p
.001 w
.30617 .4717 m
.30617 .47545 L
s
P
p
.001 w
.35143 .4717 m
.35143 .47545 L
s
P
p
.001 w
.39668 .4717 m
.39668 .47545 L
s
P
p
.001 w
.48718 .4717 m
.48718 .47545 L
s
P
p
.001 w
.53244 .4717 m
.53244 .47545 L
s
P
p
.001 w
.57769 .4717 m
.57769 .47545 L
s
P
p
.001 w
.62294 .4717 m
.62294 .47545 L
s
P
p
.001 w
.71345 .4717 m
.71345 .47545 L
s
P
p
.001 w
.7587 .4717 m
.7587 .47545 L
s
P
p
.001 w
.80396 .4717 m
.80396 .47545 L
s
P
p
.001 w
.84921 .4717 m
.84921 .47545 L
s
P
p
.001 w
.93972 .4717 m
.93972 .47545 L
s
P
p
.001 w
.98497 .4717 m
.98497 .47545 L
s
P
p
.002 w
0 .4717 m
1 .4717 L
s
P
[(PRODULJENA CIKLOIDA)] .5 1 0 -2 Mshowa
p
.002 w
.21567 0 m
.22192 0 L
s
P
[(-10)] .20317 0 1 0 Mshowa
p
.002 w
.21567 .23585 m
.22192 .23585 L
s
P
[(-5)] .20317 .23585 1 0 Mshowa
p
.002 w
.21567 .70755 m
.22192 .70755 L
s
P
[(5)] .20317 .70755 1 0 Mshowa
p
.002 w
.21567 .9434 m
.22192 .9434 L
s
P
[(10)] .20317 .9434 1 0 Mshowa
p
.001 w
.21567 .04717 m
.21942 .04717 L
s
P
p
.001 w
.21567 .09434 m
.21942 .09434 L
s
P
p
.001 w
.21567 .14151 m
.21942 .14151 L
s
P
p
.001 w
.21567 .18868 m
.21942 .18868 L
s
P
p
.001 w
.21567 .28302 m
.21942 .28302 L
s
P
p
.001 w
.21567 .33019 m
.21942 .33019 L
s
P
p
.001 w
.21567 .37736 m
.21942 .37736 L
s
P
p
.001 w
.21567 .42453 m
.21942 .42453 L
s
P
p
.001 w
.21567 .51887 m
.21942 .51887 L
s
P
p
.001 w
.21567 .56604 m
.21942 .56604 L
s
P
p
.001 w
.21567 .61321 m
.21942 .61321 L
s
P
p
.001 w
.21567 .66038 m
.21942 .66038 L
s
P
p
.001 w
.21567 .75472 m
.21942 .75472 L
s
P
p
.001 w
.21567 .80189 m
.21942 .80189 L
s
P
p
.001 w
.21567 .84906 m
.21942 .84906 L
s
P
p
.001 w
.21567 .89623 m
.21942 .89623 L
s
P
p
.001 w
.21567 .99057 m
.21942 .99057 L
s
P
p
.002 w
.21567 0 m
.21567 1 L
s
P
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
.004 w
.21567 .04717 m
.209 .04742 L
.20235 .04818 L
.19571 .04944 L
.18909 .05121 L
.18251 .05347 L
.17597 .05623 L
.16303 .06324 L
.15034 .0722 L
.13796 .08308 L
.11438 .11037 L
.09273 .14464 L
.07344 .18533 L
.05689 .23172 L
.04341 .28302 L
.03791 .31024 L
.03328 .33836 L
.02954 .36725 L
.02802 .38194 L
.02673 .39678 L
.02567 .41176 L
.02485 .42684 L
.02426 .44203 L
.02392 .4573 L
.02381 .47263 L
.02394 .48802 L
.02432 .50343 L
.02494 .51887 L
.0258 .5343 L
.02691 .54972 L
.02984 .58044 L
.03373 .61089 L
.03857 .64095 L
.05105 .69938 L
.0671 .75472 L
.08651 .80602 L
.10898 .85241 L
.1342 .89309 L
.16177 .92737 L
.19128 .95466 L
.20661 .96553 L
.22226 .97449 L
.23816 .9815 L
.24619 .98427 L
.25425 .98653 L
.26235 .98829 L
.27047 .98956 L
.27861 .99031 L
.28675 .99057 L
.29489 .99031 L
Mistroke
.30303 .98956 L
.31115 .98829 L
.31924 .98653 L
.33533 .9815 L
.35123 .97449 L
.36688 .96553 L
.38222 .95466 L
.41173 .92737 L
.4393 .89309 L
.46451 .85241 L
.48699 .80602 L
.5064 .75472 L
.52245 .69938 L
.52914 .67049 L
.53492 .64095 L
.53977 .61089 L
.54366 .58044 L
.54659 .54972 L
.5477 .5343 L
.54856 .51887 L
.54918 .50343 L
.54955 .48802 L
.54969 .47263 L
.54958 .4573 L
.54924 .44203 L
.54865 .42684 L
.54783 .41176 L
.54677 .39678 L
.54395 .36725 L
.54022 .33836 L
.53559 .31024 L
.53009 .28302 L
.51661 .23172 L
.50006 .18533 L
.48077 .14464 L
.45912 .11037 L
.44754 .09581 L
.43554 .08308 L
.42316 .0722 L
.41047 .06324 L
.39753 .05623 L
.39099 .05347 L
.3844 .05121 L
.37779 .04944 L
.37115 .04818 L
.3645 .04742 L
.35783 .04717 L
.35117 .04742 L
.34452 .04818 L
.33788 .04944 L
Mistroke
.33126 .05121 L
.31813 .05623 L
.30519 .06324 L
.29251 .0722 L
.28013 .08308 L
.25655 .11037 L
.2349 .14464 L
.21561 .18533 L
.19906 .23172 L
.19191 .25681 L
.18558 .28302 L
.18008 .31024 L
.17545 .33836 L
.17171 .36725 L
.17019 .38194 L
.16889 .39678 L
.16784 .41176 L
.16701 .42684 L
.16643 .44203 L
.16608 .4573 L
.16598 .47263 L
.16611 .48802 L
.16649 .50343 L
.16711 .51887 L
.16907 .54972 L
.17042 .5651 L
.17201 .58044 L
.1759 .61089 L
.18074 .64095 L
.19322 .69938 L
.20927 .75472 L
.22867 .80602 L
.25115 .85241 L
.27637 .89309 L
.30394 .92737 L
.31848 .94192 L
.33344 .95466 L
.34878 .96553 L
.36443 .97449 L
.38033 .9815 L
.38836 .98427 L
.39642 .98653 L
.40452 .98829 L
.41264 .98956 L
.42077 .99031 L
.42892 .99057 L
.43706 .99031 L
.4452 .98956 L
.45332 .98829 L
.46141 .98653 L
Mistroke
.4775 .9815 L
.4934 .97449 L
.50905 .96553 L
.52439 .95466 L
.5539 .92737 L
.58147 .89309 L
.60668 .85241 L
.62916 .80602 L
.64856 .75472 L
.66462 .69938 L
.67131 .67049 L
.67709 .64095 L
.68193 .61089 L
.68583 .58044 L
.68741 .5651 L
.68876 .54972 L
.68986 .5343 L
.69072 .51887 L
.69134 .50343 L
.69172 .48802 L
.69186 .47263 L
.69175 .4573 L
.6914 .44203 L
.69082 .42684 L
.69 .41176 L
.68894 .39678 L
.68612 .36725 L
.68239 .33836 L
.67776 .31024 L
.67226 .28302 L
.65878 .23172 L
.64222 .18533 L
.62293 .14464 L
.60129 .11037 L
.58971 .09581 L
.5777 .08308 L
.56533 .0722 L
.55264 .06324 L
.5397 .05623 L
.53316 .05347 L
.52657 .05121 L
.51996 .04944 L
.51332 .04818 L
.50666 .04742 L
.5 .04717 L
.49334 .04742 L
.48668 .04818 L
.48004 .04944 L
.47343 .05121 L
.46684 .05347 L
Mistroke
.4603 .05623 L
.44736 .06324 L
.43467 .0722 L
.4223 .08308 L
.39871 .11037 L
.37707 .14464 L
.35778 .18533 L
.34122 .23172 L
.33408 .25681 L
.32774 .28302 L
.32224 .31024 L
.31761 .33836 L
.31388 .36725 L
.31235 .38194 L
.31106 .39678 L
.31 .41176 L
.30918 .42684 L
.3086 .44203 L
.30825 .4573 L
.30814 .47263 L
.30828 .48802 L
.30866 .50343 L
.30928 .51887 L
.31014 .5343 L
.31124 .54972 L
.31417 .58044 L
.31807 .61089 L
.32291 .64095 L
.33538 .69938 L
.35144 .75472 L
.37084 .80602 L
.39332 .85241 L
.41853 .89309 L
.4461 .92737 L
.46064 .94192 L
.47561 .95466 L
.49095 .96553 L
.5066 .97449 L
.5225 .9815 L
.53052 .98427 L
.53859 .98653 L
.54668 .98829 L
.5548 .98956 L
.56294 .99031 L
.57108 .99057 L
.57923 .99031 L
.58736 .98956 L
.59548 .98829 L
.60358 .98653 L
.61967 .9815 L
Mistroke
.63557 .97449 L
.65122 .96553 L
.66656 .95466 L
.69606 .92737 L
.72363 .89309 L
.74885 .85241 L
.77133 .80602 L
.79073 .75472 L
.80678 .69938 L
.81348 .67049 L
.81926 .64095 L
.8241 .61089 L
.82799 .58044 L
.82958 .5651 L
.83093 .54972 L
.83203 .5343 L
.83289 .51887 L
.83351 .50343 L
.83389 .48802 L
.83402 .47263 L
.83392 .4573 L
.83357 .44203 L
.83299 .42684 L
.83111 .39678 L
.82981 .38194 L
.82829 .36725 L
.82455 .33836 L
.81992 .31024 L
.81442 .28302 L
.80094 .23172 L
.78439 .18533 L
.7651 .14464 L
.74345 .11037 L
.73188 .09581 L
.71987 .08308 L
.70749 .0722 L
.69481 .06324 L
.68187 .05623 L
.67532 .05347 L
.66874 .05121 L
.66212 .04944 L
.65548 .04818 L
.64883 .04742 L
.64217 .04717 L
.6355 .04742 L
.62885 .04818 L
.62221 .04944 L
.6156 .05121 L
.60247 .05623 L
.58953 .06324 L
Mistroke
.57684 .0722 L
.56446 .08308 L
.54088 .11037 L
.51923 .14464 L
.49994 .18533 L
.48339 .23172 L
.47625 .25681 L
.46991 .28302 L
.46441 .31024 L
.45978 .33836 L
.45605 .36725 L
.45452 .38194 L
.45323 .39678 L
.45217 .41176 L
.45135 .42684 L
.45076 .44203 L
.45042 .4573 L
.45031 .47263 L
.45045 .48802 L
.45082 .50343 L
.45144 .51887 L
.45341 .54972 L
.45475 .5651 L
.45634 .58044 L
.46508 .64095 L
.47086 .67049 L
.47755 .69938 L
.4936 .75472 L
.51301 .80602 L
.53549 .85241 L
.5607 .89309 L
.58827 .92737 L
.60281 .94192 L
.61778 .95466 L
.63312 .96553 L
.64877 .97449 L
.66467 .9815 L
.67269 .98427 L
.68076 .98653 L
.68885 .98829 L
.69697 .98956 L
.70511 .99031 L
.71325 .99057 L
.72139 .99031 L
.72953 .98956 L
.73765 .98829 L
.74575 .98653 L
.76184 .9815 L
.77774 .97449 L
.79339 .96553 L
Mistroke
.80872 .95466 L
.83823 .92737 L
.8658 .89309 L
.89102 .85241 L
.91349 .80602 L
.9329 .75472 L
.94895 .69938 L
.95565 .67049 L
.96143 .64095 L
.96627 .61089 L
.97016 .58044 L
.97175 .5651 L
.97309 .54972 L
.9742 .5343 L
.97506 .51887 L
.97568 .50343 L
.97606 .48802 L
.97619 .47263 L
.97608 .4573 L
.97574 .44203 L
.97515 .42684 L
.97327 .39678 L
.97198 .38194 L
.97046 .36725 L
.96672 .33836 L
.96209 .31024 L
.95659 .28302 L
.94311 .23172 L
.92656 .18533 L
.90727 .14464 L
.88562 .11037 L
.87404 .09581 L
.86204 .08308 L
.84966 .0722 L
.83697 .06324 L
.82403 .05623 L
.81749 .05347 L
.81091 .05121 L
.80429 .04944 L
.79765 .04818 L
.791 .04742 L
.78433 .04717 L
Mfstroke
P
P
MathSubEnd
P
% End of sub-graphic
P
p
% Start of sub-graphic
p
0.0238095 0.522676 0.477324 0.97619 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.037894 0.272727 0.227273 [
[(5)] .21328 .27273 0 2 Msboxa
[(10)] .40275 .27273 0 2 Msboxa
[(15)] .59222 .27273 0 2 Msboxa
[(20)] .78169 .27273 0 2 Msboxa
[(25)] .97116 .27273 0 2 Msboxa
[(KRATKA CIKLOIDA)] .5 1 0 -2 Msboxa
[(-1)] .01131 .04545 1 0 Msboxa
[(1)] .01131 .5 1 0 Msboxa
[(2)] .01131 .72727 1 0 Msboxa
[(3)] .01131 .95455 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
.002 w
.21328 .27273 m
.21328 .27898 L
s
P
[(5)] .21328 .27273 0 2 Mshowa
p
.002 w
.40275 .27273 m
.40275 .27898 L
s
P
[(10)] .40275 .27273 0 2 Mshowa
p
.002 w
.59222 .27273 m
.59222 .27898 L
s
P
[(15)] .59222 .27273 0 2 Mshowa
p
.002 w
.78169 .27273 m
.78169 .27898 L
s
P
[(20)] .78169 .27273 0 2 Mshowa
p
.002 w
.97116 .27273 m
.97116 .27898 L
s
P
[(25)] .97116 .27273 0 2 Mshowa
p
.001 w
.0617 .27273 m
.0617 .27648 L
s
P
p
.001 w
.0996 .27273 m
.0996 .27648 L
s
P
p
.001 w
.13749 .27273 m
.13749 .27648 L
s
P
p
.001 w
.17539 .27273 m
.17539 .27648 L
s
P
p
.001 w
.25117 .27273 m
.25117 .27648 L
s
P
p
.001 w
.28907 .27273 m
.28907 .27648 L
s
P
p
.001 w
.32696 .27273 m
.32696 .27648 L
s
P
p
.001 w
.36486 .27273 m
.36486 .27648 L
s
P
p
.001 w
.44064 .27273 m
.44064 .27648 L
s
P
p
.001 w
.47854 .27273 m
.47854 .27648 L
s
P
p
.001 w
.51643 .27273 m
.51643 .27648 L
s
P
p
.001 w
.55433 .27273 m
.55433 .27648 L
s
P
p
.001 w
.63011 .27273 m
.63011 .27648 L
s
P
p
.001 w
.66801 .27273 m
.66801 .27648 L
s
P
p
.001 w
.7059 .27273 m
.7059 .27648 L
s
P
p
.001 w
.7438 .27273 m
.7438 .27648 L
s
P
p
.001 w
.81958 .27273 m
.81958 .27648 L
s
P
p
.001 w
.85748 .27273 m
.85748 .27648 L
s
P
p
.001 w
.89537 .27273 m
.89537 .27648 L
s
P
p
.001 w
.93327 .27273 m
.93327 .27648 L
s
P
p
.002 w
0 .27273 m
1 .27273 L
s
P
[(KRATKA CIKLOIDA)] .5 1 0 -2 Mshowa
p
.002 w
.02381 .04545 m
.03006 .04545 L
s
P
[(-1)] .01131 .04545 1 0 Mshowa
p
.002 w
.02381 .5 m
.03006 .5 L
s
P
[(1)] .01131 .5 1 0 Mshowa
p
.002 w
.02381 .72727 m
.03006 .72727 L
s
P
[(2)] .01131 .72727 1 0 Mshowa
p
.002 w
.02381 .95455 m
.03006 .95455 L
s
P
[(3)] .01131 .95455 1 0 Mshowa
p
.001 w
.02381 .09091 m
.02756 .09091 L
s
P
p
.001 w
.02381 .13636 m
.02756 .13636 L
s
P
p
.001 w
.02381 .18182 m
.02756 .18182 L
s
P
p
.001 w
.02381 .22727 m
.02756 .22727 L
s
P
p
.001 w
.02381 .31818 m
.02756 .31818 L
s
P
p
.001 w
.02381 .36364 m
.02756 .36364 L
s
P
p
.001 w
.02381 .40909 m
.02756 .40909 L
s
P
p
.001 w
.02381 .45455 m
.02756 .45455 L
s
P
p
.001 w
.02381 .54545 m
.02756 .54545 L
s
P
p
.001 w
.02381 .59091 m
.02756 .59091 L
s
P
p
.001 w
.02381 .63636 m
.02756 .63636 L
s
P
p
.001 w
.02381 .68182 m
.02756 .68182 L
s
P
p
.001 w
.02381 .77273 m
.02756 .77273 L
s
P
p
.001 w
.02381 .81818 m
.02756 .81818 L
s
P
p
.001 w
.02381 .86364 m
.02756 .86364 L
s
P
p
.001 w
.02381 .90909 m
.02756 .90909 L
s
P
p
.002 w
.02381 0 m
.02381 1 L
s
P
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
.004 w
.02381 .36364 m
.0438 .43182 L
.0606 .5 L
.07129 .53529 L
.08348 .56818 L
.09702 .59642 L
.10421 .60818 L
.11165 .61809 L
.11928 .62598 L
.12315 .62913 L
.12705 .63172 L
.13098 .63374 L
.13295 .63454 L
.13493 .6352 L
.13691 .63571 L
.13889 .63607 L
.14087 .63629 L
.14286 .63636 L
.14484 .63629 L
.14682 .63607 L
.14881 .63571 L
.15079 .6352 L
.15473 .63374 L
.15866 .63172 L
.16257 .62913 L
.16644 .62598 L
.17407 .61809 L
.1815 .60818 L
.1887 .59642 L
.20223 .56818 L
.21442 .53529 L
.22512 .5 L
.24191 .43182 L
.25343 .38191 L
.25572 .37402 L
.25787 .36828 L
.2589 .36626 L
.25941 .36546 L
.25991 .3648 L
.26041 .36429 L
.26091 .36393 L
.26141 .36371 L
.2619 .36364 L
.2624 .36371 L
.2629 .36393 L
.2634 .36429 L
.2639 .3648 L
.26491 .36626 L
.26594 .36828 L
.26808 .37402 L
Mistroke
.27038 .38191 L
.2819 .43182 L
.29869 .5 L
.30939 .53529 L
.32158 .56818 L
.33511 .59642 L
.34231 .60818 L
.34974 .61809 L
.35737 .62598 L
.36124 .62913 L
.36515 .63172 L
.36908 .63374 L
.37105 .63454 L
.37302 .6352 L
.375 .63571 L
.37699 .63607 L
.37897 .63629 L
.38095 .63636 L
.38294 .63629 L
.38492 .63607 L
.3869 .63571 L
.38888 .6352 L
.39283 .63374 L
.39676 .63172 L
.40066 .62913 L
.40453 .62598 L
.41216 .61809 L
.4196 .60818 L
.42679 .59642 L
.44033 .56818 L
.45252 .53529 L
.46321 .5 L
.48001 .43182 L
.49153 .38191 L
.49382 .37402 L
.49491 .37087 L
.49596 .36828 L
.497 .36626 L
.4975 .36546 L
.49801 .3648 L
.49851 .36429 L
.49901 .36393 L
.4995 .36371 L
.5 .36364 L
.51999 .43182 L
.53679 .5 L
.54748 .53529 L
.55967 .56818 L
.57321 .59642 L
.5804 .60818 L
Mistroke
.58784 .61809 L
.59547 .62598 L
.59934 .62913 L
.60324 .63172 L
.60717 .63374 L
.60914 .63454 L
.61112 .6352 L
.6131 .63571 L
.61508 .63607 L
.61706 .63629 L
.61905 .63636 L
.62103 .63629 L
.62301 .63607 L
.625 .63571 L
.62698 .6352 L
.63092 .63374 L
.63485 .63172 L
.63876 .62913 L
.64263 .62598 L
.65026 .61809 L
.65769 .60818 L
.66489 .59642 L
.67842 .56818 L
.69061 .53529 L
.70131 .5 L
.7181 .43182 L
.72441 .40358 L
.72962 .38191 L
.73192 .37402 L
.73406 .36828 L
.73509 .36626 L
.7356 .36546 L
.7361 .3648 L
.7366 .36429 L
.7371 .36393 L
.7376 .36371 L
.7381 .36364 L
.75809 .43182 L
.77488 .5 L
.78558 .53529 L
.79777 .56818 L
.8113 .59642 L
.8185 .60818 L
.82593 .61809 L
.83356 .62598 L
.83743 .62913 L
.84134 .63172 L
.84527 .63374 L
.84724 .63454 L
.84921 .6352 L
Mistroke
.85119 .63571 L
.85318 .63607 L
.85516 .63629 L
.85714 .63636 L
.85913 .63629 L
.86111 .63607 L
.86309 .63571 L
.86507 .6352 L
.86902 .63374 L
.87295 .63172 L
.87685 .62913 L
.88072 .62598 L
.88835 .61809 L
.89579 .60818 L
.90298 .59642 L
.91652 .56818 L
.92871 .53529 L
.9394 .5 L
.9562 .43182 L
.97619 .36364 L
Mfstroke
P
P
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.522676 0.522676 0.97619 0.97619 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.037894 0.272727 0.227273 [
[(5)] .21328 .27273 0 2 Msboxa
[(10)] .40275 .27273 0 2 Msboxa
[(15)] .59222 .27273 0 2 Msboxa
[(20)] .78169 .27273 0 2 Msboxa
[(25)] .97116 .27273 0 2 Msboxa
[(CIKLOIDA)] .5 1 0 -2 Msboxa
[(-1)] .01131 .04545 1 0 Msboxa
[(1)] .01131 .5 1 0 Msboxa
[(2)] .01131 .72727 1 0 Msboxa
[(3)] .01131 .95455 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
.002 w
.21328 .27273 m
.21328 .27898 L
s
P
[(5)] .21328 .27273 0 2 Mshowa
p
.002 w
.40275 .27273 m
.40275 .27898 L
s
P
[(10)] .40275 .27273 0 2 Mshowa
p
.002 w
.59222 .27273 m
.59222 .27898 L
s
P
[(15)] .59222 .27273 0 2 Mshowa
p
.002 w
.78169 .27273 m
.78169 .27898 L
s
P
[(20)] .78169 .27273 0 2 Mshowa
p
.002 w
.97116 .27273 m
.97116 .27898 L
s
P
[(25)] .97116 .27273 0 2 Mshowa
p
.001 w
.0617 .27273 m
.0617 .27648 L
s
P
p
.001 w
.0996 .27273 m
.0996 .27648 L
s
P
p
.001 w
.13749 .27273 m
.13749 .27648 L
s
P
p
.001 w
.17539 .27273 m
.17539 .27648 L
s
P
p
.001 w
.25117 .27273 m
.25117 .27648 L
s
P
p
.001 w
.28907 .27273 m
.28907 .27648 L
s
P
p
.001 w
.32696 .27273 m
.32696 .27648 L
s
P
p
.001 w
.36486 .27273 m
.36486 .27648 L
s
P
p
.001 w
.44064 .27273 m
.44064 .27648 L
s
P
p
.001 w
.47854 .27273 m
.47854 .27648 L
s
P
p
.001 w
.51643 .27273 m
.51643 .27648 L
s
P
p
.001 w
.55433 .27273 m
.55433 .27648 L
s
P
p
.001 w
.63011 .27273 m
.63011 .27648 L
s
P
p
.001 w
.66801 .27273 m
.66801 .27648 L
s
P
p
.001 w
.7059 .27273 m
.7059 .27648 L
s
P
p
.001 w
.7438 .27273 m
.7438 .27648 L
s
P
p
.001 w
.81958 .27273 m
.81958 .27648 L
s
P
p
.001 w
.85748 .27273 m
.85748 .27648 L
s
P
p
.001 w
.89537 .27273 m
.89537 .27648 L
s
P
p
.001 w
.93327 .27273 m
.93327 .27648 L
s
P
p
.002 w
0 .27273 m
1 .27273 L
s
P
[(CIKLOIDA)] .5 1 0 -2 Mshowa
p
.002 w
.02381 .04545 m
.03006 .04545 L
s
P
[(-1)] .01131 .04545 1 0 Mshowa
p
.002 w
.02381 .5 m
.03006 .5 L
s
P
[(1)] .01131 .5 1 0 Mshowa
p
.002 w
.02381 .72727 m
.03006 .72727 L
s
P
[(2)] .01131 .72727 1 0 Mshowa
p
.002 w
.02381 .95455 m
.03006 .95455 L
s
P
[(3)] .01131 .95455 1 0 Mshowa
p
.001 w
.02381 .09091 m
.02756 .09091 L
s
P
p
.001 w
.02381 .13636 m
.02756 .13636 L
s
P
p
.001 w
.02381 .18182 m
.02756 .18182 L
s
P
p
.001 w
.02381 .22727 m
.02756 .22727 L
s
P
p
.001 w
.02381 .31818 m
.02756 .31818 L
s
P
p
.001 w
.02381 .36364 m
.02756 .36364 L
s
P
p
.001 w
.02381 .40909 m
.02756 .40909 L
s
P
p
.001 w
.02381 .45455 m
.02756 .45455 L
s
P
p
.001 w
.02381 .54545 m
.02756 .54545 L
s
P
p
.001 w
.02381 .59091 m
.02756 .59091 L
s
P
p
.001 w
.02381 .63636 m
.02756 .63636 L
s
P
p
.001 w
.02381 .68182 m
.02756 .68182 L
s
P
p
.001 w
.02381 .77273 m
.02756 .77273 L
s
P
p
.001 w
.02381 .81818 m
.02756 .81818 L
s
P
p
.001 w
.02381 .86364 m
.02756 .86364 L
s
P
p
.001 w
.02381 .90909 m
.02756 .90909 L
s
P
p
.002 w
.02381 0 m
.02381 1 L
s
P
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
.004 w
.02381 .27273 m
.02381 .27285 L
.02381 .27321 L
.02382 .27382 L
.02382 .27467 L
.02384 .27576 L
.02386 .27709 L
.02392 .28047 L
.02403 .28479 L
.02419 .29003 L
.0247 .30318 L
.02554 .31969 L
.02678 .33929 L
.03067 .38636 L
.03681 .44118 L
.04544 .5 L
.05665 .55882 L
.07036 .61364 L
.07807 .63835 L
.0863 .66071 L
.09499 .68031 L
.10407 .69682 L
.11347 .70997 L
.11828 .71521 L
.12313 .71953 L
.12802 .72291 L
.13048 .72424 L
.13295 .72533 L
.13542 .72618 L
.1379 .72679 L
.14038 .72715 L
.14286 .72727 L
.14534 .72715 L
.14782 .72679 L
.15029 .72618 L
.15276 .72533 L
.15769 .72291 L
.16259 .71953 L
.16744 .71521 L
.17224 .70997 L
.18165 .69682 L
.19073 .68031 L
.19941 .66071 L
.21536 .61364 L
.22906 .55882 L
.24027 .5 L
.2489 .44118 L
.25504 .38636 L
.25725 .36165 L
.25894 .33929 L
Mistroke
.26017 .31969 L
.26101 .30318 L
.26153 .29003 L
.26168 .28479 L
.26179 .28047 L
.26186 .27709 L
.26188 .27576 L
.26189 .27467 L
.2619 .27382 L
.2619 .27321 L
.2619 .27285 L
.2619 .27273 L
.2619 .27285 L
.26191 .27321 L
.26191 .27382 L
.26192 .27467 L
.26195 .27709 L
.26202 .28047 L
.26212 .28479 L
.26228 .29003 L
.2628 .30318 L
.26364 .31969 L
.26487 .33929 L
.26877 .38636 L
.27491 .44118 L
.28353 .5 L
.29475 .55882 L
.30845 .61364 L
.3244 .66071 L
.33308 .68031 L
.34216 .69682 L
.35157 .70997 L
.35637 .71521 L
.36122 .71953 L
.36612 .72291 L
.36858 .72424 L
.37105 .72533 L
.37352 .72618 L
.37599 .72679 L
.37847 .72715 L
.38095 .72727 L
.38343 .72715 L
.38591 .72679 L
.38839 .72618 L
.39086 .72533 L
.39579 .72291 L
.40068 .71953 L
.40553 .71521 L
.41033 .70997 L
.41974 .69682 L
Mistroke
.42882 .68031 L
.43751 .66071 L
.45345 .61364 L
.46716 .55882 L
.47837 .5 L
.487 .44118 L
.49313 .38636 L
.49534 .36165 L
.49703 .33929 L
.49827 .31969 L
.49911 .30318 L
.49962 .29003 L
.49978 .28479 L
.49989 .28047 L
.49995 .27709 L
.49997 .27576 L
.49999 .27467 L
.49999 .27382 L
.5 .27321 L
.5 .27285 L
.5 .27273 L
.5 .27285 L
.5 .27321 L
.50001 .27382 L
.50001 .27467 L
.50003 .27576 L
.50005 .27709 L
.50011 .28047 L
.50022 .28479 L
.50038 .29003 L
.50089 .30318 L
.50173 .31969 L
.50297 .33929 L
.50687 .38636 L
.513 .44118 L
.52163 .5 L
.53284 .55882 L
.54655 .61364 L
.56249 .66071 L
.57118 .68031 L
.58026 .69682 L
.58967 .70997 L
.59447 .71521 L
.59932 .71953 L
.60421 .72291 L
.60667 .72424 L
.60914 .72533 L
.61161 .72618 L
.61409 .72679 L
.61657 .72715 L
Mistroke
.61905 .72727 L
.62153 .72715 L
.62401 .72679 L
.62648 .72618 L
.62895 .72533 L
.63388 .72291 L
.63878 .71953 L
.64363 .71521 L
.64843 .70997 L
.65784 .69682 L
.66692 .68031 L
.6756 .66071 L
.69155 .61364 L
.70525 .55882 L
.71647 .5 L
.72509 .44118 L
.73123 .38636 L
.73344 .36165 L
.73513 .33929 L
.73636 .31969 L
.7372 .30318 L
.73772 .29003 L
.73788 .28479 L
.73798 .28047 L
.73805 .27709 L
.73807 .27576 L
.73808 .27467 L
.73809 .27382 L
.73809 .27321 L
.7381 .27285 L
.7381 .27273 L
.7381 .27285 L
.7381 .27321 L
.7381 .27382 L
.73811 .27467 L
.73814 .27709 L
.73821 .28047 L
.73832 .28479 L
.73847 .29003 L
.73899 .30318 L
.73983 .31969 L
.74106 .33929 L
.74496 .38636 L
.7511 .44118 L
.75973 .5 L
.77094 .55882 L
.78464 .61364 L
.79236 .63835 L
.80059 .66071 L
.80927 .68031 L
Mistroke
.81835 .69682 L
.82776 .70997 L
.83256 .71521 L
.83741 .71953 L
.84231 .72291 L
.84477 .72424 L
.84724 .72533 L
.84971 .72618 L
.85218 .72679 L
.85466 .72715 L
.85714 .72727 L
.85962 .72715 L
.8621 .72679 L
.86458 .72618 L
.86705 .72533 L
.87198 .72291 L
.87687 .71953 L
.88172 .71521 L
.88653 .70997 L
.89593 .69682 L
.90501 .68031 L
.9137 .66071 L
.92964 .61364 L
.94335 .55882 L
.95456 .5 L
.96319 .44118 L
.96933 .38636 L
.97153 .36165 L
.97322 .33929 L
.97446 .31969 L
.9753 .30318 L
.97581 .29003 L
.97597 .28479 L
.97608 .28047 L
.97614 .27709 L
.97616 .27576 L
.97618 .27467 L
.97618 .27382 L
.97619 .27321 L
.97619 .27285 L
.97619 .27273 L
Mfstroke
P
P
MathSubEnd
P
% End of sub-graphic
P
P
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
 Evaluatable->False,
 AspectRatioFixed->True,
 ImageSize->{367, 367},
 ImageMargins->{{117, 0}, {0, 0}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],
 ImageRangeCache->{{{0, 366}, {366, 0}} -> {-0.0500105, -0.0500105, \
0.00573777, 0.00573777}, {{8.6875, 174.688}, {357.25, 191.25}} -> {-4.9408, \
-1.45964, 0.184475, 0.0291685}, {{191.25, 357.25}, {357.25, 191.25}} -> \
{-70.4529, -11.9967, 0.302714, 0.145207}, {{8.6875, 174.688}, {174.688, \
8.6875}} -> {-4.22962, -6.78471, 0.174941, 0.0291685}, {{191.25, 357.25}, \
{174.688, 8.6875}} -> {-36.1672, -6.78471, 0.174941, 0.0291685}}],

Cell[TextData[{
 "Trebamo funkciju ",
 StyleBox["GraphicsArray",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ". "
}], "Text",
 CellChangeTimes->{3.512404384944209*^9}]
}, Open  ]]
}, Open  ]],

Cell["\<\
Show[plot]   -  ponovo nacrtaj graf
Show[plot, option -> value]  - nacrtaj graf sa promjenjenim opcijama
Show[plot1, plot2, ...]   - kombinuj nekoliko grafova
Show[GraphicsArray[ { {plot1, plot2, ...}, ... }]]   - nacrtaj niz grafova\
\>", "Text"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"ChebyshevT", "[", 
    RowBox[{"7", ",", "x"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", "%", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "2"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Chebyshevljev polinom\>\""}]}], 
  "]"}]], "Input"],

Cell["\<\
Mo\:017eemo korisiti Show kako bismo kombinovali nekoliko grafova\
\>", "Text"],

Cell[BoxData[
 RowBox[{"gy0", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"BesselJ", "[", 
     RowBox[{"0", ",", "x"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"gy1", "=", 
  RowBox[{"gj0", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"BesselY", "[", 
      RowBox[{"1", ",", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "10"}], "}"}]}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"gjy", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"gy0", ",", "gy1"}], "]"}]}]], "Input"],

Cell["Primjetite da se odnos izmedju dva grafa podesi", "Text"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsArray", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gy0", ",", "gjy"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"gy1", ",", "gjy"}], "}"}]}], "}"}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Cos", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0.3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.92", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Trodimenzionalni povr\[SHacek]inski grafovi\
\>", "Title"],

Cell[BoxData[{
 RowBox[{"Plot3D", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"\t\t\t\t\t\t", 
  RowBox[{
  "pravi", " ", "trodimenzionalnu", " ", "graf", " ", "f", " ", "kao", " ", 
   "funkcije", " ", "promjenljivih", " ", "x", " ", "i", " ", 
   "y"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"x", "*", "y"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "3"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "Postoje", " ", "mnoge", " ", "opcije", " ", "za", " ", "trodimenzionalne", 
   " ", "grafove", " ", "u", " ", 
   RowBox[{"Mathematici", ".", " ", "Neke"}], " ", "cemo", " ", "raspraviti", 
   " ", "na", " ", "ovom", " ", "predavanju"}], ",", " ", 
  RowBox[{"druge", " ", "nesto", " ", "kasnije"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{"Axes", "                               ", "-", " ", 
  RowBox[{"Da", " ", "li", " ", "prikazati", " ", "koordinate", " ", 
   RowBox[{"(", "True", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AxesLabel", "                   ", "-", " ", 
   RowBox[{"oznake", " ", "na", " ", "osama", " ", 
    RowBox[{"(", "None", ")"}], " ", "zlabel", " ", "ozna\[CHacek]ava", " ", 
    "oznaku", " ", "za", " ", "z"}], "-", "osu"}], ",", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xlabel", ",", "ylabel", ",", "zlabel"}], "}"}], " ", "za", " ", 
   "sve"}]}], "\[IndentingNewLine]", 
 RowBox[{"Boxed", "                            ", "-", " ", 
  RowBox[{
  "Da", " ", "li", " ", "staviti", " ", "trodimenzionalnu", " ", "kutiju", 
   " ", "oko", " ", "povrsi", " ", 
   RowBox[{"(", "True", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"ColorFunction", "          ", "-", " ", 
  RowBox[{
  "koje", " ", "boje", " ", "korisiti", " ", "za", " ", "sjencenje", " ", 
   RowBox[{"(", "Automatic", ")"}], " ", "Hue", " ", "koristi", " ", "niz", 
   " ", "boja"}]}], "\[IndentingNewLine]", 
 RowBox[{"TextStyle", "                    ", "-", " ", 
  RowBox[{
  "koji", " ", "stil", " ", "teksta", " ", "koristiti", " ", "na", " ", 
   "grafu", " ", 
   RowBox[{"(", "$TextStyle", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"FormatType", "                  ", "-", " ", 
  RowBox[{
  "koji", " ", "tip", " ", "formata", " ", "korisiti", " ", "za", " ", 
   "tekst", " ", "u", " ", "grafu"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DisplayFunction", "       ", "-", " ", 
   RowBox[{"kako", " ", "prikazati", " ", "grafiku"}]}], ";", " ", 
  RowBox[{
  "Identity", " ", "nam", "  ", "ne", " ", "daje", " ", "nikakav", " ", 
   "prikaz", " ", 
   RowBox[{"(", "$DisplayFunction", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"FaceGrids", "                     ", "-", " ", 
  RowBox[{
  "kako", " ", "prikazati", " ", "polja", " ", "na", " ", "licima", " ", 
   "ogranicavajuce", " ", "kutije", " ", 
   RowBox[{"(", "None", ")"}], " ", "All", " ", "crta", " ", "polja", " ", 
   "na", " ", "svim", " ", "licima"}]}], "\[IndentingNewLine]", 
 RowBox[{"HiddenSurface", "            ", "-", " ", 
  RowBox[{
  "da", " ", "li", " ", "crtati", " ", "povrs", " ", "kao", " ", "solid", " ", 
   RowBox[{"(", "True", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Lighting", "                        ", "-", " ", 
  RowBox[{
  "da", " ", "li", " ", "bojiti", " ", "povrs", " ", "koristeci", " ", 
   "simulirano", " ", "svjetlo", " ", 
   RowBox[{"(", "True", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Mesh", "                                  ", "-", " ", 
  RowBox[{
  "da", " ", "li", " ", "nacrtati", " ", "xy", " ", "mrezu", " ", "na", " ", 
   "povrsi", " ", 
   RowBox[{"(", "True", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PlotRange", "                      ", "-", " ", 
   RowBox[{
   "opseg", " ", "koordinata", " ", "koje", " ", "treba", " ", "ukljuciti", 
    " ", "na", " ", 
    RowBox[{"grafu", ":", " ", 
     RowBox[{"Mozemo", " ", "staviti", " ", "All"}]}]}]}], ",", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "                                                ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"zmin", ",", "ymax"}], "}"}], " ", "ili", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ymin", ",", "ymax"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"zmin", ",", "zmax"}], "}"}]}], 
    "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Shading", "                            ", "-", " ", 
  RowBox[{"sjencenje", " ", "ili", " ", "ostavi", " ", "bijelo", " ", 
   RowBox[{"(", "True", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"ViewPoint", "                       ", "-", " ", 
  RowBox[{"pogled", " ", "iz", " ", "prostora", " ", 
   RowBox[{"(", 
    RowBox[{"{", 
     RowBox[{"1.3", ",", 
      RowBox[{"-", "2.4"}], ",", "2"}], "}"}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"PlotPoints", "                     ", "-", " ", 
  RowBox[{
  "broj", " ", "tacaka", " ", "u", " ", "svim", " ", "pravcima", " ", 
   RowBox[{"(", "25", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Compiled", "                         ", "-", " ", 
  RowBox[{
  "da", " ", "li", " ", "kompajlirati", " ", "funkciju", " "}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.5"}], ",", "0.5"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Sa", " ", "gornjim", " ", "postavkama"}], ",", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"samo", " ", "dio", " ", "grafa", " ", "u"}], " ", "-", "0.5"}], 
   "<", "z", "<", 
   RowBox[{"0.5", " ", "je", " ", "prikazan"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"10", " ", 
    RowBox[{"Sin", "[", 
     RowBox[{"x", "+", 
      RowBox[{"Sin", "[", "y", "]"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "50"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Vrijeme\>\"", ",", "\"\<Dubina\>\"", ",", "\"\<Vrijednost\>\""}], 
     "}"}]}], ",", 
   RowBox[{"FaceGrids", "\[Rule]", "All"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"x", "*", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"-", "2"}], ",", "0"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Neke", " ", "tacke", " ", "pogleda"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"{", 
   RowBox[{"0", ",", 
    RowBox[{"-", "2"}], ",", "0"}], " ", "}"}], "   ", "-", 
  RowBox[{"direktno", " ", "sprijeda"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"0", ",", 
    RowBox[{"-", "2"}], ",", "2"}], "}"}], "    ", "-", " ", 
  RowBox[{"sprijeda", " ", "i", " ", "odogzo"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"0", ",", 
    RowBox[{"-", "2"}], ",", "2"}], "}"}], "    ", "-", " ", 
  RowBox[{"sprijeda", " ", "i", " ", "odozdo"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "2"}], ",", "0"}], "}"}], "  ", "-", " ", 
   RowBox[{"lijevi", " ", "ugao"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"2", ",", 
    RowBox[{"-", "2"}], ",", "0"}], "}"}], "   ", "-", " ", 
  RowBox[{"desni", "  ", "ugao"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", "2"}], "}"}], "   ", "-", " ", 
  RowBox[{"direktno", " ", "odozgo"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"g", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", 
        RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}]], "Input"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "+", 
       RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5124046741687174`*^9, 3.5124046756507196`*^9}, {
  3.51240471566479*^9, 3.5124047197051973`*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "+", 
       RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"MeshShading", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Yellow", ",", "Orange"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Pink", ",", "Red"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Mesh", "\[Rule]", "8"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512404727520811*^9, 3.5124047670044804`*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "+", 
       RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"Lighting", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5124047779868994`*^9, 3.5124047897337203`*^9}}],

Cell[CellGroupData[{

Cell["List grafovi", "Title"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", 
     RowBox[{"y1", ",", "y2", ",", 
      RowBox[{"...", "."}]}], "}"}], "]"}], "    ", "-", " ", 
   RowBox[{"nacrtaj", " ", "y1"}]}], ",", "y2", ",", 
  RowBox[{"...", " ", "u", " ", "vrijednostima", " ", "x", " ", "1"}], ",", 
  "2", ",", "..."}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x1", ",", "y1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x2", ",", "y2"}], "}"}], ",", "..."}], " ", "}"}], "]"}], 
   "   ", "-", " ", 
   RowBox[{"nacrtaj", " ", 
    RowBox[{"(", 
     RowBox[{"x1", ",", "y1"}], ")"}]}]}], ",", "..."}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{"list", ",", 
    RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}], "  ", "-", " ", 
  RowBox[{"povezi", " ", "tacke"}]}]], "Input",
 CellChangeTimes->{{3.53971371771593*^9, 3.539713718261931*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"z11", ",", "z12", ",", "..."}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z21", ",", "z22", ",", "..."}], "}"}]}], "]"}], "   ", "-", " ", 
  RowBox[{
  "nacrtaj", " ", "trodimenzionalni", " ", "graf", " ", "niza", " ", "visina",
    " ", "z_yx"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"t", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"i", "^", "2"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "10"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "t", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"t", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5397137200091343`*^9, 3.539713720617535*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"i", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"i", "^", "2"}]}], " ", "+", 
      RowBox[{"i", "^", "3"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "%", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"t3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{"x", ",", "y"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "30"}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot3D", "[", "t3", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1.5", ",", "0.5", ",", "0"}], "}"}]}]}], "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Nivo-linije (izohipse) funkcija dviju varijabli", "Title",
 Evaluatable->False,
 PageBreakAbove->False,
 AspectRatioFixed->True],

Cell["\<\
Clear[f,x,y]
f[x_,y_]=x*y/(x^3+y^3);
Plot3D[f[x,y],{x,-1.6,1.6},{y,-1.6,1.6},
        PlotPoints->{50,50}, Mesh->False]\
\>", "Input",
 CellChangeTimes->{3.5351377791665297`*^9},
 AspectRatioFixed->True],

Cell["\<\
ContourPlot[f[x,y],{x,-1.6,1.6},{y,-1.6,1.6},
        PlotPoints->{50,50}]\
\>", "Input",
 PageBreakAbove->False,
 PageBreakBelow->False,
 CellChangeTimes->{3.5351377939085555`*^9},
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
 " ",
 StyleBox["Nacrtajmo najprije jedan 3d-graf",
  FontWeight->"Plain"]
}], "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Clear[g]
g[x_,y_]=x*Sin[y]+y*Sin[x];
Plot3D[g[x,y],{x,0,5Pi},{y,0,5Pi}, PlotPoints->{50,50}]\
\>", "Input",
 CellChangeTimes->{{3.5351378739054956`*^9, 3.5351378763235*^9}},
 AspectRatioFixed->True],

Cell["A sada nacrtajmo nivo-linije te plohe", "Text",
 Evaluatable->False,
 PageBreakAbove->False,
 PageBreakBelow->False,
 AspectRatioFixed->True],

Cell["ContourPlot[g[x,y],{x,0,5Pi},{y,0,5Pi}, PlotPoints->50]", "Input",
 PageBreakAbove->Automatic,
 PageBreakWithin->False,
 GroupPageBreakWithin->False,
 AspectRatioFixed->True],

Cell["\<\
ContourPlot[g[x,y],{x,0,5Pi},{y,0,5Pi},
     PlotPoints->100,Contours->20,
     ContourShading->False,Frame->False,
     Axes->Automatic]\
\>", "Input",
 PageBreakAbove->False,
 CellChangeTimes->{3.5124049732212424`*^9},
 AspectRatioFixed->True]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "Opcijom ",
 StyleBox["Contours->broj",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " dobivamo broj nivo-linija, podjednako rasporezenih izmedju min i max \
vrijednosti funkcije na danom podrucju. \nOpcijom ",
 StyleBox["Contours->{z1,z2,...}",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " dobivamo nivo-linije za nivoe  ",
 StyleBox["z1,z2,\[Ellipsis]",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " To omogucuje i crtanje implicitno definiranih krivulja."
}], "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
kr1=ContourPlot[x^2+y^2,
      {x,-1.2,1.2},{y,-1.2,1.2},
      Contours->{1},ContourShading->False,
      Frame->False,Axes->Automatic,
       AxesOrigin->{0,0}]\
\>", "Input",
 CellChangeTimes->{
  3.5124049764972486`*^9, {3.5351379562736406`*^9, 3.5351379591596456`*^9}},
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["ContourPlot",
  FontFamily->"Courier"],
 " ne moze crtati istovremeno vise krivulja, pa koristimo ",
 StyleBox["Show",
  FontFamily->"Courier"],
 "."
}], "Text",
 CellMargins->{{Inherited, 43}, {Inherited, Inherited}},
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
kr2=ContourPlot[x^2-y^2-1/4,
       {x,-1.2,1.2},{y,-1.2,1.2},
       Contours->{0},ContourShading->False,
       DisplayFunction->Identity];
Show[kr1,kr2,AspectRatio->Automatic]\
\>", "Input",
 CellChangeTimes->{3.51240497153644*^9},
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Parametarski Grafovi", "Title"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fx", ",", "fy"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}]}], "]"}], "   ", "-", " ", 
  RowBox[{"nacrtaj", " ", "parametarski", " ", "graf"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"fx", ",", "fy"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"gx", ",", "gy"}], "}"}], ",", "..."}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}]}], "]"}], "   ", "-", " ", 
  RowBox[{"nekoliko", " ", "grafova", " ", "zajedno"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fx", ",", "fy"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], "   ", "-", " ", 
  RowBox[{
  "pokusaj", " ", "sacuvati", " ", "oblik", " ", "krivih"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", "t"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"Cos", "[", "t", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fx", ",", "fy", ",", "fz"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}]}], "]"}], "   ", "-", " ", 
  RowBox[{
  "nacrtaj", " ", "parametarski", " ", "graf", " ", "trodimenzionalne", " ", 
   "krive"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fx", ",", "fy", ",", "fz"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"u", ",", "tmin", ",", "tmax"}], "}"}]}], "]"}], "  ", "-", " ", 
  
  RowBox[{
  "nacrtaj", " ", "parametarski", " ", "graf", " ", "trodimenzionalne", " ", 
   "povrsi", "  "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fx", ",", "fy", ",", "fz", ",", "s"}], "}"}], "..."}], "]"}], 
  "  ", "-", " ", 
  RowBox[{
  "osjenci", " ", "dijelove", " ", "parametarskog", " ", "grafa", " ", "po", 
   " ", "funkciji", " ", "s"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"fx", ",", "fy", ",", "fz"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"gx", ",", "gy", ",", "gz"}], "}"}], ",", "..."}], "}"}], 
    "..."}], "]"}], " ", "-", " ", 
  RowBox[{"nekoliko", " ", "objekta", " ", "zajedno"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"Cos", "[", "t", "]"}], ",", 
     RowBox[{"t", "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "15"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Slika", " ", "kruznog", " ", "heliksa"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", ",", "u", ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"t", "*", "u"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"u", "^", "2"}], ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"t", "*", "u"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Ovo", " ", "je", " ", "gornja", " ", "povrs", " ", "gdje", " ", 
  "je", " ", "y", " ", "koordinata", " ", "promjenjena", " ", "kvadratnom", 
  " ", "transformacijom"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"u", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"u", " ", 
      RowBox[{"Cos", "[", "t", "]"}]}], ",", 
     RowBox[{"t", "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Problemi iz grafova i koristenje petlji za kreiranje animacija\
\>", "Title"],

Cell["\<\
Zadatak 1. Nacrtajte tangentu funkcije f(x)=x^2-1 u tacki x=1.2\
\>", "Subtitle"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"moje", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"x", "^", "2"}], "-", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tangenta", "[", 
    RowBox[{"f_", ",", "x_", ",", "x0_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"temp", ",", "temp2"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"temp", "=", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{"f", ",", "x"}], "]"}], "/.", 
        RowBox[{"x", "\[Rule]", "x0"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"temp2", "=", 
       RowBox[{"f", "/.", 
        RowBox[{"x", "\[Rule]", "x0"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"temp", "*", 
        RowBox[{"(", 
         RowBox[{"x", "-", "x0"}], ")"}]}], "+", "temp2"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"temp3", "[", "x_", "]"}], "=", 
  RowBox[{"tangenta", "[", 
   RowBox[{
    RowBox[{"moje", "[", "x", "]"}], ",", "x", ",", "1.2"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"moje", "[", "x", "]"}], ",", 
     RowBox[{"temp3", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5124063199016514`*^9, 3.5124065325669165`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Zadatak 2. Napravite animaciju prave y=kx, za k u intervalu [-1,1]\
\>", "Subtitle",
 CellChangeTimes->{{3.5124060810160255`*^9, 3.5124060889252615`*^9}}],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"y", "=", 
      RowBox[{"i", "*", "x"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"i", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", "0.1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512406093411781*^9, 3.5124061357459655`*^9}, 
   3.512406306905862*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Zadatak 3. Prikazite animaciju tangente neke proizvoljne krive \
\>", "Subtitle",
 CellChangeTimes->{{3.512406162283257*^9, 3.512406179545575*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"k", "[", "x_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "^", "2"}], "-", "1"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"Animate", " ", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tangenta", "[", "x_", "]"}], "=", 
     RowBox[{"tangenta", "[", 
      RowBox[{
       RowBox[{"k", "[", "x", "]"}], ",", "x", ",", "x0"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "[", "x", "]"}], ",", 
        RowBox[{"tangenta", "[", "x", "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "2"}], ",", "2.2"}], "}"}], ",", " ", 
      RowBox[{"(*", 
       RowBox[{
       "ovo", " ", "oznacava", " ", "za", " ", "koje", " ", "x", " ", 
        "crtati", " ", "grafik"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "2.1"}], "}"}]}], ",", 
      RowBox[{"(*", 
       RowBox[{
       "ovo", " ", "oznacava", " ", "na", " ", "kojem", " ", "dijelu", " ", 
        "da", " ", "crta", " ", "grafik"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"0", ",", "0", ",", "1"}], "]"}]}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x0", ",", 
     RowBox[{"-", "1"}], ",", "2", ",", "0.2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5124062191122656`*^9, 3.512406279601005*^9}, {
  3.512406568206547*^9, 3.5124066368303976`*^9}}]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
CellGrouping->Manual,
WindowSize->{1008, 505},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{9, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {
  "Praktikum 3 - 2. dio", Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {56.6875, 56.6875}}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
CharacterEncoding->"MacintoshAutomaticEncoding",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 47, 0, 246, "Title"],
Cell[CellGroupData[{
Cell[639, 26, 117, 3, 119, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[CellGroupData[{
Cell[781, 33, 144, 6, 46, "Subsubsection",
 Evaluatable->False],
Cell[928, 41, 139, 4, 47, "Text",
 Evaluatable->False],
Cell[1070, 47, 203, 8, 158, "Input"],
Cell[1276, 57, 136, 3, 47, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[1415, 62, 235, 6, 104, "Input"],
Cell[1653, 70, 113, 3, 47, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[1769, 75, 435, 14, 320, "Input"],
Cell[2207, 91, 160, 5, 77, "Input"],
Cell[2370, 98, 288, 15, 48, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[2695, 118, 164, 7, 46, "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[2862, 127, 85, 2, 47, "Text",
 Evaluatable->False],
Cell[2950, 131, 83, 1, 50, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3070, 137, 186, 8, 44, "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[3259, 147, 103, 2, 47, "Text",
 Evaluatable->False],
Cell[3365, 151, 37692, 2679, 375, 31657, 2577, "GraphicsData", "PostScript", \
"Graphics",
 Evaluatable->False],
Cell[41060, 2832, 172, 7, 48, "Text"]
}, Open  ]]
}, Open  ]],
Cell[41259, 2843, 257, 5, 143, "Text"],
Cell[41519, 2850, 223, 7, 50, "Input"],
Cell[41745, 2859, 57, 1, 50, "Input"],
Cell[41805, 2862, 191, 6, 50, "Input"],
Cell[41999, 2870, 149, 4, 50, "Input"],
Cell[42151, 2876, 89, 2, 47, "Text"],
Cell[42243, 2880, 230, 7, 50, "Input"],
Cell[42476, 2889, 261, 8, 50, "Input"],
Cell[42740, 2899, 110, 3, 50, "Input"],
Cell[42853, 2904, 63, 0, 47, "Text"],
Cell[42919, 2906, 260, 8, 50, "Input"],
Cell[43182, 2916, 193, 6, 50, "Input"],
Cell[43378, 2924, 284, 9, 50, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43699, 2938, 68, 2, 246, "Title"],
Cell[43770, 2942, 440, 12, 153, "Input"],
Cell[44213, 2956, 309, 9, 85, "Input"],
Cell[44525, 2967, 349, 7, 119, "Input"],
Cell[44877, 2976, 4387, 96, 1037, "Input"],
Cell[49267, 3074, 195, 6, 50, "Input"],
Cell[49465, 3082, 269, 7, 85, "Input"],
Cell[49737, 3091, 423, 13, 85, "Input"],
Cell[50163, 3106, 285, 8, 85, "Input"],
Cell[50451, 3116, 266, 8, 50, "Input"],
Cell[50720, 3126, 201, 6, 50, "Input"],
Cell[50924, 3134, 72, 1, 50, "Input"],
Cell[50999, 3137, 1083, 31, 221, "Input"],
Cell[52085, 3170, 448, 15, 50, "Input"]
}, Open  ]],
Cell[52548, 3188, 578, 17, 50, "Input"],
Cell[53129, 3207, 749, 23, 85, "Input"],
Cell[53881, 3232, 532, 16, 50, "Input"],
Cell[CellGroupData[{
Cell[54438, 3252, 29, 0, 144, "Title"],
Cell[54470, 3254, 342, 9, 119, "Input"],
Cell[54815, 3265, 396, 13, 50, "Input"],
Cell[55214, 3280, 258, 6, 50, "Input"],
Cell[55475, 3288, 361, 10, 85, "Input"],
Cell[55839, 3300, 182, 6, 50, "Input"],
Cell[56024, 3308, 61, 1, 50, "Input"],
Cell[56088, 3311, 190, 4, 50, "Input"],
Cell[56281, 3317, 319, 11, 50, "Input"],
Cell[56603, 3330, 61, 1, 50, "Input"],
Cell[56667, 3333, 304, 10, 50, "Input"],
Cell[56974, 3345, 64, 1, 50, "Input"],
Cell[57041, 3348, 183, 5, 50, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57261, 3358, 134, 3, 246, "Title",
 Evaluatable->False,
 PageBreakAbove->False],
Cell[57398, 3363, 213, 7, 131, "Input"],
Cell[57614, 3372, 216, 7, 77, "Input",
 PageBreakAbove->False,
 PageBreakBelow->False],
Cell[CellGroupData[{
Cell[57855, 3383, 157, 6, 45, "Subsubsection",
 Evaluatable->False],
Cell[58015, 3391, 208, 6, 104, "Input"],
Cell[58226, 3399, 147, 4, 47, "Text",
 Evaluatable->False,
 PageBreakAbove->False,
 PageBreakBelow->False],
Cell[58376, 3405, 180, 4, 50, "Input",
 PageBreakAbove->Automatic,
 PageBreakWithin->False],
Cell[58559, 3411, 255, 8, 131, "Input",
 PageBreakAbove->False]
}, Open  ]]
}, Open  ]],
Cell[58841, 3423, 576, 18, 145, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[59420, 3443, 309, 9, 158, "Input"],
Cell[59732, 3454, 291, 10, 48, "Text",
 Evaluatable->False],
Cell[60026, 3466, 269, 8, 158, "Input"],
Cell[CellGroupData[{
Cell[60320, 3478, 37, 0, 144, "Title"],
Cell[60360, 3480, 299, 8, 85, "Input"],
Cell[60662, 3490, 422, 12, 85, "Input"],
Cell[61087, 3504, 373, 10, 85, "Input"],
Cell[61463, 3516, 308, 10, 50, "Input"],
Cell[61774, 3528, 286, 9, 50, "Input"],
Cell[62063, 3539, 128, 3, 50, "Input"],
Cell[62194, 3544, 358, 10, 85, "Input"],
Cell[62555, 3556, 444, 13, 85, "Input"],
Cell[63002, 3571, 318, 9, 85, "Input"],
Cell[63323, 3582, 379, 11, 85, "Input"],
Cell[63705, 3595, 303, 9, 50, "Input"],
Cell[64011, 3606, 75, 1, 50, "Input"],
Cell[64089, 3609, 339, 10, 50, "Input"],
Cell[64431, 3621, 365, 11, 50, "Input"],
Cell[64799, 3634, 203, 3, 85, "Input"],
Cell[65005, 3639, 447, 14, 85, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65489, 3658, 87, 2, 348, "Title"],
Cell[65579, 3662, 91, 2, 159, "Subtitle"],
Cell[65673, 3666, 1444, 42, 289, "Input"],
Cell[CellGroupData[{
Cell[67142, 3712, 164, 3, 159, "Subtitle"],
Cell[67309, 3717, 812, 25, 85, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68158, 3747, 157, 3, 159, "Subtitle"],
Cell[68318, 3752, 1841, 51, 323, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
