(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     38319,       1440]
NotebookOptionsPosition[     30897,       1208]
NotebookOutlinePosition[     32163,       1251]
CellTagsIndexPosition[     32120,       1248]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Rjesavanje jednadzbi", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 CellChangeTimes->{{3.5124081017234845`*^9, 3.512408102175885*^9}, {
  3.5124081325179386`*^9, 3.5124081330951395`*^9}},
 AspectRatioFixed->True],

Cell["Egzaktno rjesavanje polinomijalnih jednadbi", "Subsection",
 CellMargins->{{Inherited, 175}, {Inherited, Inherited}},
 Evaluatable->False,
 CellChangeTimes->{{3.5124081042974887`*^9, 3.512408136417945*^9}},
 AspectRatioFixed->True],

Cell["Solve[x^3+x^2+x+1==0]", "Input",
 AspectRatioFixed->True],

Cell["Solve[Sin[x]^2-2*Sin[x]==3]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Zato je dobro napisati obzirom na ",
 StyleBox["s",
  CharacterEncoding->"Custom"],
 "ta treba rijesiti jednadzbu"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Solve[Sin[x]^2-2*Sin[x]==3,x]", "Input",
 AspectRatioFixed->True],

Cell["Mozemo rjesavati i sisteme jednadzbi:", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Solve[{x^2/a^2+y^2/b^2==1,y==k*x},{x,y}]", "Input",
 AspectRatioFixed->True],

Cell["\<\
Nekad medjutim od dobivenog egzaktnog rjesenja nemamo mnogo koristi. 
Probajte sljedecce:\
\>", "Text",
 Evaluatable->False,
 PageBreakAbove->True,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solve[x^4-2x^2==1-x,x]", "Input",
 AspectRatioFixed->True],

Cell["Ispis rjesenja je dugacak preko dvije stranice.", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Ako trebamo numericko rjesenje, tada koristimo", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["NSolve[x^4-2x^2==1-x,x]", "Input",
 AspectRatioFixed->True]
}, Open  ]],

Cell["Ili", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["N[Solve[x^4-2x^2==1-x,x]]", "Input",
 AspectRatioFixed->True],

Cell["Ili", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Solve[x^4-2x^2==1-x,x]//N", "Input",
 AspectRatioFixed->True],

Cell["Numericko rjesavanje jednadzbi", "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Neke jednadzbe se ne mogu egzaktno rijesiti:", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Solve[Cos[x]==x,x]", "Input",
 CellChangeTimes->{{3.5351404893420134`*^9, 3.535140493585221*^9}},
 AspectRatioFixed->True],

Cell[TextData[{
 "Tu ne pomaze ",
 StyleBox["NSolve",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ".  Dvije korisne funkcije su\n  \[Bullet] ",
 StyleBox["NRoots",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " za aproksimativno nalazenje korijena ",
 StyleBox["polinoma",
  FontWeight->"Bold"],
 ", i\n  \[Bullet] ",
 StyleBox["FindRoot",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " za aproksimativno nalazenje korijena bilo kakve jednad",
 "z",
 "be, \n                            ali uz zadanu pocetnu aproksimaciju."
}], "Text",
 Evaluatable->False,
 CellChangeTimes->{3.5351405010108337`*^9},
 AspectRatioFixed->True],

Cell["NRoots[x^5+x^4-4x^3+2x^2-3x-7==0,x]", "Input",
 AspectRatioFixed->True],

Cell["FindRoot[x^5+x^4-4x^3+2x^2-3x-7==0,{x,0}]", "Input",
 AspectRatioFixed->True],

Cell["FindRoot[x^5+x^4-4x^3+2x^2-3x-7==0,{x,I}]", "Input",
 AspectRatioFixed->True],

Cell["Ali", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["FindRoot[x^5+x^4-4x^3+2x^2-3x-7==0,{x,0+0.1*I}]", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Cos", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5351408462862406`*^9, 3.5351408799666996`*^9}}],

Cell["FindRoot[Cos[x]==x,{x,1}]", "Input",
 AspectRatioFixed->True],

Cell["Funkcija Reduce", "Subtitle",
 CellChangeTimes->{{3.5351405616325407`*^9, 3.5351405654233465`*^9}}],

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "^", "2"}], "-", 
     RowBox[{"y", "^", "3"}]}], "\[Equal]", "1"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{"z", "^", "2"}], "-", "1"}], "]"}], ">=", "1"}], ",", "z"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5351406379166746`*^9, 3.5351407013307858`*^9}}],

Cell[TextData[StyleBox["Calculus, diferencijalne jednad\:017ebe",
 FontFamily->"Arial"]], "Title",
 CellMargins->{{Inherited, 17}, {Inherited, Inherited}},
 Evaluatable->False,
 CellChangeTimes->{3.5124082707464676`*^9},
 TextAlignment->Center,
 TextJustification->0,
 AspectRatioFixed->True],

Cell["Eksplicitno zadane funkcije", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Za deriviranje funkcija postoje razli\[CHacek]ite naredbe\n\[LineSeparator]",
 StyleBox["    ",
  FontFamily->"Courier"],
 StyleBox[" f'[x] ; f''[x]\[LineSeparator]     D[f[x],x]\n     D[f[x],{x,n}]\n\
     D[izraz,varijabla]\n     D[izraz,{varijabla,n}]\n     \
D[izraz,{var1,n1},{var2,n2},\[Ellipsis]]\n     \
Derivative[n1,n2,\[Ellipsis]][f]",
  FontFamily->"Courier",
  FontWeight->"Bold"]
}], "Text",
 Evaluatable->False,
 CellChangeTimes->{{3.480678464203125*^9, 3.480678470203125*^9}},
 AspectRatioFixed->True],

Cell["Ilustrirajmo neke od njih", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Clear[f,g,h]
f[x_]:=Sin[x^2]
g[y_]=Cos[y];
h[x_,y_]:=f[x]*g[y]\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
f'[x]
f''[Pi]
g'[y]
g''[Pi]
g''[x]\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
D[f[x],x]
D[f[x],{x,2}] /. {x->Pi}
D[g[y],y]
D[g[y],{y,2}] /. {y->Pi}
D[g[x],{x,2}]\
\>", "Input",
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
D[f[x]*g[y],{x,1},{y,2},{x,2}]
D[f[x]*g[y],{x,3},{y,2}]
D[h[x,y],{y,2},{x,3}]\
\>", "Input",
 AspectRatioFixed->True],

Cell["(Sjeti se Schwarzovog teorema!)", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Derivative[3,2][h]", "Input",
 AspectRatioFixed->True],

Cell["Derivative[3,2][h][x,y]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Nacrtajmo sada graf funkcije ",
 StyleBox["f",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " i njene derivacije ",
 StyleBox["f'",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ", gdje je ",
 StyleBox["f",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " definirana s"
}], "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
Clear[f]
f[x_]=(x-3)(x-8)^(2/3)
f'[x]//Together\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", "x", "]"}], ",", 
     RowBox[{
      RowBox[{"f", "'"}], "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.48067848821875*^9}],

Cell[TextData[{
 "Problem je u tome da ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  daje kao ",
 StyleBox["(-1)^(1/3)",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " ne ",
 StyleBox["-1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " nego primitivni tre\[CAcute]i korjen od ",
 StyleBox["-1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ", \[SHacek]to je  ",
 StyleBox["(1+I Sqrt[3])/2",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellMargins->{{Inherited, 36}, {Inherited, Inherited}},
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["(-1)^(1/3)//ComplexExpand", "Input",
 AspectRatioFixed->True],

Cell["Zato probajmo ovako:", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{"Clear", "[", "ff", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ff", "[", "x_", "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"x", "-", "3"}], ")"}], 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"x", "-", "8"}], "]"}], "^", 
    RowBox[{"(", 
     RowBox[{"2", "/", "3"}], ")"}]}]}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"ff", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.48067849478125*^9}],

Cell[TextData[{
 "Ali kako ovako definiranu funkciju ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " ne zna derivirati"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
ff'[x]
D[ff[x],x]
Derivative[1][ff][3]\
\>", "Input",
 PageBreakWithin->Automatic,
 GroupPageBreakWithin->Automatic,
 AspectRatioFixed->True],

Cell["\<\
iako iz zadnjeg izraza izgleda da zna, ali probajmo nacrtati graf derivacije:\
\
\>", "Text"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"ff", "'"}], "[", "x", "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.480678501078125*^9}],

Cell[TextData[{
 "Treba, dakle, nekako lukavo definirati funkciju tako da ju ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " zna i crtati i derivirati. \[CapitalSHacek]to zna\[CHacek]i potencija ",
 StyleBox["a^(2/3)", "Input"],
 " ? \nTo je ili ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     RadicalBox["a", "3"], ")"}], "2"], TraditionalForm]]],
 " ili ",
 Cell[BoxData[
  FormBox[
   RadicalBox[
    SuperscriptBox["a", "2"], "3"], TraditionalForm]]],
 ".  Ovo prvo nam o\[CHacek]ito ne\[CAcute]e pomo\[CAcute]i. Zato koristimo \
ovo drugo, i definiramo"
}], "Text"],

Cell[BoxData[{
 RowBox[{"Clear", "[", "g", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "[", "x_", "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"x", "-", "3"}], ")"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "8"}], ")"}], "^", "2"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1", "/", "3"}], ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "'"}], "[", "x", "]"}], "//", "Together"}]}], "Input"],

Cell[BoxData[
 RowBox[{"TrueQ", "[", 
  RowBox[{
   RowBox[{"ff", "[", "x", "]"}], "==", 
   RowBox[{"g", "[", "x", "]"}]}], "]"}]], "Input"],

Cell["\<\
Plot[{g[x],g'[x]},{x,0,11}, 
PlotStyle-> {{Thickness[0.008]},{Dashing[{0.02,0.02}]}},
 PlotRange->{-10,20}]\
\>", "Input",
 CellChangeTimes->{
  3.48067851046875*^9, {3.535141691699726*^9, 3.5351416938369293`*^9}}],

Cell["Implicitno zadane funkcije", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell[TextData[{
 "Nacrtajmo krivulju koja je dana jednad\:017ebom ",
 StyleBox["(x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["2",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Superscript"}],
 StyleBox["+y",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["2",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Superscript"}],
 StyleBox[")",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["2",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Superscript"}],
 StyleBox["=4(x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["2",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Superscript"}],
 StyleBox["-y",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["2",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Superscript"}],
 StyleBox[")",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 "\ni nadjimo koeficijente smjera tangenti u to\[CHacek]kama s apscisom ",
 StyleBox["x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["0",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Subscript"}],
 StyleBox["=1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 "."
}], "Text",
 Evaluatable->False,
 CellChangeTimes->{{3.535141406304824*^9, 3.5351414071940255`*^9}},
 AspectRatioFixed->True],

Cell["\<\
Clear[f]
f[x_,y_]=(x^2+y^2)^2-4(x^2-y^2);
lemniskata=
ContourPlot[f[x,y],{x,-2.1,2.1},{y,-.8,.8},
    Contours->{0},PlotPoints->55,
    ContourShading->False,Frame->False,
    Axes->Automatic,AxesOrigin->{0,0},
    AspectRatio->0.8/2.1]\
\>", "Input",
 CellChangeTimes->{3.480678567859375*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["der=Dt[f[x,y]==0,x] ",
  FontFamily->"Courier"],
 StyleBox["(* 'totalna derivacija' *)",
  FontFamily->"Courier",
  FontWeight->"Plain"]
}], "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Nas zanima derivacija ",
 StyleBox["y'",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ", dakle ",
 StyleBox["Dt[y,x]",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " "
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["derivacija=Solve[der,Dt[y,x]]", "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Ordinate to\[CHacek]aka za ",
 StyleBox["x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["0",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Subscript"}],
 StyleBox["=1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " dobijemo ovako:"
}], "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
x0=1;
ord=y /.Solve[f[x0,y]==0,y]\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
Neka od tih rje\[SHacek]enja su kompleksna, pa ih trebamo odbaciti. \
\>", "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["", "Text",
 Evaluatable->False,
 CellChangeTimes->{{3.5124086012135124`*^9, 3.512408602810199*^9}},
 AspectRatioFixed->True],

Cell[TextData[{
 "realnaSjeci",
 StyleBox["\[SHacek]",
  CharacterEncoding->"Custom"],
 "ta=Select[ord,(Im[#]==0)&]"
}], "Input",
 AspectRatioFixed->True],

Cell[TextData[{
 "Dobili smo dakle tra\:017eene dvije to\[CHacek]ke.\nKoeficijenti smjera \
tangenti u to\[CHacek]kama ",
 StyleBox["(x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["0",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Subscript"}],
 StyleBox[",y",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["01",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Subscript"}],
 StyleBox[")",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " i ",
 StyleBox["(x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["0",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Subscript"}],
 StyleBox[",y",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox["02",
  FontFamily->"Courier",
  FontSize->10,
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->"Subscript"}],
 StyleBox[")",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " su sada"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"y0", "=", "realnaSjeci\[SHacek]ta"}]], "Input",
 CellChangeTimes->{{3.535141630298018*^9, 3.535141652169256*^9}}],

Cell["\<\
koeficijenti=
       derivacija[[1,1,2]]/.{x->x0,y->y0};
N[koeficijenti]\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
tangente=Plot[Evaluate[
     y0+koeficijenti*(x-x0)],{x,-2.1,2.1},
               DisplayFunction->Identity];\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Evaluate", "[", "\n", "     ", 
  RowBox[{"y0", "+", 
   RowBox[{"koeficijenti", "*", 
    RowBox[{"(", 
     RowBox[{"x", "-", "x0"}], ")"}]}]}], "]"}]], "Input"],

Cell["Show[lemniskata,tangente]", "Input",
 CellChangeTimes->{3.5124086295646424`*^9},
 AspectRatioFixed->True],

Cell["Integriranje", "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell[TextData[{
 "Na segmentu ",
 StyleBox["[0,4]",
  FontFamily->"Courier"],
 " definirane su funkcije \n   ",
 StyleBox["f(x)=Exp(-(x-2)",
  FontFamily->"Courier"],
 StyleBox["2 ",
  FontFamily->"Courier",
  FontSize->10,
  FontVariations->{"CompatibilityType"->"Superscript"}],
 StyleBox["cos\[Pi]x) i \n g(x)=4cos(x-2). ",
  FontFamily->"Courier"],
 "\nOdredi povr",
 StyleBox["\[SHacek]",
  CharacterEncoding->"Custom"],
 "inu lika kojeg omedjuju grafovi tih funkcija."
}], "Input",
 PageWidth->PaperWidth,
 CellFrame->True,
 CellMargins->{{36, 37}, {Inherited, Inherited}},
 Evaluatable->False,
 CellGroupingRules->"SectionGrouping",
 CellLabelMargins->{{17, Inherited}, {Inherited, Inherited}},
 LineSpacing->{1, 3},
 AspectRatioFixed->True,
 FontFamily->"Times"],

Cell["\<\
Clear[f,g]
f[x_]=Exp[-(x-2)^2 Cos[Pi x]];
g[x_]=4 Cos[x-2];
grafovi=
   Plot[{f[x],g[x]},{x,0,4},PlotPoints->75,
    PlotStyle->{{},{Dashing[{0.01,0.01}]}}]\
\>", "Input",
 CellChangeTimes->{3.5124086406736393`*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "Sada kada sa slike vidimo koje su otprilike granice integracije ",
 StyleBox["a",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " i ",
 StyleBox["b",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ", mo\:017eemo ih odrediti sa"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
{a,b}= x/.
     Map[FindRoot[f[x]==g[x],{x,#}]&,{1,3}]\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a", ",", "b"}], "}"}], "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], "\[Equal]", 
        RowBox[{"g", "[", "x", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1"}], "}"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
    RowBox[{
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], "\[Equal]", 
        RowBox[{"g", "[", "x", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "3"}], "}"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5351418038015227`*^9, 3.5351418904440746`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "Ako", " ", "se", " ", "pitate", " ", "zasto", " ", "ovako", " ", "se", " ",
    "patimo"}], " ", "-", " ", 
  RowBox[{"probajte", " ", 
   RowBox[{"slijedece", ":", " "}]}]}]], "Input",
 CellChangeTimes->{{3.535141976649826*^9, 3.53514199011265*^9}}],

Cell[BoxData[
 RowBox[{"NSolve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], "==", 
    RowBox[{"g", "[", "x", "]"}]}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.512408696733863*^9, 3.512408705999962*^9}, 
   3.5351419663070083`*^9}],

Cell[TextData[{
 "pa je povr",
 StyleBox["\[SHacek]",
  CharacterEncoding->"Custom"],
 "ina koja nas zanima jednaka"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "povr",
 StyleBox["\[SHacek]",
  CharacterEncoding->"Custom"],
 "ina= \nNIntegrate[g[x]-f[x],{x,a,b}]"
}], "Input",
 CellChangeTimes->{{3.5351420257899127`*^9, 3.535142028332717*^9}},
 AspectRatioFixed->True],

Cell["To mo\:017eemo i lijepo nacrtati sa", "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"lik", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "[", "x", "]"}], ",", 
      RowBox[{"g", "[", "x", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", "\n", "   ", 
    RowBox[{"Epilog", "->", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"StringForm", "[", 
         RowBox[{"\"\<P=``\>\"", ",", "povr\[SHacek]ina"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2.2"}], "}"}]}], "]"}], "}"}]}], ",", "\n", "   ", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", "\[Rule]", 
       RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
    RowBox[{"ColorFunction", "->", 
     RowBox[{"{", "\"\<Rainbow\>\"", "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.51240881002357*^9, {3.5351421164529524`*^9, 3.5351421404948626`*^9}, {
   3.535142275847643*^9, 3.5351423089353013`*^9}, {3.535142345757041*^9, 
   3.5351423512014503`*^9}}],

Cell["\<\
Show[lik,grafovi,
      DisplayFunction:>$DisplayFunction]\
\>", "Input",
 CellChangeTimes->{3.535142369687483*^9},
 AspectRatioFixed->True],

Cell["Diferencijalne jednad\:017ebe", "Title",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 PageBreakBelow->False,
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["     ",
  FontFamily->"Courier"],
 StyleBox["Rije",
  FontWeight->"Bold"],
 StyleBox["\[SHacek]",
  FontWeight->"Bold",
  CharacterEncoding->"Custom"],
 StyleBox["i diferencijalnu jednad",
  FontWeight->"Bold"],
 "\:017e",
 StyleBox["bu  ",
  FontWeight->"Bold"],
 StyleBox["y'(x)=x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox[", uz po",
  FontWeight->"Bold"],
 "\[CHacek]",
 StyleBox["etni  \n         uvjet  ",
  FontWeight->"Bold"],
 StyleBox["y(0)=1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox[", i nacrtaj rje\[SHacek]enje za ",
  FontWeight->"Bold"],
 StyleBox["-1",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 StyleBox["\[LessEqual]",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 StyleBox["x",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 StyleBox["\[LessEqual]",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 StyleBox["2",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 StyleBox[". ",
  FontWeight->"Bold"]
}], "Text",
 CellFrame->True,
 CellMargins->{{Inherited, 86}, {Inherited, Inherited}},
 Evaluatable->False,
 CellLabelMargins->{{13, Inherited}, {Inherited, Inherited}},
 AspectRatioFixed->True,
 Background->GrayLevel[0.899992]],

Cell[TextData[{
 "Clear[rje\[SHacek]enje,y]\nrje",
 StyleBox["\[SHacek]",
  CharacterEncoding->"Custom"],
 "enje=DSolve[{y'[x]==x,y[0]==1},y[x],x]\n\
Plot[y[x]/.rje\[SHacek]enje[[1]],{x,-1,2}]"
}], "Input",
 CellChangeTimes->{3.512409008449072*^9},
 AspectRatioFixed->True],

Cell["Lorentzov atraktor", "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["\<\
sysDifJ:={
    x'[t]==-3(x[t]-y[t]),
    y'[t]==-x[t]*z[t]+26.5x[t]-y[t],
    z'[t]==x[t]*y[t]-z[t],
    x[0]==z[0]==0, y[0]==1}\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
lorentz=NDSolve[sysDifJ,{x,y,z},{t,0,20},
            MaxSteps->2500]\
\>", "Input",
 CellChangeTimes->{{3.5124090683711023`*^9, 3.5124090783846407`*^9}, {
  3.5351426966739335`*^9, 3.535142702742344*^9}},
 AspectRatioFixed->True],

Cell["\<\
ParametricPlot3D[Evaluate[
     {x[t],y[t],z[t]}/.lorentz],
     {t,0,20},PlotPoints->2000]\
\>", "Input",
 CellChangeTimes->{3.512409073995803*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["Nadji op\[CAcute]e rje\[SHacek]enje diferencijalne jednad",
  FontFamily->"Times"],
 "\:017e",
 StyleBox["be",
  FontFamily->"Times"],
 StyleBox[" \n      xy'+3y = x sin(x), \n",
  FontFamily->"Courier"],
 StyleBox["i nacrtaj rje\[SHacek]enja za",
  FontFamily->"Times"],
 StyleBox[" c = -6, -4, -2, 0, 2, 4,6.",
  FontFamily->"Courier"]
}], "Input",
 PageWidth->PaperWidth,
 CellFrame->True,
 CellMargins->{{36, 35}, {Inherited, Inherited}},
 Evaluatable->False,
 PageBreakAbove->Automatic,
 CellLabelMargins->{{17, Inherited}, {Inherited, Inherited}},
 AspectRatioFixed->True],

Cell["\<\
Clear[rj]
rj=DSolve[x y'[x]+3y[x]==x Sin[x],y[x],x]\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
Plot[Evaluate[
       Table[y[x]/.rj/.C[1]->i,{i,-6,6,2}]],
         {x,0.01,5},
         PlotRange->{-3,3},PlotPoints->45,
         PlotStyle->Table[Hue[i],
       {i,0.1,0.7,0.1}]]\
\>", "Input",
 CellChangeTimes->{3.5124091011392694`*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["Nadji op\[CAcute]e rje\[SHacek]enje nehomogene jednad",
  FontFamily->"Times"],
 "\:017e",
 StyleBox["be",
  FontFamily->"Times"],
 StyleBox[" \n     y\" + 4y' + 13y = x cos",
  FontFamily->"Courier"],
 StyleBox["2",
  FontFamily->"Courier",
  FontVariations->{"CompatibilityType"->"Superscript"}],
 StyleBox["(3x)\n",
  FontFamily->"Courier"],
 StyleBox["i nacrtaj nekoliko rje\[SHacek]enja.",
  FontFamily->"Times"]
}], "Input",
 PageWidth->PaperWidth,
 CellFrame->True,
 CellMargins->{{36, 80}, {Inherited, Inherited}},
 Evaluatable->False,
 PageBreakAbove->Automatic,
 CellLabelMargins->{{17, Inherited}, {Inherited, Inherited}},
 AspectRatioFixed->True],

Cell["\<\
Clear[rj]
rj=DSolve[
     y''[x]+4y'[x]+13y[x]==x Cos[3x]^2,y[x],x]\
\>", "Input",
 AspectRatioFixed->True],

Cell["\<\
Plot[Evaluate[
       Table[y[x]/.rj/.{C[1]->c1,C[2]->c2},
\t  {c1,-4,4,2},{c2,-5,5,5}]],{x,-1,1}]
\t
\t  \
\>", "Input",
 CellChangeTimes->{3.512409120796928*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " nije savr",
 StyleBox["\[SHacek]",
  CharacterEncoding->"Custom"],
 "ena"
}], "Title",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True],

Cell["Primjer 1:  Jedan limes koji to nije.", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True,
 FontSize->23],

Cell[TextData[{
 StyleBox["\n\:017delimo D'Alambertovim testom ispitati da li red kome je op\
\[CAcute]i \[CapitalCHacek]lan jednak ",
  FontFamily->"Times"],
 StyleBox["a",
  FontFamily->"Courier"],
 StyleBox["k",
  FontFamily->"Courier",
  FontVariations->{"CompatibilityType"->"Subscript"}],
 StyleBox[":= sin(k)/k",
  FontFamily->"Courier"],
 StyleBox["  konvergira. ",
  FontFamily->"Times"]
}], "Input",
 PageWidth->PaperWidth,
 CellFrame->True,
 CellMargins->{{Inherited, 6}, {Inherited, Inherited}},
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["\<\
Clear[kvoc]
kvoc[k_]=Abs[(Sin[1+k]/(1+k))/(Sin[k]/k)]\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Abs", "[", 
  FractionBox[
   RowBox[{"k", " ", 
    RowBox[{"Csc", "[", "k", "]"}], " ", 
    RowBox[{"Sin", "[", 
     RowBox[{"1", "+", "k"}], "]"}]}], 
   RowBox[{"1", "+", "k"}]], "]"}]], "Output",
 CellChangeTimes->{{3.535186374672502*^9, 3.535186394406537*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["NLimit[kvoc[k],k->Infinity]", "Input",
 AspectRatioFixed->True],

Cell[BoxData["3.3311172079618188`"], "Output",
 CellChangeTimes->{{3.535186390990131*^9, 3.535186396824541*^9}, 
   3.535186585288472*^9}]
}, Open  ]],

Cell[TextData[{
 "Izgleda dakle da limes apsolutnih kvocijenata postoji, i jednak je ",
 StyleBox["3.33112",
  FontFamily->"Courier"],
 ", ",
 StyleBox["\[SHacek]t",
  CharacterEncoding->"Custom"],
 "o zna\[CHacek]i da red ",
 StyleBox["ne konvergira apsolutno",
  FontVariations->{"Underline"->True}],
 ". Da red ne konvergira apsolutno je to\[CHacek]no, ali da taj limes postoji \
\[LongDash] to vjerojatno nije to\[CHacek]no. Pogledajmo"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "NumericalCalculus`"}], ";"}]], "Input",
 CellChangeTimes->{{3.5351865771140575`*^9, 3.53518657833086*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NLimit", "::", "\<\"shdw\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Symbol \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(\\\"NLimit\\\"\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" appears in multiple \
contexts \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({\\\"NumericalCalculus`\\\", \
\\\"Global`\\\"}\\), \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\"; \
definitions in context \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(\\\"NumericalCalculus`\\\"\\),\
 \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" may shadow or be \
shadowed by other definitions.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/shdw\\\", \
ButtonNote -> \\\"NumericalCalculus`NLimit::shdw\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.5351865804524636`*^9}]
}, Open  ]],

Cell["ListPlot[Table[kvoc[k],{k,10000}]]", "Input",
 CellChangeTimes->{3.5124092990513372`*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "Tu o\[CHacek]ito ne\[SHacek]to ne \[SHacek]tima, i nije \"fer\" da nam je \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  dala limes bez ikakvog upozorenja!"
}], "Text",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Primjer 2: 'Kriva' slika", "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 AspectRatioFixed->True,
 FontSize->23],

Cell[TextData[{
 "Nacrtajmo graf funkcije ",
 StyleBox["f(x)=x+sin(2\[Pi]x)",
  FontSlant->"Italic"]
}], "Text"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"x", "+", 
    RowBox[{"Sin", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "x"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "25"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "25"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5124093166806903`*^9, 3.5124093579825172`*^9}, {
  3.535186494870713*^9, 3.5351865130291452`*^9}}],

Cell[TextData[{
 "To je malo sumnjivo. Probajmo s vi\[SHacek]e to\[CHacek]aka (gornja slika \
je napravljena sa ",
 StyleBox["defaultnim",
  FontSlant->"Italic"],
 " brojem, 25):"
}], "Text"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"x", "+", 
    RowBox[{"Sin", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "x"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "25"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}]}], "]"}]], "Input",
 CellChangeTimes->{3.512409319455038*^9}],

Cell[TextData[{
 "Ovo ve\[CAcute] li\[CHacek]i na ono \[SHacek]to smo o\[CHacek]ekivali \
\[LongDash] vi",
 StyleBox[" \[SHacek]e",
  CharacterEncoding->"Custom"],
 " to\[CHacek]aka \[LongDash] bolja slika.\nAli"
}], "Text"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"x", "+", 
    RowBox[{"Sin", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "x"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "25"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "15"}]}], "]"}]], "Input",
 CellChangeTimes->{3.512409324523311*^9}]
},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
CellGrouping->Manual,
WindowSize->{1008, 465},
WindowMargins->{{0, Automatic}, {Automatic, 16}},
PrintingCopies->1,
PrintingPageRange->{9, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {
  "Praktikum 3 - 2. dio", Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {56.6875, 56.6875}}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
CharacterEncoding->"MacintoshAutomaticEncoding",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 234, 5, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[782, 27, 237, 4, 49, "Subsection",
 Evaluatable->False],
Cell[1022, 33, 63, 1, 55, "Input"],
Cell[1088, 36, 69, 1, 61, "Input"],
Cell[1160, 39, 190, 7, 47, "Text",
 Evaluatable->False],
Cell[1353, 48, 71, 1, 61, "Input"],
Cell[1427, 51, 99, 2, 47, "Text",
 Evaluatable->False],
Cell[1529, 55, 82, 1, 61, "Input"],
Cell[1614, 58, 182, 6, 79, "Text",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[CellGroupData[{
Cell[1821, 68, 64, 1, 61, "Input"],
Cell[1888, 71, 109, 2, 47, "Text",
 Evaluatable->False],
Cell[2000, 75, 108, 2, 47, "Text",
 Evaluatable->False],
Cell[2111, 79, 65, 1, 61, "Input"]
}, Open  ]],
Cell[2191, 83, 65, 2, 47, "Text",
 Evaluatable->False],
Cell[2259, 87, 67, 1, 61, "Input"],
Cell[2329, 90, 65, 2, 47, "Text",
 Evaluatable->False],
Cell[2397, 94, 67, 1, 61, "Input"],
Cell[2467, 97, 126, 3, 63, "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[2596, 102, 106, 2, 41, "Text",
 Evaluatable->False],
Cell[2705, 106, 128, 2, 61, "Input"],
Cell[2836, 110, 638, 22, 148, "Text",
 Evaluatable->False],
Cell[3477, 134, 77, 1, 61, "Input"],
Cell[3557, 137, 83, 1, 61, "Input"],
Cell[3643, 140, 83, 1, 61, "Input"],
Cell[3729, 143, 65, 2, 47, "Text",
 Evaluatable->False],
Cell[3797, 147, 89, 1, 61, "Input"],
Cell[3889, 150, 314, 9, 61, "Input"],
Cell[4206, 161, 67, 1, 61, "Input"],
Cell[4276, 164, 105, 1, 44, "Subtitle"],
Cell[4384, 167, 239, 8, 61, "Input"],
Cell[4626, 177, 265, 8, 61, "Input"],
Cell[4894, 187, 292, 7, 203, "Title",
 Evaluatable->False],
Cell[5189, 196, 92, 2, 130, "Section",
 Evaluatable->False],
Cell[5284, 200, 535, 13, 297, "Text",
 Evaluatable->False],
Cell[5822, 215, 87, 2, 47, "Text",
 Evaluatable->False],
Cell[5912, 219, 112, 6, 130, "Input"],
Cell[6027, 227, 84, 7, 153, "Input"],
Cell[6114, 236, 161, 8, 153, "Input",
 PageBreakAbove->Automatic],
Cell[6278, 246, 127, 5, 107, "Input"],
Cell[6408, 253, 93, 2, 47, "Text",
 Evaluatable->False],
Cell[6504, 257, 60, 1, 61, "Input"],
Cell[6567, 260, 65, 1, 61, "Input"],
Cell[6635, 263, 382, 17, 48, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[7020, 282, 97, 5, 107, "Input"],
Cell[7120, 289, 314, 10, 61, "Input"],
Cell[7437, 301, 581, 24, 82, "Text",
 Evaluatable->False],
Cell[8021, 327, 67, 1, 61, "Input"],
Cell[8091, 330, 110, 3, 47, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[8204, 335, 341, 11, 91, "Input"],
Cell[8548, 348, 211, 6, 61, "Input"],
Cell[8762, 356, 184, 7, 48, "Text",
 Evaluatable->False],
Cell[8949, 365, 151, 7, 107, "Input",
 PageBreakWithin->Automatic],
Cell[9103, 374, 103, 3, 47, "Text"],
Cell[9209, 379, 270, 8, 61, "Input"],
Cell[9482, 389, 600, 19, 166, "Text"],
Cell[10085, 410, 492, 16, 120, "Input"],
Cell[10580, 428, 141, 4, 61, "Input"],
Cell[10724, 434, 224, 6, 107, "Input"],
Cell[10951, 442, 119, 3, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[11073, 447, 1593, 61, 75, "Text",
 Evaluatable->False],
Cell[12669, 510, 328, 11, 222, "Input"],
Cell[13000, 523, 201, 7, 61, "Input"],
Cell[13204, 532, 251, 12, 48, "Text",
 Evaluatable->False],
Cell[13458, 546, 71, 1, 61, "Input"],
Cell[13532, 549, 413, 17, 48, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[13948, 568, 83, 4, 84, "Input"],
Cell[14034, 574, 138, 4, 47, "Text",
 Evaluatable->False],
Cell[14175, 580, 130, 3, 47, "Text",
 Evaluatable->False],
Cell[14308, 585, 154, 6, 61, "Input"],
Cell[14465, 593, 1115, 45, 80, "Text",
 Evaluatable->False],
Cell[15583, 640, 137, 2, 61, "Input"],
Cell[15723, 644, 122, 5, 107, "Input"],
Cell[15848, 651, 159, 5, 107, "Input"],
Cell[16010, 658, 187, 5, 91, "Input"],
Cell[16200, 665, 111, 2, 61, "Input"],
Cell[16314, 669, 105, 3, 130, "Section",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[16422, 674, 770, 26, 158, "Input",
 Evaluatable->False,
 CellGroupingRules->"SectionGrouping"],
Cell[17195, 702, 250, 9, 170, "Input"],
Cell[17448, 713, 308, 12, 80, "Text",
 Evaluatable->False],
Cell[17759, 727, 104, 4, 84, "Input"],
Cell[17866, 733, 829, 26, 91, "Input"],
Cell[18698, 761, 288, 7, 61, "Input"],
Cell[18989, 770, 261, 7, 61, "Input"],
Cell[19253, 779, 174, 7, 47, "Text",
 Evaluatable->False],
Cell[19430, 788, 225, 7, 84, "Input"],
Cell[19658, 797, 125, 3, 47, "Text",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[19786, 802, 1018, 27, 120, "Input"],
Cell[20807, 831, 150, 5, 84, "Input"],
Cell[20960, 838, 144, 4, 115, "Title",
 Evaluatable->False,
 PageBreakAbove->Automatic,
 PageBreakBelow->False],
Cell[21107, 844, 1372, 57, 101, "Text",
 Evaluatable->False],
Cell[22482, 903, 273, 8, 107, "Input"],
Cell[22758, 913, 117, 3, 47, "Subsubsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[22878, 918, 178, 7, 147, "Input"],
Cell[23059, 927, 240, 6, 84, "Input"],
Cell[23302, 935, 183, 6, 107, "Input"],
Cell[23488, 943, 605, 19, 128, "Input",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[24096, 964, 101, 4, 84, "Input"],
Cell[24200, 970, 276, 9, 176, "Input"],
Cell[24479, 981, 685, 22, 179, "Input",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[25167, 1005, 117, 5, 107, "Input"],
Cell[25287, 1012, 198, 8, 153, "Input"],
Cell[25488, 1022, 228, 10, 115, "Title",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[25719, 1034, 120, 3, 57, "Subsection",
 Evaluatable->False],
Cell[25842, 1039, 553, 18, 135, "Input",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[26420, 1061, 103, 4, 84, "Input"],
Cell[26526, 1067, 292, 8, 81, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26855, 1080, 69, 1, 61, "Input"],
Cell[26927, 1083, 138, 2, 60, "Output"]
}, Open  ]],
Cell[27080, 1088, 498, 14, 112, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[27603, 1106, 147, 3, 61, "Input"],
Cell[27753, 1111, 1013, 18, 64, "Message"]
}, Open  ]],
Cell[28781, 1132, 120, 2, 61, "Input"],
Cell[28904, 1136, 243, 8, 80, "Text",
 Evaluatable->False],
Cell[29150, 1146, 135, 4, 57, "Subsection",
 Evaluatable->False,
 PageBreakAbove->Automatic],
Cell[29288, 1152, 112, 4, 42, "Text"],
Cell[29403, 1158, 407, 10, 61, "Input"],
Cell[29813, 1170, 191, 6, 80, "Text"],
Cell[30007, 1178, 328, 9, 61, "Input"],
Cell[30338, 1189, 224, 6, 79, "Text"],
Cell[30565, 1197, 328, 9, 61, "Input"]
}
]
*)

(* End of internal cache information *)
