(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11744,        360]
NotebookOptionsPosition[      9910,        302]
NotebookOutlinePosition[     11175,        345]
CellTagsIndexPosition[     11132,        342]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Graphical user interface", "Title",
 CellChangeTimes->{{3.5351376095318317`*^9, 3.535137614742241*^9}}],

Cell[BoxData[
 RowBox[{"Mathematica", ",", " ", 
  RowBox[{
  "mo\:017ee", " ", "\"\<sama\>\"", " ", "napraviti", " ", "mali", " ", 
   RowBox[{"GUI", ":", " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
    "Osnovne", " ", "dvije", " ", "funkcije", " ", "koje", " ", 
     "\[CAcute]emo", " ", "mi", " ", "koristiti", " ", "su"}]}]}]}]], "Input",\

 CellChangeTimes->{{3.48067876321875*^9, 3.48067881478125*^9}}],

Cell[BoxData[{"Manipulate", "\[IndentingNewLine]", "Animate"}], "Input",
 CellChangeTimes->{
  3.48067879309375*^9, {3.48067883853125*^9, 3.480678839421875*^9}, {
   3.480679028203125*^9, 3.4806790288125*^9}, {3.512409529735022*^9, 
   3.5124095306384706`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Sintaksa", ":"}]}]], "Input",
 CellChangeTimes->{{3.48067917828125*^9, 3.4806791813125*^9}}],

Cell[BoxData[{
 RowBox[{"Manipulate", "[", 
  RowBox[{"izraz", ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "umin", ",", "umax"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{"izraz", ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "umin", ",", "umax", ",", "du"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"generira", " ", "se", " ", "GUI", " ", "koji", " ", "izvodi", " ", 
  "izraz", " ", "pri", " ", "\[CHacek]emu", " ", "su", " ", "varijable", "  ",
   "iz"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intervala", " ", "[", 
   RowBox[{"umin", ",", "umax"}], "]"}], " ", 
  RowBox[{"(", 
   RowBox[{
   "sa", " ", "korakom", " ", "du", " ", "u", " ", "2.", " ", 
    "slu\[CHacek]aju"}], ")"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.480679189921875*^9, 3.48067930946875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", "a"}], ")"}], "*", 
       RowBox[{"Sin", "[", 
        RowBox[{"x", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"a", " ", "x"}]}], ")"}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", 
        RowBox[{"2", "Pi"}]}], "}"}], ",", " ", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "5"}], ",", "5"}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "0.25", ",", "4"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.480679044734375*^9, {3.48067931965625*^9, 3.480679376875*^9}, {
   3.480679431484375*^9, 3.480679433921875*^9}, {3.4806794700625*^9, 
   3.480679519671875*^9}, {3.480679565453125*^9, 3.480679566*^9}, {
   3.480679615421875*^9, 3.4806796908125*^9}, {3.480679904984375*^9, 
   3.480679950078125*^9}, {3.4813534405*^9, 3.48135357440625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
  "Mo\:017eemo", " ", "istu", " ", "funkciju", " ", "koristiti", " ", "i", 
   " ", "za", " ", "\"\<vizuilizaciju\>\"", "  ", "funkcije", " ", 
   RowBox[{"faktoriziranja", ":"}]}]}]], "Input",
 CellChangeTimes->{{3.48068001584375*^9, 3.480680055375*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.48068001484375*^9, {3.480680058*^9, 3.480680058171875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Factor", "[", 
    RowBox[{
     RowBox[{"x", "^", "n"}], "-", "1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "2", ",", "10", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.48067997834375*^9, 3.48067999584375*^9}, {
  3.481353621578125*^9, 3.481353623859375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Clear", "[", "x", "]"}]}]], "Input",
 CellChangeTimes->{{3.480680080859375*^9, 3.48068008684375*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"n1", " ", "x"}], "]"}], "+", 
      RowBox[{"Sin", "[", 
       RowBox[{"n2", " ", "x"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "2"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n1", ",", "1", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n2", ",", "1", ",", "20"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a1", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"n1", " ", 
         RowBox[{"(", 
          RowBox[{"x", "+", "p1"}], ")"}]}], "]"}]}], "+", 
      RowBox[{"a2", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"n2", " ", 
         RowBox[{"(", 
          RowBox[{"x", "+", "p2"}], ")"}]}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "2"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n1", ",", "1", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a1", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p1", ",", "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n2", ",", "1", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a2", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p2", ",", "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Expand", "[", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}], "n"], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "20", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.480680229984375*^9, 3.4806802301875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "x", "}"}], ",", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Fit", "[", 
        RowBox[{"points", ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Exp", "[", "x", "]"}], "*", 
             RowBox[{"x", "^", "i"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", "order"}], "}"}]}], "]"}], ",", "x"}],
         "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "2"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
       RowBox[{"Evaluated", "->", "True"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"order", ",", "3"}], "}"}], ",", "1", ",", "10", ",", "1", ",", 
     
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"points", ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", "Locator", 
     ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", "True"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.480680401078125*^9, 3.480680440265625*^9}, {
  3.4806804726875*^9, 3.48068052715625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Animate", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"x", "+", "a"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "0", ",", "5"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.480680576109375*^9, 3.4806805955*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
   "Puno", " ", "vi\[SHacek]e", " ", "primjera", " ", "se", " ", "mo\:017ee", 
    " ", "na\[CAcute]i", " ", "u", " ", "Help"}], "-", 
   RowBox[{"u", "  ", 
    RowBox[{"(", 
     RowBox[{"tutorial", "/", "IntroductionToManipulate"}], ")"}]}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.481353918*^9, 3.481353921453125*^9}, 
   3.481354420109375*^9}],

Cell[BoxData[{
 RowBox[{"Graphics", " ", "beyond", " ", "Plotting"}], "\[IndentingNewLine]", 

 RowBox[{"Locator", "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",\

 CellChangeTimes->{{3.481354421359375*^9, 3.481354424265625*^9}, 
   3.48135445596875*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"n1", " ", "x"}], "]"}], "+", 
      RowBox[{"Sin", "[", 
       RowBox[{"n2", " ", "x"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}], ",", 
     RowBox[{"Filling", "\[Rule]", "filling"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "2"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n1", ",", "1", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n2", ",", "1", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"filling", ",", 
     RowBox[{"{", 
      RowBox[{"None", ",", "Axis", ",", "Top", ",", "Bottom"}], "}"}]}], 
    "}"}]}], "]"}]], "Input"]
},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
CellGrouping->Manual,
WindowSize->{1904, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{9, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {
  "Praktikum 3 - 2. dio", Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {56.6875, 56.6875}}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
CharacterEncoding->"MacintoshAutomaticEncoding",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 109, 1, 115, "Title"],
Cell[657, 23, 430, 9, 120, "Input"],
Cell[1090, 34, 261, 4, 91, "Input"],
Cell[1354, 40, 150, 3, 91, "Input"],
Cell[1507, 45, 850, 21, 178, "Input"],
Cell[2360, 68, 1076, 29, 120, "Input"],
Cell[3439, 99, 313, 6, 120, "Input"],
Cell[3755, 107, 110, 2, 61, "Input"],
Cell[3868, 111, 354, 9, 61, "Input"],
Cell[4225, 122, 159, 3, 91, "Input"],
Cell[4387, 127, 564, 17, 91, "Input"],
Cell[4954, 146, 1072, 33, 120, "Input"],
Cell[6029, 181, 346, 9, 61, "Input"],
Cell[6378, 192, 1580, 46, 207, "Input"],
Cell[7961, 240, 479, 14, 120, "Input"],
Cell[8443, 256, 417, 11, 120, "Input"],
Cell[8863, 269, 266, 6, 149, "Input"],
Cell[9132, 277, 774, 23, 120, "Input"]
}
]
*)

(* End of internal cache information *)
