(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     28063,        852]
NotebookOptionsPosition[     24436,        741]
NotebookOutlinePosition[     26159,        798]
CellTagsIndexPosition[     25992,        791]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Fraktali", "Title",
 CellChangeTimes->{{3.512495948913464*^9, 3.5124959510194674`*^9}}],

Cell["Mandelbrotov skup", "Subtitle",
 CellChangeTimes->{{3.5124959581954803`*^9, 3.512495960894285*^9}}],

Cell["Definisimo prvo funkciju Mandelbrot", "Text",
 CellChangeTimes->{{3.5124974154192953`*^9, 3.512497422891709*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Mandelbrot", "[", "zc_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"z", "=", "0"}], ",", 
        RowBox[{"i", "=", "0"}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", "<", "100"}], "&&", 
          RowBox[{
           RowBox[{"Abs", "[", "z", "]"}], "<", "2"}]}], ",", 
         RowBox[{
          RowBox[{"z", "=", 
           RowBox[{
            RowBox[{"z", "^", "2"}], "+", "zc"}]}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", "i"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.512492484695402*^9, 3.5124925150530553`*^9}, {
   3.5124930197975435`*^9, 3.5124930235103498`*^9}, 3.5124932243077407`*^9, {
   3.5124933901693373`*^9, 3.5124933906217384`*^9}}],

Cell["Isprobajmo je:", "Text",
 CellChangeTimes->{{3.512497432594926*^9, 3.512497443156144*^9}}],

Cell[BoxData[
 RowBox[{"Mandelbrot", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.5124926181068363`*^9, 3.5124926280752535`*^9}}],

Cell[BoxData[
 RowBox[{"Mandelbrot", "[", "I", "]"}]], "Input",
 CellChangeTimes->{{3.512493234837759*^9, 3.512493238129365*^9}}],

Cell[BoxData[
 RowBox[{"Mandelbrot", "[", 
  RowBox[{
   RowBox[{"-", "1.2"}], "+", 
   RowBox[{"0.193", "I"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512493550506419*^9, 3.5124936175085373`*^9}, {
  3.5124936958362746`*^9, 3.512493706303893*^9}, {3.5124937426519566`*^9, 
  3.5124937560835805`*^9}, {3.5124940612981167`*^9, 3.5124940743397393`*^9}}],

Cell["\<\
Iskoristimo DensityPlot funkciju kako bismo nacrtali MandelBrotov skup!\
\>", "Text",
 CellChangeTimes->{{3.51249744621375*^9, 3.512497464528182*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "DensityPlot"}]], "Input",
 CellChangeTimes->{{3.5124974718289948`*^9, 3.512497493466233*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"\!\(\*RowBox[{\\\"DensityPlot\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"f\\\", \\\"TI\\\"], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{StyleBox[\\\"x\\\", \\\"TI\\\"], \\\",\\\", \
SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"min\\\", \
\\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"max\\\", \\\"TI\\\"]]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\
\", RowBox[{StyleBox[\\\"y\\\", \\\"TI\\\"], \\\",\\\", \
SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\\\"min\\\", \
\\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"max\\\", \\\"TI\\\"]]}], \\\"}\\\"}]}], \\\"]\\\"}]\) makes a \
density plot of \!\(\*StyleBox[\\\"f\\\", \\\"TI\\\"]\) as a function of \!\(\
\*StyleBox[\\\"x\\\", \\\"TI\\\"]\) and \!\(\*StyleBox[\\\"y\\\", \\\"TI\\\"]\
\). \"\>", "MSG"], "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/DensityPlot"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.5124974950886354`*^9},
 CellTags->"Info3512504694-6148331"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"xc", "+", 
     RowBox[{"I", " ", "yc"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"xc", ",", 
     RowBox[{"-", "2"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"yc", ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5124939816443768`*^9, 3.5124939958092017`*^9}, {
  3.512494393141899*^9, 3.512494394904702*^9}, {3.512496974817154*^9, 
  3.5124969763927565`*^9}}],

Cell[BoxData[
 RowBox[{"mandel", "=", 
  RowBox[{"DensityPlot", "[", 
   RowBox[{
    RowBox[{"Mandelbrot", "[", 
     RowBox[{"xc", "+", 
      RowBox[{"I", " ", "yc"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"xc", ",", 
      RowBox[{"-", "2"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"yc", ",", 
      RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "75"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5124969844423704`*^9, 3.51249698993358*^9}, {
  3.5351381930976562`*^9, 3.535138194470459*^9}, {3.5351382323473253`*^9, 
  3.535138233626528*^9}}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"xc", "+", 
     RowBox[{"I", " ", "yc"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"xc", ",", 
     RowBox[{"-", "2"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"yc", ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<CMYKColors\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.512494341381008*^9, 3.5124943454370155`*^9}, {
  3.512494379803876*^9, 3.512494381691479*^9}, {3.5351383926532073`*^9, 
  3.5351384010304217`*^9}, {3.535138435194482*^9, 3.535138435849683*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Zumirajmo", "!"}], "Text"]], "Input",
 CellChangeTimes->{{3.5351384820413637`*^9, 3.5351384836481667`*^9}}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"xc", "+", 
     RowBox[{"I", " ", "yc"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"xc", ",", 
     RowBox[{"-", "1.2"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"yc", ",", "0.1", ",", "0.4"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.535138518997829*^9, 3.535138538919064*^9}, {
  3.535138771187872*^9, 3.535138779830287*^9}, {3.535138944426176*^9, 
  3.535138947717782*^9}}],

Cell[BoxData[
 RowBox[{"Zumirajmo", " ", 
  RowBox[{"jos", "!"}]}]], "Input",
 CellChangeTimes->{{3.5351390579943757`*^9, 3.53513906047478*^9}}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"xc", "+", 
     RowBox[{"I", " ", "yc"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"xc", ",", 
     RowBox[{"-", "1.12"}], ",", 
     RowBox[{"-", "1.10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"yc", ",", "0.22", ",", "0.23"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.5351391106756682`*^9, 3.5351391455729294`*^9}, {
  3.5351391798461895`*^9, 3.5351391808133917`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Mandelbrot", "[", "zc_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"z", "=", "0"}], ",", 
        RowBox[{"i", "=", "0"}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", "<", "1000"}], "&&", 
          RowBox[{
           RowBox[{"Abs", "[", "z", "]"}], "<", "3"}]}], ",", 
         RowBox[{
          RowBox[{"z", "=", 
           RowBox[{
            RowBox[{"z", "^", "2"}], "+", "zc"}]}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", "i"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.535139611202547*^9, 3.535139621872966*^9}}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"xc", "+", 
     RowBox[{"I", " ", "yc"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"xc", ",", 
     RowBox[{"-", "1.12"}], ",", 
     RowBox[{"-", "1.10"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"yc", ",", "0.22", ",", "0.23"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.5351396361157913`*^9, 3.535139636536992*^9}, {
  3.5351397284835534`*^9, 3.5351397298563557`*^9}}],

Cell["\<\
Vidimo da promjenama ColorFunctiona mozemo radikalno promijeniti izgled \
grafa. Pogledajte help i tutorial!\
\>", "Text",
 CellChangeTimes->{{3.512497835454857*^9, 3.5124978681592274`*^9}, 
   3.5351385820375395`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Hue"}]], "Input",
 CellChangeTimes->{{3.5124978800308485`*^9, 3.5124978813100505`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Hue\\\", \\\"[\\\", StyleBox[\\\"h\\\", \
\\\"TI\\\"], \\\"]\\\"}]\\) is a graphics directive which specifies that \
objects which follow are to be displayed, if possible, in a color \
corresponding to hue \\!\\(\\*StyleBox[\\\"h\\\", \\\"TI\\\"]\\). \
\\n\\!\\(\\*RowBox[{\\\"Hue\\\", \\\"[\\\", RowBox[{StyleBox[\\\"h\\\", \
\\\"TI\\\"], \\\",\\\", StyleBox[\\\"s\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\
\\\"b\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) specifies colors in terms of hue, \
saturation and brightness. \\n\\!\\(\\*RowBox[{\\\"Hue\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"h\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"s\\\", \
\\\"TI\\\"], \\\",\\\", StyleBox[\\\"b\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\
\\\"a\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) specifies opacity \\!\\(\\*StyleBox[\
\\\"a\\\", \\\"TI\\\"]\\). \"\>", "MSG"], "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Hue"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.5124978825736527`*^9},
 CellTags->"Info3512505081-5949319"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ColorFunction"}]], "Input",
 CellChangeTimes->{{3.5124978876436615`*^9, 3.5124978910288677`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"ColorFunction is an option for graphics functions which \
specifies a function to apply to determine colors of elements. \"\>", "MSG"], 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ColorFunction"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.5124978921832695`*^9},
 CellTags->"Info3512505091-5236606"]
}, Open  ]],

Cell["Julia skup", "Subtitle",
 CellChangeTimes->{{3.5124959720015044`*^9, 3.512495973891328*^9}}],

Cell["\<\
Definisimo kako biramo da li je kompleskan broj u Julia skupu ili ne. Za sada \
ne definisemo broj zc.\
\>", "Text",
 CellChangeTimes->{{3.5124978971596785`*^9, 3.5124979194833174`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Julia", "[", "zo_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"z", "=", "zo"}], ",", 
       RowBox[{"i", "=", "0"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"i", "<", "100"}], "&&", 
         RowBox[{
          RowBox[{"Abs", "[", "z", "]"}], "<", "4"}]}], ",", 
        RowBox[{
         RowBox[{"z", "=", 
          RowBox[{
           RowBox[{"z", "^", "2"}], "+", "zc"}]}], ";", 
         RowBox[{"i", "++"}]}]}], "]"}], ";", "i"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5124946178602943`*^9, 3.5124947000256386`*^9, {3.512494927087812*^9, 
   3.5124949271658125`*^9}, {3.512497050227686*^9, 3.512497051335288*^9}}],

Cell["Isprobajmo za konkretni slucaj parametra zc", "Text",
 CellChangeTimes->{{3.5124979293737345`*^9, 3.5124979421189575`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.016"}], "-", 
    RowBox[{"0.791", " ", "I"}]}]}], ";"}], "\n", 
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{"Julia", "[", 
     RowBox[{"x", "+", 
      RowBox[{"I", " ", "y"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
   RowBox[{"Frame", "\[Rule]", "False"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Hue", "[", 
       RowBox[{"1", "-", "#"}], "]"}], "&"}], ")"}]}]}], "]"}]}], "Input"],

Cell["\<\
Ovo je drugi nacin definisanja Julia skupa, koji nije kvadratni.\
\>", "Text",
 CellChangeTimes->{{3.5124979622117925`*^9, 3.5124979760958166`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Julia2", "=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"z", ",", "_Complex"}], "}"}], "}"}], ",", 
     RowBox[{"Length", "[", 
      RowBox[{"FixedPointList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"#", "^", "3"}], "+", "zc"}], "&"}], ",", "z", ",", "100", 
        ",", 
        RowBox[{"SameTest", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Abs", "[", "#", "]"}], ">", "2"}], "&"}], ")"}]}]}], 
       "]"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.5"}], "-", 
    RowBox[{"0.05", " ", "I"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.512495039669449*^9, 3.512495055409054*^9}, {
  3.512497010244816*^9, 3.5124970125380197`*^9}}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Julia2", "[", 
    RowBox[{"x", "+", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.15"}], ",", "1.15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1.15"}], ",", "1.15"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
   RowBox[{"Frame", "\[Rule]", "False"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"RGBColor", "[", 
       RowBox[{
        RowBox[{"Min", "[", 
         RowBox[{
          RowBox[{"2", 
           RowBox[{"#", "^", "2"}]}], ",", "1"}], "]"}], ",", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"2", "#"}], "-", "1"}], ",", "0"}], "]"}], ",", 
        RowBox[{"Min", "[", 
         RowBox[{
          RowBox[{"2", "#"}], ",", "1"}], "]"}]}], "]"}], "&"}], ")"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Julia3", "[", "zo_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"z", "=", "zo"}], ",", 
       RowBox[{"i", "=", "0"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"i", "<", "100"}], "&&", 
         RowBox[{
          RowBox[{"Abs", "[", "z", "]"}], "<", "2"}]}], ",", 
        RowBox[{
         RowBox[{"z", "=", 
          RowBox[{
           RowBox[{"z", "^", "2"}], "+", "zc"}]}], ";", 
         RowBox[{"i", "++"}]}]}], "]"}], ";", "i"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.512495188960888*^9, 3.512495421712287*^9, {3.512497018809231*^9, 
   3.5124970267028446`*^9}, {3.512498001633062*^9, 3.512498010166277*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.016"}], "+", 
    RowBox[{"0.791", " ", "I"}]}]}], ";"}], "\n", 
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{"Julia3", "[", 
     RowBox[{"x", "+", 
      RowBox[{"I", " ", "y"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "0.5"}], ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "0.5"}], ",", "0.5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
   RowBox[{"Frame", "\[Rule]", "False"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.5124970391516666`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Julia4", "[", "zo_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"z", "=", "zo"}], ",", 
       RowBox[{"i", "=", "0"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"i", "<", "149"}], "&&", 
         RowBox[{
          RowBox[{"Abs", "[", "z", "]"}], "<", "4"}]}], ",", 
        RowBox[{
         RowBox[{"z", "=", 
          RowBox[{
           RowBox[{"z", "^", "2"}], "+", "zc"}]}], ";", 
         RowBox[{"i", "++"}]}]}], "]"}], ";", "i"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.512495644496279*^9, 3.512495710827595*^9, {3.512495773586505*^9, 
   3.512495782603321*^9}, 3.5124970335512567`*^9, {3.5124970669821153`*^9, 
   3.512497072348525*^9}, {3.5124975172874746`*^9, 3.5124975183014765`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.016"}], "+", 
    RowBox[{"0.791", " ", "I"}]}]}], ";"}], "\n", 
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Log", "[", 
    RowBox[{"Julia4", "[", 
     RowBox[{"x", "+", 
      RowBox[{"I", " ", "y"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
   RowBox[{"Frame", "\[Rule]", "False"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Hue", "[", 
       RowBox[{"1", "-", "#"}], "]"}], "&"}], ")"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{3.5124971888624425`*^9}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Julia4", "[", 
    RowBox[{"x", "+", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.6"}], ",", "1.6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "75"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
   RowBox[{"Frame", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512495795691744*^9, 3.512495798718149*^9}, {
   3.5124971632471976`*^9, 3.5124973111487126`*^9}, 3.5124973900224514`*^9, {
   3.5124975985313787`*^9, 3.51249764374494*^9}, {3.512497681949407*^9, 
   3.5124976891098194`*^9}}],

Cell["Izmjenama vrijednosti parametra zc znacajno sve mijenjamo!", "Text",
 CellChangeTimes->{{3.512497111582594*^9, 3.5124971266244955`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.70176"}], "-", 
    RowBox[{"0.3842", "*", "I"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.512497136657069*^9, 3.5124971421715603`*^9}, {
   3.5124972043532696`*^9, 3.5124972047120705`*^9}, 3.512497377324029*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.835"}], "-", 
    RowBox[{"0.2321", "*", "I"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5124977600463133`*^9, 3.5124977681739273`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.8"}], "+", 
    RowBox[{"0.156", "*", "I"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5124977799044027`*^9, 3.512497785442412*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{
    RowBox[{"-", "0.4"}], "+", 
    RowBox[{"0.6", "*", "I"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.512497806712104*^9, 3.5124978105809107`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "275"}], ";", 
  RowBox[{"image", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", "n", "}"}], ",", 
     RowBox[{"{", "n", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Interpolate", "[", 
    RowBox[{"x1_", ",", "x2_"}], "]"}], ":=", 
   RowBox[{"2", 
    RowBox[{"Cos", "[", 
     RowBox[{
      RowBox[{"ArcCos", "[", 
       RowBox[{"x1", "/", "2"}], "]"}], "+", 
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ArcCos", "[", 
          RowBox[{"x2", "/", "2"}], "]"}], "-", 
         RowBox[{"ArcCos", "[", 
          RowBox[{"x1", "/", "2"}], "]"}]}], ")"}]}]}], "]"}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"Interpolate", "[", 
    RowBox[{"1.6", ",", "1.3"}], "]"}]}], ";", 
  RowBox[{"b", "=", 
   RowBox[{"Interpolate", "[", 
    RowBox[{
     RowBox[{"-", "0.6"}], ",", "1.7"}], "]"}]}], ";", 
  RowBox[{"c", "=", 
   RowBox[{"Interpolate", "[", 
    RowBox[{
     RowBox[{"-", "1.2"}], ",", "0.5"}], "]"}]}], ";", 
  RowBox[{"d", "=", 
   RowBox[{"Interpolate", "[", 
    RowBox[{"1.6", ",", "1.4"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "=", 
      RowBox[{"y", "=", "0"}]}], ";", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"a", " ", "y"}], "]"}], "+", 
            RowBox[{"c", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"a", " ", "x"}], "]"}]}]}], ",", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"b", " ", "x"}], "]"}], "+", 
            RowBox[{"d", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"b", " ", "y"}], "]"}]}]}]}], "}"}]}], ";", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"i", ",", "j"}], "}"}], "=", 
         RowBox[{"Round", "[", 
          RowBox[{"n", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{"y", ",", "x"}], "}"}], "/", "6"}], "+", "0.5"}], 
            ")"}]}], "]"}]}], ";", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"0", "<", "i", "\[LessEqual]", "n"}], "&&", 
           RowBox[{"0", "<", "j", "\[LessEqual]", "n"}]}], ",", 
          RowBox[{
           RowBox[{"image", "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "j"}], "]"}], "]"}], "+=", 
           RowBox[{"List", "@@", 
            RowBox[{"ToColor", "[", 
             RowBox[{
              RowBox[{"Hue", "[", "p", "]"}], ",", "RGBColor"}], "]"}]}]}]}], 
         "]"}]}], ",", 
       RowBox[{"{", "1000", "}"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "0", ",", "1", ",", "0.001"}], "}"}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Show", "[", 
  RowBox[{"Graphics", "[", 
   RowBox[{
    RowBox[{"RasterArray", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"RGBColor", "@@", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"1", "-", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", "0.02"}], "#"}], "]"}]}], "&"}], ",", 
           RowBox[{"List", "@@", "#"}]}], "]"}]}], "&"}], ",", "image", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}], "]"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{3.5124955828917704`*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.5351395495044394`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RasterArray", "::", "\<\"obs\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"RasterArray is obsolete. \
Translating to Raster.\\\\\\\"\\\", \\\"MT\\\"]\\) \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/RasterArray\\\", ButtonNote -> \
\\\"RasterArray::obs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.5351395555728493`*^9}]
}, Open  ]]
},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
CellGrouping->Manual,
WindowSize->{1008, 505},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{9, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {
  "Praktikum 3 - 2. dio", Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {56.6875, 56.6875}}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, 128}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
CharacterEncoding->"MacintoshAutomaticEncoding",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3512504694-6148331"->{
  Cell[2810, 88, 1155, 21, 60, "Print",
   CellTags->"Info3512504694-6148331"]},
 "Info3512505081-5949319"->{
  Cell[9108, 269, 1146, 20, 128, "Print",
   CellTags->"Info3512505081-5949319"]},
 "Info3512505091-5236606"->{
  Cell[10420, 298, 444, 11, 60, "Print",
   CellTags->"Info3512505091-5236606"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3512504694-6148331", 25665, 779},
 {"Info3512505081-5949319", 25775, 782},
 {"Info3512505091-5236606", 25887, 785}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 93, 1, 115, "Title"],
Cell[641, 23, 105, 1, 44, "Subtitle"],
Cell[749, 26, 119, 1, 47, "Text"],
Cell[871, 29, 904, 26, 120, "Input"],
Cell[1778, 57, 96, 1, 47, "Text"],
Cell[1877, 60, 133, 2, 61, "Input"],
Cell[2013, 64, 129, 2, 61, "Input"],
Cell[2145, 68, 352, 7, 61, "Input"],
Cell[2500, 77, 160, 3, 47, "Text"],
Cell[CellGroupData[{
Cell[2685, 84, 122, 2, 61, "Input"],
Cell[2810, 88, 1155, 21, 60, "Print",
 CellTags->"Info3512504694-6148331"]
}, Open  ]],
Cell[3980, 112, 524, 14, 61, "Input"],
Cell[4507, 128, 612, 16, 91, "Input"],
Cell[5122, 146, 693, 17, 91, "Input"],
Cell[5818, 165, 143, 3, 67, "Input"],
Cell[5964, 170, 638, 17, 91, "Input"],
Cell[6605, 189, 144, 3, 61, "Input"],
Cell[6752, 194, 603, 16, 91, "Input"],
Cell[7358, 212, 771, 24, 120, "Input"],
Cell[8132, 238, 601, 16, 91, "Input"],
Cell[8736, 256, 228, 5, 79, "Text"],
Cell[CellGroupData[{
Cell[8989, 265, 116, 2, 61, "Input"],
Cell[9108, 269, 1146, 20, 128, "Print",
 CellTags->"Info3512505081-5949319"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10291, 294, 126, 2, 61, "Input"],
Cell[10420, 298, 444, 11, 60, "Print",
 CellTags->"Info3512505091-5236606"]
}, Open  ]],
Cell[10879, 312, 98, 1, 44, "Subtitle"],
Cell[10980, 315, 196, 4, 79, "Text"],
Cell[11179, 321, 813, 25, 91, "Input"],
Cell[11995, 348, 129, 1, 47, "Text"],
Cell[12127, 351, 820, 25, 149, "Input"],
Cell[12950, 378, 158, 3, 47, "Text"],
Cell[13111, 383, 869, 27, 120, "Input"],
Cell[13983, 412, 1017, 31, 120, "Input"],
Cell[15003, 445, 810, 25, 91, "Input"],
Cell[15816, 472, 705, 21, 120, "Input"],
Cell[16524, 495, 888, 26, 91, "Input"],
Cell[17415, 523, 864, 26, 149, "Input"],
Cell[18282, 551, 742, 18, 91, "Input"],
Cell[19027, 571, 142, 1, 47, "Text"],
Cell[19172, 574, 292, 7, 61, "Input"],
Cell[19467, 583, 216, 6, 61, "Input"],
Cell[19686, 591, 211, 6, 61, "Input"],
Cell[19900, 599, 209, 6, 61, "Input"],
Cell[CellGroupData[{
Cell[20134, 609, 3736, 115, 439, "Input"],
Cell[23873, 726, 79, 1, 60, "Output"],
Cell[23955, 729, 465, 9, 46, "Message"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
