(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     84913,       2335]
NotebookOptionsPosition[     79654,       2171]
NotebookOutlinePosition[     80121,       2188]
CellTagsIndexPosition[     80078,       2185]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Interpolacija funkcija", "Title",
 CellChangeTimes->{{3.477057907637887*^9, 3.4770579128188868`*^9}},
 FontSize->24],

Cell["\<\
Interpolacija funkcije u zavisnosti od broja cvorova interpolacije - animacija\
\>", "Subtitle",
 CellChangeTimes->{{3.477057988896887*^9, 3.477058024737887*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "x_", "]"}], ":=", 
      RowBox[{
       RowBox[{"0.56", 
        RowBox[{"Abs", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", "1.56"}], "]"}]}], "-", "0.58"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"a", "=", 
      RowBox[{"-", "3"}]}], ";", 
     RowBox[{"b", "=", "3"}], ";", "\[IndentingNewLine]", 
     RowBox[{"mreza", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"a", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"b", "-", "a"}], ")"}], "*", "i"}], ")"}], "/", "n"}]}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
     RowBox[{"(*", 
      RowBox[{"ekvidistantna", " ", "mreza"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"polinom", "=", 
      RowBox[{"Expand", "[", 
       RowBox[{"InterpolatingPolynomial", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mreza", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{"f", "[", 
              RowBox[{"mreza", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], ",", "x"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"G1", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "4"}], "}"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", "Red"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"G2", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{"polinom", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", "Green"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"G3", "=", 
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"mreza", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", 
            RowBox[{"f", "[", 
             RowBox[{"mreza", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", 
         RowBox[{"PointSize", "[", "Medium", "]"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"G1", ",", "G2", ",", "G3"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "11", ",", "1"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.476963656408*^9, 3.476963817573*^9}, {3.47696386548*^9, 
   3.476963952826*^9}, {3.476963985928*^9, 3.4769641158*^9}, {
   3.476964161466*^9, 3.47696417088*^9}, {3.4769642204709997`*^9, 
   3.476964221007*^9}, {3.47696444141*^9, 3.4769645367650003`*^9}, {
   3.476964566793*^9, 3.476964746417*^9}, {3.476964791008*^9, 
   3.476964879701*^9}, {3.4769649103380003`*^9, 3.476964910686*^9}, {
   3.4769650033310003`*^9, 3.476965024477*^9}, {3.476965113455*^9, 
   3.4769652723199997`*^9}, {3.476965335742*^9, 3.476965432891*^9}, {
   3.476965482591*^9, 3.476965482914*^9}, {3.4769655155290003`*^9, 
   3.476965515674*^9}, {3.4769656650699997`*^9, 3.476965669947*^9}, {
   3.476965703619*^9, 3.476965726424*^9}, {3.476966112966*^9, 
   3.47696611333*^9}, 3.4770559146948867`*^9, {3.477056806140887*^9, 
   3.477056846988887*^9}, {3.4770569724268866`*^9, 3.4770569739388866`*^9}, {
   3.4770570536838865`*^9, 3.477057055553887*^9}, {3.477057704859887*^9, 
   3.477057706607887*^9}, {3.477837938347886*^9, 3.477837961540886*^9}, {
   3.477838028075886*^9, 3.477838124986886*^9}, {3.477838305956886*^9, 
   3.477838330468886*^9}, {3.4778383622498856`*^9, 3.477838455472886*^9}, {
   3.477839134501886*^9, 3.477839213290886*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell["Ekvidistantna mre\[ZHacek]a", "Subtitle",
 CellChangeTimes->{{3.4770580374438868`*^9, 3.4770580470378866`*^9}},
 FontSize->24],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"0.56", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "-", "1.56"}], "]"}]}], "-", "0.58"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MojaInterpolacija", "[", 
   RowBox[{"brojcvorova_", " ", ",", "od_", ",", "do_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "=", "od"}], ",", 
      RowBox[{"b", "=", "do"}], ",", 
      RowBox[{"n", "=", 
       RowBox[{"brojcvorova", "-", "1"}]}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"mreza", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"a", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"b", "-", "a"}], ")"}], "*", "i"}], ")"}], "/", "n"}]}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
     RowBox[{"(*", 
      RowBox[{"ekvidistantna", " ", "mreza"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"polinom", "=", 
      RowBox[{"Expand", "[", 
       RowBox[{"InterpolatingPolynomial", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mreza", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{"f", "[", 
              RowBox[{"mreza", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], ",", "x"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"G1", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "4"}], "}"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", "Red"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"G2", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{"polinom", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", "Green"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"G3", "=", 
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"mreza", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", 
            RowBox[{"f", "[", 
             RowBox[{"mreza", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"PointSize", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"G1", ",", "G2", ",", "G3"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MojaInterpolacija", "[", 
  RowBox[{"10", ",", 
   RowBox[{"-", "3"}], ",", "3"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.476967068375*^9, 3.4769672125769997`*^9}, {
   3.476967284387*^9, 3.476967291157*^9}, {3.476967368906*^9, 
   3.476967383476*^9}, {3.476967498325*^9, 3.476967516449*^9}, {
   3.4769682203129997`*^9, 3.476968234108*^9}, {3.476968291104*^9, 
   3.4769683901730003`*^9}, {3.476968532413*^9, 3.476968566211*^9}, {
   3.4770571103978868`*^9, 3.4770572120328865`*^9}, {3.477057269682887*^9, 
   3.4770576633798866`*^9}, {3.477057743620887*^9, 3.477057760755887*^9}, {
   3.477057817014887*^9, 3.477057877670887*^9}, {3.4778381487948856`*^9, 
   3.477838218316886*^9}, {3.477838509047886*^9, 3.4778385454548855`*^9}, {
   3.477839097745886*^9, 3.4778390987498856`*^9}, {3.4778393990518856`*^9, 
   3.4778394147618856`*^9}, 3.4781747384920707`*^9},
 FontSize->24]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Interpolacija funkcije sa mre\[ZHacek]om \[CHacek]iji su \[CHacek]vorovi nule \
\[CapitalCHacek]ebi\[SHacek]evljevog polinoma\
\>", "Subtitle",
 CellChangeTimes->{{3.4770580652008867`*^9, 3.477058104225887*^9}, {
  3.477838252257886*^9, 3.477838290613886*^9}},
 FontSize->24],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MojaInterpolacija2", "[", 
   RowBox[{"stepenpolinoma_", ",", "od_", ",", "do_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "=", "od"}], ",", 
      RowBox[{"b", "=", "do"}], ",", 
      RowBox[{"step", "=", "stepenpolinoma"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "x_", "]"}], ":=", 
      RowBox[{
       RowBox[{"0.56", 
        RowBox[{"Abs", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", "1.56"}], "]"}]}], "-", "0.58"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"cvorovi", "=", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"ChebyshevT", "[", 
           RowBox[{"step", ",", "x"}], "]"}], "\[Equal]", "0"}], ",", "x"}], 
        "]"}], "//", "N"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"mreza", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", "a", "]"}], "*", "x"}], "/.", "cvorovi"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"n", "=", 
      RowBox[{"Length", "[", "mreza", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"polinom", "=", 
      RowBox[{"Expand", "[", 
       RowBox[{"InterpolatingPolynomial", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mreza", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{"f", "[", 
              RowBox[{"mreza", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", "x"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"G1", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "4"}], "}"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", "Red"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"G2", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{"polinom", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", "Blue"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"G3", "=", 
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"mreza", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", 
            RowBox[{"f", "[", 
             RowBox[{"mreza", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"PointSize", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"G1", ",", "G2", ",", "G3"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MojaInterpolacija2", "[", 
  RowBox[{"19", ",", 
   RowBox[{"-", "3"}], ",", "3"}], "]"}]}], "Input",
 CellChangeTimes->{{3.476967529528*^9, 3.476967610801*^9}, {3.476967646262*^9,
    3.476967646828*^9}, {3.4769676980690002`*^9, 3.476967703656*^9}, {
   3.476967932616*^9, 3.4769679639820004`*^9}, {3.476968017759*^9, 
   3.476968024936*^9}, {3.476968179046*^9, 3.47696823929*^9}, {
   3.476968395723*^9, 3.476968396211*^9}, {3.476968475401*^9, 
   3.476968521549*^9}, {3.476968602392*^9, 3.476968604967*^9}, {
   3.47696870171*^9, 3.476968774816*^9}, {3.476968809533*^9, 
   3.476968824921*^9}, 3.4778382522738857`*^9, {3.477838559941886*^9, 
   3.477838569243886*^9}, {3.4778386052708855`*^9, 3.477838633600886*^9}, {
   3.477838731259886*^9, 3.4778388584848857`*^9}, {3.477838905649886*^9, 
   3.477839049067886*^9}, {3.477839335712886*^9, 3.477839339134886*^9}, {
   3.477839374512886*^9, 3.4778393932098856`*^9}, {3.4778394250638857`*^9, 
   3.477839451743886*^9}},
 FontSize->24]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Upore\:0111ivanje interpolacije funkcije sa interpolacionim polinomima u slu\
\[CHacek]aju da su \[CHacek]vorovi mre\[ZHacek]e ekvidistantni i da su nule \
odgovaraju\[CAcute]eg \[CapitalCHacek]ebi\[SHacek]evljevog polinoma\
\>", "Subtitle",
 CellChangeTimes->{{3.477839352849886*^9, 3.4778393625398855`*^9}, {
  3.477839466873886*^9, 3.477839508821886*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"MojaInterpolacija", "[", 
    RowBox[{"19", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "]"}], ",", 
   RowBox[{"MojaInterpolacija2", "[", 
    RowBox[{"19", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.477839238331886*^9, 3.477839326285886*^9}},
 FontSize->24]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Rje\[SHacek]avanje nelinearnih jedna\[CHacek]ina - Metoda bisekcije\
\>", "Subtitle",
 CellChangeTimes->{{3.5384181448317432`*^9, 3.538418151708994*^9}, {
  3.5385495614445653`*^9, 3.538549571475383*^9}},
 FontSize->24],

Cell[TextData[StyleBox["Algoritam BISEKCIJE\nKorak 0. U\[CHacek]itati a, b, \
\[Epsilon]. Ako je f(a) \[CenterDot] f(b) > 0, zaustaviti proces;u protivnom \
pre\[CAcute]i na Korak 1.\nKorak 1. Staviti a0 := a; b0 := b i \
izra\[CHacek]unati x1 = (a0+b0)/2; .\nKorak 2. Ako je f(a0) \[CenterDot] \
f(x1) < 0, staviti b0 := x1; u protivnom staviti a0 = x1.\nKorak 3. Ako je b0\
\[Minus]a0 > 2\[Epsilon], izracunati x1 = (a0+b0)/2 i preci na Korak 2.; u \
protivnom zaustaviti proces.",
 FontSize->24]], "Text",
 CellChangeTimes->{{3.5385489293141937`*^9, 3.5385490195291524`*^9}},
 FontSize->24],

Cell["\<\
Rije\[SHacek]iti jedna\[CHacek]inu  Sin[x]+Log[Sqrt[x]=0.
Lokalizujmo grafi\[CHacek]ki rje\[SHacek]enje jedna\[CHacek]ine:\
\>", "Text",
 CellChangeTimes->{{3.5385490595276227`*^9, 3.53854908074366*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "+", 
    RowBox[{"Log", "[", 
     RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5384182335568175`*^9, 3.538418243865617*^9}},
 FontSize->24],

Cell["\<\
Rije\[SHacek]imo jedna\[CHacek]inu koriste\[CAcute]i FindRoot\
\>", "Text",
 CellChangeTimes->{{3.5385490854548683`*^9, 3.538549097092489*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", "x", "]"}], "+", 
     RowBox[{"Log", "[", 
      RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}], "\[Equal]", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.538418294179641*^9, 3.5384183073253613`*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", "\[Rule]", "0.43247314216991267`"}], "}"}]], "Output",
 CellChangeTimes->{3.5384183079879723`*^9, 3.5385592190873027`*^9},
 FontSize->24]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " module program ima oblik:"
}], "Text",
 CellChangeTimes->{{3.538549125422138*^9, 3.5385491397273636`*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Bisekcija", "[", 
   RowBox[{"f_", ",", "x_", ",", "a_", ",", "b_", ",", "\[Epsilon]_"}], "]"}],
   ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a0", ",", "b0", ",", "x1", ",", "i"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"f", "/.", 
           RowBox[{"x", "\[Rule]", " ", "a"}]}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{"f", "/.", 
           RowBox[{"x", "\[Rule]", " ", "b"}]}], ")"}]}], ">", "0"}], ",", 
       " ", 
       RowBox[{
       "Print", "[", "\"\<Nema rje\[SHacek]ene na zadanom intervalu!\>\"", 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"a0", "=", "a"}], ";", " ", 
        RowBox[{"b0", "=", "b"}], ";", 
        RowBox[{"x1", "=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"a0", "+", "b0"}], ")"}], "/", "2"}]}], ";", 
        RowBox[{"i", "=", "0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"b0", "-", "a0"}], ">", 
           RowBox[{"2", "\[Epsilon]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"f", "/.", 
                 RowBox[{"x", "\[Rule]", " ", "a0"}]}], ")"}], "*", 
               RowBox[{"(", 
                RowBox[{"f", "/.", 
                 RowBox[{"x", "\[Rule]", " ", "x1"}]}], ")"}]}], "<", "0"}], 
             ",", 
             RowBox[{"b0", "=", "x1"}], ",", 
             RowBox[{"a0", "=", "x1"}]}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"x1", "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"a0", "+", "b0"}], ")"}], "/", "2"}]}], ";", 
           RowBox[{"i", "++"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Print", "[", 
            RowBox[{
            "\"\<Iteracija_\>\"", ",", "i", ",", "\"\< iznosi \>\"", ",", 
             RowBox[{"N", "[", "x1", "]"}], ",", "\"\<.\>\""}], "]"}]}]}], 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Bisekcija", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "+", 
    RowBox[{"Log", "[", 
     RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}], ",", "x", ",", "0", ",", "2", 
   ",", "0.0001"}], "]"}]}], "Input",
 CellChangeTimes->{{3.538418167819005*^9, 3.538418180210695*^9}, {
  3.538418224093588*^9, 3.538418224436788*^9}, {3.538418315146653*^9, 
  3.538418321705291*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", "0.5`", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 1, " iznosi ", 0.5, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218173075`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", "0.25`", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 2, " iznosi ", 0.25, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218329077`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", "0.375`", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 3, " iznosi ", 0.375, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218329077`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", "0.4375`", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 4, " iznosi ", 0.4375, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218329077`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", "0.40625`", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 5, " iznosi ", 0.40625, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.538559221848508*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", "0.421875`", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 6, " iznosi ", 0.421875, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.538559221848508*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", "0.4296875`",
    "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 7, " iznosi ", 0.4296875, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.538559221848508*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", 
   "0.43359375`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 8, " iznosi ", 0.43359375, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218641076`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", 
   "0.431640625`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 9, " iznosi ", 0.431640625, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218641076`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", 
   "0.4326171875`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 10, " iznosi ", 0.4326171875, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218797073`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", 
   "0.43212890625`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 11, " iznosi ", 0.43212890625, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218797073`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", 
   "0.432373046875`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 12, " iznosi ", 0.432373046875, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218797073`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "13", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", 
   "0.4324951171875`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 13, " iznosi ", 0.4324951171875, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218953075`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "14", 
   "\[InvisibleSpace]", "\<\" iznosi \"\>", "\[InvisibleSpace]", 
   "0.43243408203125`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 14, " iznosi ", 0.43243408203125, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.538418322532092*^9, 3.5385592218953075`*^9},
 FontSize->24]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Rje\[SHacek]avanje nelinearnih jedna\[CHacek]ina - Newtonova metoda\
\>", "Subtitle",
 CellChangeTimes->{{3.538549492258444*^9, 3.5385494961272507`*^9}, {
  3.538549580086598*^9, 3.5385495809757996`*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newton", "[", 
   RowBox[{"f_", ",", "x_", ",", "i0_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k", ",", "x1", ",", "x0"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"k", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"f", "/.", 
           RowBox[{"x", "\[Rule]", " ", "i0"}]}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"f", ",", "x", ",", "x"}], "]"}], "/.", 
           RowBox[{"x", "\[Rule]", " ", "i0"}]}], ")"}]}], "<", "0"}], ",", 
       RowBox[{
       "Print", "[", 
        "\"\<Sa izabranom pocetnom iteracijom metod nece konvergirati\>\"", 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x0", "=", 
         RowBox[{"N", "[", "i0", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"x1", "=", "x0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Iteracija_0=\>\"", ",", "i0", ",", "\"\<.\>\""}], "]"}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"k", "<", "n"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"x0", "=", "x1"}], ";", "\[IndentingNewLine]", 
           RowBox[{"x1", "=", 
            RowBox[{
             RowBox[{"x0", "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"f", "/.", 
                 RowBox[{"x", "\[Rule]", " ", "x0"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"D", "[", 
                  RowBox[{"f", ",", "x"}], "]"}], "/.", 
                 RowBox[{"x", "\[Rule]", " ", "x0"}]}], ")"}]}]}], "//", 
             "N"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Print", "[", 
            RowBox[{"\"\<Iteracija_\>\"", ",", 
             RowBox[{"k", "+", "1"}], ",", "\"\<=\>\"", ",", "x1"}], "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"Print", "[", 
            RowBox[{"\"\<Razlika iteracije_\>\"", ",", 
             RowBox[{"k", "+", "1"}], ",", "\"\< i iteracije_\>\"", ",", "k", 
             ",", "\"\<je \>\"", ",", 
             RowBox[{"Abs", "[", 
              RowBox[{"x1", "-", "x0"}], "]"}], ",", "\"\<.\>\""}], "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"k", "=", 
            RowBox[{"k", "+", "1"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
        ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]",
    "]"}]}]], "Input",
 CellChangeTimes->{{3.5385496675247517`*^9, 3.5385499106511784`*^9}, {
  3.5385500464026165`*^9, 3.538550092032697*^9}, {3.5385501245431542`*^9, 
  3.538550136882776*^9}, {3.5385501680048304`*^9, 3.5385503328347197`*^9}, {
  3.5385503777003984`*^9, 3.538550412129659*^9}, {3.538550492641401*^9, 
  3.538550746594247*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Newton", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "+", 
    RowBox[{"Log", "[", 
     RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}], ",", "x", ",", "0.01", ",", 
   "6"}], "]"}]], "Input",
 CellChangeTimes->{{3.538549914129985*^9, 3.5385499555324574`*^9}, {
   3.53854998556251*^9, 3.538549986046111*^9}, 3.538550055435033*^9, {
   3.53855028154183*^9, 3.538550282665032*^9}, {3.538550388027617*^9, 
   3.5385503883240175`*^9}, {3.538550421754876*^9, 3.5385504605053444`*^9}, {
   3.538550546445895*^9, 3.5385505468514957`*^9}, 3.5385507139277897`*^9},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_0=\"\>", "\[InvisibleSpace]", "0.01`", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_0=", 0.01, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592286813197`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   "0.05495269622109725`"}],
  SequenceForm["Iteracija_", 1, "=", 0.05495269622109725],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592286813197`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Razlika iteracije_\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" i iteracije_\"\>", "\[InvisibleSpace]", "0", 
   "\[InvisibleSpace]", "\<\"je \"\>", "\[InvisibleSpace]", 
   "0.044952696221097245`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Razlika iteracije_", 1, " i iteracije_", 0, "je ", 0.044952696221097245`, 
   "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592286813197`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   "0.19318039824524708`"}],
  SequenceForm["Iteracija_", 2, "=", 0.19318039824524708`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592286969194`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Razlika iteracije_\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" i iteracije_\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"je \"\>", "\[InvisibleSpace]", 
   "0.13822770202414983`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Razlika iteracije_", 2, " i iteracije_", 1, "je ", 0.13822770202414983`, 
   "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592286969194`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   "0.3696917626676298`"}],
  SequenceForm["Iteracija_", 3, "=", 0.3696917626676298],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592286969194`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Razlika iteracije_\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" i iteracije_\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"je \"\>", "\[InvisibleSpace]", 
   "0.17651136442238274`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Razlika iteracije_", 3, " i iteracije_", 2, "je ", 0.17651136442238274`, 
   "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592287125196`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   "0.42930654107481775`"}],
  SequenceForm["Iteracija_", 4, "=", 0.42930654107481775`],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592287125196`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Razlika iteracije_\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" i iteracije_\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"je \"\>", "\[InvisibleSpace]", 
   "0.05961477840718793`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Razlika iteracije_", 4, " i iteracije_", 3, "je ", 0.05961477840718793, 
   "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592287125196`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   "0.4324656072521315`"}],
  SequenceForm["Iteracija_", 5, "=", 0.4324656072521315],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.53855922872812*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Razlika iteracije_\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" i iteracije_\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"je \"\>", "\[InvisibleSpace]", 
   "0.003159066177313763`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Razlika iteracije_", 5, " i iteracije_", 4, "je ", 0.003159066177313763, 
   "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.53855922872812*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   "0.4324731421273816`"}],
  SequenceForm["Iteracija_", 6, "=", 0.4324731421273816],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592287437196`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Razlika iteracije_\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" i iteracije_\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"je \"\>", "\[InvisibleSpace]", 
   "7.53487525007035`*^-6", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Razlika iteracije_", 6, " i iteracije_", 5, "je ", 7.53487525007035*^-6, 
   "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385499567336597`*^9, 3.5385499869977126`*^9, {3.5385500514570255`*^9, 
   3.5385500940451007`*^9}, 3.538550141703184*^9, {3.538550174478842*^9, 
   3.538550335595925*^9}, {3.5385503838936095`*^9, 3.538550461051345*^9}, {
   3.5385505151210403`*^9, 3.538550547303897*^9}, {3.538550590250772*^9, 
   3.538550597551585*^9}, 3.538550655599287*^9, {3.5385506957537575`*^9, 
   3.5385507145361905`*^9}, 3.5385507495114517`*^9, 3.5385592287437196`*^9},
 FontSize->24]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Iterativne metode za rje\[SHacek]avanje sistema jedna\[CHacek]ina - \
Jacobijeva metoda\
\>", "Subtitle",
 CellChangeTimes->{{3.5384184355798507`*^9, 3.5384184391001163`*^9}, {
  3.5385495838618045`*^9, 3.538549607542646*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Jacobi", "[", 
   RowBox[{"a_", ",", "b_", ",", "n_", ",", "it_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "k", ",", "xs", ",", "xn"}], "}"}], ",", 
    RowBox[{
     RowBox[{"xs", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", 
     RowBox[{"xn", "=", "xs"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"xn", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "-", 
              RowBox[{"Apply", "[", 
               RowBox[{"Plus", ",", 
                RowBox[{
                 RowBox[{"ReplacePart", "[", 
                  RowBox[{
                   RowBox[{"a", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], ",", "0", ",", 
                   RowBox[{"{", "i", "}"}]}], "]"}], " ", "xs"}]}], "]"}]}], 
             ")"}], "/", 
            RowBox[{"a", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "i"}], "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Iteracija_\>\"", ",", "k", ",", "\"\< = \>\"", ",", 
          RowBox[{"N", "[", "xn", "]"}]}], "]"}], ";", 
        RowBox[{"xs", "=", "xn"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "it"}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Jacobi", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4.00", ",", "0.53", ",", "0.32"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.34", ",", "3.00", ",", "0.56"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.32", ",", "0.23", ",", "2.00"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.55", ",", "1.35", ",", "2.14"}], "}"}], ",", "3", ",", "10"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.538418450708313*^9, 3.5384184519719152`*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.3875`", ",", "0.45`", ",", "1.07`"}], "}"}]}],
  SequenceForm["Iteracija_", 1, " = ", {0.3875, 0.45, 1.07}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.5385592315049243`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.242275`", ",", "0.20634999999999998`", ",", "0.95625`"}], 
    "}"}]}],
  SequenceForm[
  "Iteracija_", 2, " = ", {0.242275, 0.20634999999999998`, 0.95625}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.5385592315049243`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.283658625`", ",", "0.24404216666666667`", ",", "1.00750575`"}],
     "}"}]}],
  SequenceForm[
  "Iteracija_", 3, " = ", {0.283658625, 0.24404216666666667`, 1.00750575}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.5385592315049243`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.2745639529166667`", ",", "0.2297842825`", ",", "0.9965497708333334`"}],
     "}"}]}],
  SequenceForm[
  "Iteracija_", 4, " = ", {0.2745639529166667, 0.2297842825, 
   0.9965497708333334}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.5385592315205245`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.27732960090208336`", ",", "0.2328601281138889`", ",", 
     "0.9996445750458334`"}], "}"}]}],
  SequenceForm[
  "Iteracija_", 5, " = ", {0.27732960090208336`, 0.2328601281138889, 
   0.9996445750458334}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.5385592315205245`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.27667446702124304`", ",", "0.23196899122254167`", ",", 
     "0.9988483491225695`"}], "}"}]}],
  SequenceForm[
  "Iteracija_", 6, " = ", {0.27667446702124304`, 0.23196899122254167`, 
   0.9988483491225695}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.5385592315205245`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.2768562407332077`", ",", "0.23219186856804613`", ",", 
     "0.9990556512860089`"}], "}"}]}],
  SequenceForm[
  "Iteracija_", 7, " = ", {0.2768562407332077, 0.23219186856804613`, 
   0.9990556512860089}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.538559231536124*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.2768101253118532`", ",", "0.23213257114351482`", ",", 
     "0.9990009365973616`"}], "}"}]}],
  SequenceForm[
  "Iteracija_", 8, " = ", {0.2768101253118532, 0.23213257114351482`, 
   0.9990009365973616}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.538559231536124*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.2768223593956954`", ",", "0.23214801096648247`", ",", 
     "0.9990151342685993`"}], "}"}]}],
  SequenceForm[
  "Iteracija_", 9, " = ", {0.2768223593956954, 0.23214801096648247`, 
   0.9990151342685993}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.538559231536124*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.2768191778054531`", ",", "0.232143974205016`", ",", 
     "0.9990114012355433`"}], "}"}]}],
  SequenceForm[
  "Iteracija_", 10, " = ", {0.2768191778054531, 0.232143974205016, 
   0.9990114012355433}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538418443069813*^9, 3.538418457609784*^9}, 
   3.5385592315517244`*^9},
 FontSize->24]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Numeri\[CHacek]ko rje\[SHacek]avanje diferencijalnih jedna\[CHacek]ina - \
Eulerova metoda\
\>", "Subtitle",
 CellChangeTimes->{{3.5384187514870577`*^9, 3.5384187550641546`*^9}, {
  3.538549618868266*^9, 3.538549627198681*^9}},
 FontSize->24],

Cell[TextData[{
 "Rje\[SHacek]avamo problem y\[CloseCurlyQuote]=f(x,y) uz po\[CHacek]etni \
uvjet y(x0)=y0 iterativnim postupkom\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"\t\t\t\t", 
    SubscriptBox["y", 
     RowBox[{"k", "+", "1"}]]}], TraditionalForm]]],
 "=",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "k"], TraditionalForm]]],
 "+f(",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "k"], ",", 
    SubscriptBox["y", "k"]}], TraditionalForm]]],
 ")*h,   k=0,1,2,...\nkoji daje aproksimaciju funkcije y(x) u ta\[CHacek]kama\
\n\t\t\t\t",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 "=",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "0"], TraditionalForm]]],
 "+k*h,    k=0,1,2,...  ."
}], "Text",
 CellChangeTimes->{{3.538553670832121*^9, 3.538553887235701*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{
  RowBox[{"Euler", "[", 
   RowBox[{
   "a_", ",", "b_", ",", "h_", ",", "f_", ",", "u_", ",", "v_", ",", "y0_"}], 
   "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "x", ",", "y", ",", "n", ",", "mreza"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"n", "=", 
      RowBox[{"Floor", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}], "/", "h"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"IntegerQ", "[", "n", "]"}], ",", 
       RowBox[{"n", "=", "n"}], ",", 
       RowBox[{"n", "=", 
        RowBox[{"n", "+", "1"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"mreza", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"a", "+", 
         RowBox[{"i", "*", " ", "h"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "n", ",", "1"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<Iteracija_1=\>\"", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"mreza", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y0"}], "}"}], ",", 
       "\"\<.\>\""}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"x", "=", 
      RowBox[{"mreza", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", 
     RowBox[{"y", "=", "y0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"x", "+", "h"}]}], ";", 
        RowBox[{"y", "=", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"f", "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"u", "->", " ", "x"}], ",", 
               RowBox[{"v", "->", " ", "y"}]}], "}"}]}], ")"}], "*", 
           "h"}]}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Iteracija_\>\"", ",", "i", ",", "\"\<=\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "\"\<.\>\""}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "2", ",", 
         RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], ";"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.5384187450890803`*^9, 3.5384187450890803`*^9}, 
   3.5384187941159825`*^9, {3.5385511733329964`*^9, 3.5385511860626183`*^9}, {
   3.5385512377611094`*^9, 3.5385512684463634`*^9}, {3.5385513339664783`*^9, 
   3.5385513373048844`*^9}, {3.5385513698465414`*^9, 
   3.5385513755561514`*^9}, {3.5385514850059433`*^9, 
   3.5385517024547253`*^9}, {3.5385519927868357`*^9, 3.538552040210919*^9}, {
   3.538552082377793*^9, 3.538552139037092*^9}, {3.538552174901555*^9, 
   3.5385522397508693`*^9}, {3.5385522870501523`*^9, 3.538552388543931*^9}, {
   3.5385524208203874`*^9, 3.538552516760556*^9}, {3.5385525564782257`*^9, 
   3.538552590096285*^9}, {3.538552642534381*^9, 3.5385527323905387`*^9}, {
   3.538552768894603*^9, 3.538552771702608*^9}, {3.5385534971662817`*^9, 
   3.5385534973222823`*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Euler", "[", 
  RowBox[{"0", ",", "1", ",", "0.1", ",", 
   RowBox[{"u", "+", "v"}], ",", "u", ",", "v", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.5385509227965565`*^9, 3.53855092499616*^9}, {
   3.538550964074229*^9, 3.538550984635065*^9}, {3.538552464547264*^9, 
   3.5385524743440814`*^9}, {3.5385527123601036`*^9, 3.538552712640904*^9}, {
   3.5385527488329678`*^9, 3.5385527533725758`*^9}, 3.5385527973646526`*^9},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_1=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.`", ",", "1"}], "}"}], "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_1=", {0., 1}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239117738*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.1`", ",", "1.11`"}], "}"}], "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 2, "=", {0.1, 1.11}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239133338*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.2`", ",", "1.241`"}], "}"}], "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 3, "=", {0.2, 1.241}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239133338*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.30000000000000004`", ",", "1.3951000000000002`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 4, "=", {0.30000000000000004`, 1.3951000000000002`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239148938*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.4`", ",", "1.5746100000000003`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 5, "=", {0.4, 1.5746100000000003`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239148938*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.5`", ",", "1.7820710000000004`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 6, "=", {0.5, 1.7820710000000004`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239148938*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.6`", ",", "2.0202781000000005`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 7, "=", {0.6, 2.0202781000000005`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239164538*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.7`", ",", "2.2923059100000005`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 8, "=", {0.7, 2.2923059100000005`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239164538*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.7999999999999999`", ",", "2.6015365010000004`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 9, "=", {0.7999999999999999, 2.6015365010000004`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239180138*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.8999999999999999`", ",", "2.9516901511000007`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 10, "=", {0.8999999999999999, 2.9516901511000007`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239180138*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.9999999999999999`", ",", "3.3468591662100007`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 11, "=", {0.9999999999999999, 3.3468591662100007`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5385525201613617`*^9, {3.53855255888063*^9, 3.538552797941854*^9}, 
   3.5385535012378893`*^9, 3.538559239180138*^9},
 FontSize->24]
}, Open  ]]
}, Open  ]],

Cell["\<\
Tacno rje\[SHacek]enje prehodnoh problema je funkcija f(x)=2e^x-x-1. \
Uporedimo tacno rjesenje i rjesenje dobijeno Eulerovom etodom.\
\>", "Text",
 CellChangeTimes->{{3.53855282990631*^9, 3.5385528740231876`*^9}},
 FontSize->24],

Cell[BoxData[{
 RowBox[{
  RowBox[{"G1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"2", 
       RowBox[{"E", "^", "x"}]}], "-", "x", "-", "1"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "4"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", " ", "Red"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"G2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.1", ",", "1.11"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.2", ",", "1.241"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.3", ",", "1.3951"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.4", ",", "1.57461"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.5", ",", "1.78207"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.6", ",", "2.02028"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.7", ",", "2.29231"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.8", ",", "2.60154"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.9", ",", "2.95169"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3.34686"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"G1", ",", "G2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.538552877673594*^9, 3.5385531875213385`*^9}},
 FontSize->24]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Numeri\[CHacek]ko rje\[SHacek]avanje diferencijalnih jedna\[CHacek]ina - \
Metoda Runge-Kutta\
\>", "Subtitle",
 CellChangeTimes->{{3.5384187611325655`*^9, 3.5384187672963524`*^9}, {
  3.5385496340158925`*^9, 3.5385496364494967`*^9}},
 FontSize->24],

Cell[TextData[{
 "Rje\[SHacek]avamo problem y\[CloseCurlyQuote]=f(x,y) uz po\[CHacek]etni \
uvjet y(x0)=y0 iterativnim postupkom\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"\t\t\t\t", 
    SubscriptBox["y", 
     RowBox[{"k", "+", "1"}]]}], TraditionalForm]]],
 "=",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "k"], TraditionalForm]]],
 "+1/6(k1+2k2+2k3+k4),   k=0,1,2,...\npri \[CHacek]emu su\nk1=h*f(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "n"], TraditionalForm]]],
 ",",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "n"], TraditionalForm]]],
 "), k2=h*f(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "n"], TraditionalForm]]],
 "+h/2,",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "n"], "+", 
    RowBox[{"k1", "/", "2"}]}], TraditionalForm]]],
 "), k3=h*f(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "n"], TraditionalForm]]],
 "+h/2,",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "n"], "+", 
    RowBox[{"k2", "/", "2"}]}], TraditionalForm]]],
 "), k4=h*f(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "n"], TraditionalForm]]],
 "+h,",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "n"], "+", "k3"}], TraditionalForm]]],
 ")\nkoji daje aproksimaciju funkcije y(x) u ta\[CHacek]kama\n\t\t\t\t",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 "=",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "0"], TraditionalForm]]],
 "+k*h,    k=0,1,2,...  ."
}], "Text",
 CellChangeTimes->{{3.5385539272809715`*^9, 3.538554088226454*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{
  RowBox[{"RK", "[", 
   RowBox[{
   "a_", ",", "b_", ",", "h_", ",", "f_", ",", "u_", ",", "v_", ",", "y0_"}], 
   "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "i", ",", "x", ",", "y", ",", "k1", ",", "k2", ",", "k3", ",", "k4", ",",
       "n", ",", "tab"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"n", "=", 
      RowBox[{"Floor", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}], "/", "h"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"IntegerQ", "[", "n", "]"}], ",", 
       RowBox[{"n", "=", "n"}], ",", 
       RowBox[{"n", "=", 
        RowBox[{"n", "+", "1"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"tab", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "-", "1"}], ")"}], " ", "h"}]}], ",", "0"}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<Iteracija_1=\>\"", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"tab", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "y0"}], "}"}], ",", 
       "\"\<.\>\""}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"x", "=", "a"}], ";", 
     RowBox[{"y", "=", "y0"}], ";", 
     RowBox[{
      RowBox[{"tab", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2"}], "]"}], "]"}], "=", "y0"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"k1", "=", 
         RowBox[{"h", " ", "*", 
          RowBox[{"(", 
           RowBox[{"f", "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"u", "\[Rule]", " ", "x"}], ",", 
              RowBox[{"v", "\[Rule]", " ", "y"}]}], "}"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"k2", "=", 
         RowBox[{"h", " ", "*", 
          RowBox[{"(", 
           RowBox[{"f", "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"u", "\[Rule]", " ", 
               RowBox[{"x", "+", 
                RowBox[{"h", "/", "2"}]}]}], ",", 
              RowBox[{"v", "\[Rule]", " ", 
               RowBox[{"y", "+", 
                RowBox[{"k1", "/", "2"}]}]}]}], "}"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"k3", "=", 
         RowBox[{"h", " ", "*", 
          RowBox[{"(", 
           RowBox[{"f", "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"u", "\[Rule]", " ", 
               RowBox[{"x", "+", 
                RowBox[{"h", "/", "2"}]}]}], ",", 
              RowBox[{"v", "\[Rule]", " ", 
               RowBox[{"y", "+", 
                RowBox[{"k2", "/", "2"}]}]}]}], "}"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"k4", "=", 
         RowBox[{"h", " ", "*", 
          RowBox[{"(", 
           RowBox[{"f", "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"u", "\[Rule]", " ", 
               RowBox[{"x", "+", "h"}]}], ",", 
              RowBox[{"v", "\[Rule]", " ", 
               RowBox[{"y", "+", "k3"}]}]}], "}"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "/", "6"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"k1", "+", 
             RowBox[{"2", " ", "k2"}], "+", 
             RowBox[{"2", " ", "k3"}], "+", "k4"}], ")"}]}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"tab", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], "=", "y"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"x", "=", 
         RowBox[{"x", "+", "h"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Iteracija_\>\"", ",", "i", ",", "\"\<=\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "\"\<.\>\""}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "2", ",", 
         RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.538418785843196*^9, 3.5384187982570505`*^9}, {
   3.5385532429014354`*^9, 3.53855343929018*^9}, 3.538553477557048*^9, {
   3.5385535178363185`*^9, 3.5385535351523485`*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RK", "[", 
  RowBox[{"0", ",", "1", ",", "0.1", ",", 
   RowBox[{"u", "+", "v"}], ",", "u", ",", "v", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.538553453954206*^9, 3.538553454515807*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_1=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.`", ",", "1"}], "}"}], "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_1=", {0., 1}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.5385592547645655`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.1`", ",", "1.1103416666666668`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 2, "=", {0.1, 1.1103416666666668`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.5385592547645655`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.2`", ",", "1.242805141701389`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 3, "=", {0.2, 1.242805141701389}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.5385592547645655`*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.30000000000000004`", ",", "1.3997169941250756`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 4, "=", {0.30000000000000004`, 1.3997169941250756`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254780165*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.4`", ",", "1.5836484801613715`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 5, "=", {0.4, 1.5836484801613715`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254780165*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.5`", ",", "1.7974412771936765`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 6, "=", {0.5, 1.7974412771936765`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254795765*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.6`", ",", "2.0442359241838663`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 7, "=", {0.6, 2.0442359241838663`}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254795765*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.7`", ",", "2.327503253193554`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Iteracija_", 8, "=", {0.7, 2.327503253193554}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254795765*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.7999999999999999`", ",", "2.651079126584631`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 9, "=", {0.7999999999999999, 2.651079126584631}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254811365*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.8999999999999999`", ",", "3.019202827560142`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 10, "=", {0.8999999999999999, 3.019202827560142}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254811365*^9},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteracija_\"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\"=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0.9999999999999999`", ",", "3.436559488270332`"}], "}"}], 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Iteracija_", 11, "=", {0.9999999999999999, 3.436559488270332}, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.538553455139808*^9, 3.538553482829857*^9}, {
   3.538553527118335*^9, 3.538553537523553*^9}, 3.538559254811365*^9},
 FontSize->24]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numeri\[CHacek]ka integracija", "Subtitle",
 CellChangeTimes->{{3.538558271309193*^9, 3.5385582753028*^9}},
 FontSize->24],

Cell["Trapezna formula", "Subtitle",
 CellChangeTimes->{{3.5385582947248344`*^9, 3.53855830355445*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{
  RowBox[{"trapeznaformula", "[", 
   RowBox[{"h_", ",", "a_", ",", "b_", ",", "f_", ",", "u_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "int", ",", "n"}], "}"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"n", "=", 
      RowBox[{"Floor", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}], "/", "h"}], "]"}]}], ";", "\n", " ", 
     RowBox[{"int", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"h", "/", "2"}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"f", "/.", 
           RowBox[{"u", "\[Rule]", " ", "a"}]}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{"f", "/.", 
           RowBox[{"u", "\[Rule]", " ", "b"}]}], ")"}], "+", 
         RowBox[{"2", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"f", "/.", 
              RowBox[{"u", "\[Rule]", " ", 
               RowBox[{"a", "+", 
                RowBox[{"i", "*", "h"}]}]}]}], ")"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"n", "-", "1"}], ",", "1"}], "}"}]}], "]"}]}]}], 
        ")"}]}]}], ";", "\n", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<Vrijednost integrala je \>\"", ",", 
       RowBox[{"N", "[", "int", "]"}], ",", "\"\<.\>\""}], "]"}]}]}], " ", 
   "\n", "\t\t              ", "]"}]}]], "Input",
 CellChangeTimes->{{3.5385583089364595`*^9, 3.538558393161007*^9}, {
  3.538558430133072*^9, 3.538558432426276*^9}, {3.538558470646343*^9, 
  3.538558474795951*^9}, {3.5385586187374034`*^9, 3.538558621217808*^9}, {
  3.5385586591258745`*^9, 3.538558685677121*^9}, {3.538558730246399*^9, 
  3.538558792084908*^9}, {3.538558914200367*^9, 3.538558918864775*^9}, {
  3.5385589844160905`*^9, 3.5385590032453237`*^9}, {3.5385591032102995`*^9, 
  3.5385591036939*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"trapeznaformula", "[", 
  RowBox[{"0.1", ",", "0", ",", "1", ",", 
   RowBox[{
    RowBox[{"u", "^", "2"}], "+", "u"}], ",", "u"}], "]"}]], "Input",
 CellChangeTimes->{{3.538558395454211*^9, 3.5385584098218365`*^9}, {
  3.5385586906223297`*^9, 3.538558691495931*^9}, {3.5385587597460513`*^9, 
  3.5385587607600527`*^9}},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Vrijednost integrala je \"\>", "\[InvisibleSpace]", 
   "0.8350000000000002`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Vrijednost integrala je ", 0.8350000000000002, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.5385588082933364`*^9, 3.5385589217819805`*^9, 
  3.5385590059909286`*^9, 3.538559262283778*^9},
 FontSize->24]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"u", "^", "2"}], "+", "u"}], ",", 
    RowBox[{"{", 
     RowBox[{"u", ",", "0", ",", "1"}], "}"}]}], "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.538558934168402*^9, 3.538558962950453*^9}},
 FontSize->24],

Cell[BoxData["0.8333333333333334`"], "Output",
 CellChangeTimes->{{3.538558952155234*^9, 3.538558963683654*^9}, 
   3.5385590089861336`*^9, 3.5385592645769825`*^9},
 FontSize->24]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"simpsonovaformula", "[", 
   RowBox[{"h_", ",", "a_", ",", "b_", ",", "f_", ",", "u_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "n1", ",", "int", ",", "n"}], "}"}], ",", "\n", " ", 
    RowBox[{
     RowBox[{"n", "=", 
      RowBox[{"Floor", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}], "/", "h"}], "]"}]}], ";", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"n1", "=", 
      RowBox[{"n", "/", "2"}]}], ";", "      ", "\n", "   ", 
     RowBox[{"int", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"h", "/", "3"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"f", "/.", 
           RowBox[{"u", "\[Rule]", " ", "a"}]}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{"f", "/.", 
           RowBox[{"u", "\[Rule]", " ", "b"}]}], ")"}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"f", "/.", 
              RowBox[{"u", "\[Rule]", " ", 
               RowBox[{"a", "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", "i"}], "-", "1"}], ")"}], " ", "h"}]}]}]}], 
             ")"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "n1"}], "}"}]}], "]"}]}], "+", " ", 
         RowBox[{"2", " ", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"f", "/.", 
              RowBox[{"u", "\[Rule]", " ", 
               RowBox[{"a", "+", 
                RowBox[{"2", "i", " ", "h"}]}]}]}], ")"}], " ", ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", 
              RowBox[{"n1", "-", "1"}]}], "}"}]}], "]"}]}]}], ")"}]}]}], ";", 
     "\n", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<Vrijednost integrala je \>\"", ",", 
       RowBox[{"N", "[", "int", "]"}], ",", "\"\<.\>\""}], "]"}]}]}], " ", 
   "\n", "\t                                      ", "]"}]}]], "Input",
 CellChangeTimes->{{3.5385590131513405`*^9, 3.5385591476391773`*^9}},
 FontSize->24],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"simpsonovaformula", "[", 
  RowBox[{"0.1", ",", "0", ",", "1", ",", 
   RowBox[{
    RowBox[{"u", "^", "2"}], "+", "u"}], ",", "u"}], "]"}]], "Input",
 CellChangeTimes->{{3.5385591292155447`*^9, 3.538559132678751*^9}},
 FontSize->24],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Vrijednost integrala je \"\>", "\[InvisibleSpace]", 
   "0.8333333333333334`", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Vrijednost integrala je ", 0.8333333333333334, "."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5385591335835524`*^9, 3.538559150930783*^9}, 
   3.5385592735001984`*^9},
 FontSize->24]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{1424, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 122, 2, 59, "Title"],
Cell[704, 26, 187, 4, 36, "Subtitle"],
Cell[894, 32, 4387, 107, 529, "Input"],
Cell[CellGroupData[{
Cell[5306, 143, 132, 2, 36, "Subtitle"],
Cell[5441, 147, 4290, 112, 631, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9768, 264, 285, 6, 66, "Subtitle"],
Cell[10056, 272, 4303, 109, 597, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14396, 386, 383, 7, 96, "Subtitle"],
Cell[14782, 395, 366, 10, 87, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15185, 410, 229, 5, 36, "Subtitle"],
Cell[15417, 417, 593, 9, 221, "Text"],
Cell[16013, 428, 228, 5, 71, "Text"],
Cell[16244, 435, 365, 11, 52, "Input"],
Cell[16612, 448, 168, 4, 41, "Text"],
Cell[CellGroupData[{
Cell[16805, 456, 373, 11, 52, "Input"],
Cell[17181, 469, 181, 4, 52, "Output"]
}, Open  ]],
Cell[17377, 476, 189, 6, 42, "Text"],
Cell[CellGroupData[{
Cell[17591, 486, 2739, 73, 393, "Input"],
Cell[CellGroupData[{
Cell[20355, 563, 371, 8, 35, "Print"],
Cell[20729, 573, 373, 8, 35, "Print"],
Cell[21105, 583, 375, 8, 35, "Print"],
Cell[21483, 593, 377, 8, 35, "Print"],
Cell[21863, 603, 377, 8, 35, "Print"],
Cell[22243, 613, 379, 8, 35, "Print"],
Cell[22625, 623, 381, 8, 35, "Print"],
Cell[23009, 633, 385, 8, 35, "Print"],
Cell[23397, 643, 387, 8, 35, "Print"],
Cell[23787, 653, 391, 8, 35, "Print"],
Cell[24181, 663, 393, 8, 35, "Print"],
Cell[24577, 673, 395, 8, 35, "Print"],
Cell[24975, 683, 397, 8, 35, "Print"],
Cell[25375, 693, 399, 8, 35, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[25835, 708, 229, 5, 36, "Subtitle"],
Cell[26067, 715, 3025, 71, 665, "Input"],
Cell[CellGroupData[{
Cell[29117, 790, 610, 13, 52, "Input"],
Cell[CellGroupData[{
Cell[29752, 807, 696, 13, 35, "Print"],
Cell[30451, 822, 755, 14, 35, "Print"],
Cell[31209, 838, 920, 17, 35, "Print"],
Cell[32132, 857, 756, 14, 35, "Print"],
Cell[32891, 873, 918, 17, 35, "Print"],
Cell[33812, 892, 753, 14, 35, "Print"],
Cell[34568, 908, 918, 17, 35, "Print"],
Cell[35489, 927, 756, 14, 35, "Print"],
Cell[36248, 943, 917, 17, 35, "Print"],
Cell[37168, 962, 750, 14, 35, "Print"],
Cell[37921, 978, 916, 17, 35, "Print"],
Cell[38840, 997, 753, 14, 35, "Print"],
Cell[39596, 1013, 919, 17, 37, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[40576, 1037, 251, 6, 36, "Subtitle"],
Cell[CellGroupData[{
Cell[40852, 1047, 2282, 64, 359, "Input"],
Cell[CellGroupData[{
Cell[43159, 1115, 433, 10, 35, "Print"],
Cell[43595, 1127, 482, 12, 35, "Print"],
Cell[44080, 1141, 494, 12, 35, "Print"],
Cell[44577, 1155, 518, 14, 35, "Print"],
Cell[45098, 1171, 534, 14, 35, "Print"],
Cell[45635, 1187, 537, 14, 35, "Print"],
Cell[46175, 1203, 532, 14, 35, "Print"],
Cell[46710, 1219, 532, 14, 35, "Print"],
Cell[47245, 1235, 532, 14, 35, "Print"],
Cell[47780, 1251, 531, 14, 35, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[48372, 1272, 252, 6, 36, "Subtitle"],
Cell[48627, 1280, 831, 30, 161, "Text"],
Cell[49461, 1312, 3109, 78, 325, "Input"],
Cell[CellGroupData[{
Cell[52595, 1394, 467, 8, 52, "Input"],
Cell[CellGroupData[{
Cell[53087, 1406, 413, 10, 35, "Print"],
Cell[53503, 1418, 490, 11, 35, "Print"],
Cell[53996, 1431, 492, 11, 35, "Print"],
Cell[54491, 1444, 559, 13, 35, "Print"],
Cell[55053, 1459, 523, 12, 35, "Print"],
Cell[55579, 1473, 523, 12, 35, "Print"],
Cell[56105, 1487, 523, 12, 35, "Print"],
Cell[56631, 1501, 523, 12, 35, "Print"],
Cell[57157, 1515, 556, 13, 35, "Print"],
Cell[57716, 1530, 558, 13, 35, "Print"],
Cell[58277, 1545, 558, 13, 35, "Print"]
}, Open  ]]
}, Open  ]],
Cell[58862, 1562, 239, 5, 71, "Text"],
Cell[59104, 1569, 1557, 47, 257, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60698, 1621, 259, 6, 36, "Subtitle"],
Cell[60960, 1629, 1544, 60, 251, "Text"],
Cell[62507, 1691, 4625, 130, 529, "Input"],
Cell[CellGroupData[{
Cell[67157, 1825, 235, 5, 52, "Input"],
Cell[CellGroupData[{
Cell[67417, 1834, 411, 9, 35, "Print"],
Cell[67831, 1845, 521, 11, 35, "Print"],
Cell[68355, 1858, 518, 11, 35, "Print"],
Cell[68876, 1871, 555, 12, 35, "Print"],
Cell[69434, 1885, 519, 11, 35, "Print"],
Cell[69956, 1898, 519, 11, 35, "Print"],
Cell[70478, 1911, 519, 11, 35, "Print"],
Cell[71000, 1924, 516, 11, 35, "Print"],
Cell[71519, 1937, 549, 12, 35, "Print"],
Cell[72071, 1951, 551, 12, 35, "Print"],
Cell[72625, 1965, 551, 12, 35, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[73237, 1984, 128, 2, 36, "Subtitle"],
Cell[73368, 1988, 118, 2, 36, "Subtitle"],
Cell[73489, 1992, 1967, 50, 325, "Input"],
Cell[CellGroupData[{
Cell[75481, 2046, 359, 8, 52, "Input"],
Cell[75843, 2056, 394, 8, 35, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76274, 2069, 303, 9, 52, "Input"],
Cell[76580, 2080, 179, 3, 52, "Output"]
}, Open  ]],
Cell[76774, 2086, 2182, 60, 393, "Input"],
Cell[CellGroupData[{
Cell[78981, 2150, 257, 6, 52, "Input"],
Cell[79241, 2158, 373, 8, 35, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
